2025-08-08 09:15:10 +0200 Tobias Junghans (e2e35f0a5) 

	* GHA: upload built binaries to release

2025-08-08 08:57:00 +0200 Tobias Junghans (dd9ddbc0f) 

	* CMake: read version string from CI rather than Git

2025-08-08 08:56:09 +0200 Tobias Junghans (dc3562159) 

	* CMake: various cleanups and reorganizations

2025-08-08 08:55:27 +0200 Tobias Junghans (fbba52ee0) 

	* CMake: raise minimum required version to 3.18

2025-08-08 08:31:48 +0200 Tobias Junghans (220eb3a6d) 

	* CMake: simplify generation of CONTRIBUTORS file

2025-08-07 13:02:05 +0200 Tobias Junghans (42cf26829) 

	* SpotlightModel: use modern QSFPM API for filter invalidation

2025-08-07 13:01:33 +0200 Tobias Junghans (aecaa55e7) 

	* SlideshowModel: use modern QSFPM API for filter invalidation

2025-08-07 12:58:56 +0200 Tobias Junghans (c440c17fa) 

	* VeyonAuthHelper: fix indentation and whitespaces

2025-08-07 12:58:47 +0200 Tobias Junghans (038d512e7) 

	* VeyonAuthHelper: evaluate return value of QFile::open()

2025-08-07 12:57:15 +0200 Tobias Junghans (cc8f31729) 

	* Configuration: JsonStore: evaluate return value of QFile::open()

2025-08-07 12:57:01 +0200 Tobias Junghans (1f4b5dbb9) 

	* AboutDialog: evaluate return value of QFile::open()

2025-08-07 12:38:15 +0200 Tobias Junghans (4e57b5104) 

	* PowerControl: modernize broadcastWOLPacket()

2025-08-07 12:13:41 +0200 Tobias Junghans (99fafe44c) 

	* PowerControl: log broadcasts as debug messages

2025-08-07 12:09:58 +0200 Tobias Junghans (f9fd5246b) 

	* PowerControl: query MAC addresses explicitly if unavailable

2025-08-07 12:06:48 +0200 Tobias Junghans (3a1016efb) 

	* NetworkObjectDirectory: add queryObjectAttribute()

2025-07-09 12:07:16 +0200 Tobias Junghans (272309cfe) 

	* CI: add RHEL 10

2025-07-02 15:24:15 +0200 Tobias Junghans (ec1092c8e) 

	* CMake: require Qt >= 5.14

2025-07-02 15:18:55 +0200 Tobias Junghans (067a9a185) 

	* CI: drop Ubuntu 20.04

2025-07-02 14:38:27 +0200 Tobias Junghans (2a26ab9a0) 

	* CI: add Debian 13

2025-07-02 14:33:51 +0200 Tobias Junghans (9357840a3) 

	* CMake: WindowsBuildHelpers: drop legacy Windows versions

2025-07-02 13:18:06 +0200 Tobias Junghans (37cb1c758) 

	* Generate Windows resource/manifest files

2025-06-25 13:09:32 +0200 Tobias Junghans (ee1cb220b) 

	* DemoServer: adjust bandwidth limit according to network speed

2025-06-25 13:08:12 +0200 Tobias Junghans (2c0614650) 

	* PlatformNetworkFunctions: add
          networkInterfaceSpeedInMBitPerSecond()

2025-06-25 13:07:00 +0200 Tobias Junghans (beba56cb0) 

	* PlatformNetworkFunctions: add defaultRouteNetworkInterface()

2025-06-12 14:00:59 +0200 Tobias Junghans (a4d634780) 

	* Prepare 4.9.6.1 release

2025-05-28 14:49:13 +0200 Tobias Junghans (db68fa97a) 

	* Prepare 4.9.6 release

2025-05-28 14:48:10 +0200 Tobias Junghans (fae510e7b) 

	* WindowsSessionFunctions: add CALLBACK attribute to lambda

2025-05-28 14:47:57 +0200 Tobias Junghans (cba9a3c9d) 

	* 3rdparty: ultravnc: update submodule

2025-05-28 14:18:29 +0200 Tobias Junghans (e6a3aa1a9) 

	* Update translations

2025-05-28 14:15:33 +0200 Tobias Junghans (89b1c7255) 

	* WindowsServiceControl: drop LanmanWorkstation service dependency

2025-05-28 13:56:10 +0200 Tobias Junghans (18f3b6d19) 

	* CI: drop openSUSE 15.5

2025-05-28 13:55:17 +0200 Tobias Junghans (79c39d5dd) 

	* CI: replace Fedora 40 with Fedora 42

2025-05-28 11:17:40 +0200 Tobias Junghans (43656425e) 

	* WindowsSessionFunctions: extend interfering window handling

2025-05-14 15:21:39 +0200 Tobias Junghans (8e0f97b2a) 

	* WindowsSessionFunctions: add screen capture interference handling

2025-05-14 14:06:14 +0200 Tobias Junghans (75e3c0238) 

	* WtsSessionManager: remove debug message

2025-05-14 14:05:24 +0200 Tobias Junghans (25503fbdd) 

	* 3rdparty: ddengine: update to 1.6.1.0

2025-05-14 14:03:57 +0200 Tobias Junghans (7f53438ef) 

	* 3rdparty: ultravnc: update submodule (1.6.1.0)

2025-05-09 14:08:31 +0200 Tobias Junghans (e96bb58a9) 

	* LDAP: add support for mapping OUs 1:1 to locations

2025-05-09 14:14:42 +0200 Tobias Junghans (57f8fb534) 

	* NetworkObjectFilterProxyModel: make local variable name unambiguous

2025-05-09 14:14:25 +0200 Tobias Junghans (e4c9cb33f) 

	* NetworkObjectFilterProxyModel: use QModelIndex::parent()

2025-05-09 14:14:00 +0200 Tobias Junghans (9121c0d88) 

	* NetworkObjectFilterProxyModel: read object type later

2025-05-09 14:13:15 +0200 Tobias Junghans (ec586cf39) 

	* ServiceConfigurationPage: drop colons from labels

2025-04-11 13:19:35 +0200 Tobias Junghans (363616380) 

	* Prepare 4.9.5 release

2025-04-11 12:44:30 +0200 Tobias Junghans (72e3937da) 

	* Update translations

2025-04-11 13:18:11 +0200 Tobias Junghans (dc0495c95) 

	* WebApiController: drop obsolete runInMainThread()

2025-04-11 13:17:15 +0200 Tobias Junghans (33fe1a0f8) 

	* WebApiController: control feature in worker thread

2025-04-11 12:41:35 +0200 Tobias Junghans (bdbe962a0) 

	* FileTransfer: stop worker after all files have been transferred

2025-04-11 12:40:52 +0200 Tobias Junghans (f6b0bf1b5) 

	* DesktopServicesFeaturePlugin: stop worker after opening website

2021-09-20 09:25:49 +0200 Tobias Junghans (d08d3b243) 

	* DesktopServicesFeaturePlugin: fix argument name

2025-04-11 11:48:50 +0200 Tobias Junghans (7d8d49011) 

	* Configuration: Property: detach and delete if proxy is destroyed

2025-04-11 11:21:52 +0200 Tobias Junghans (cfdfad958) 

	* AccessControlRulesTestDialog: improve dialog layout

2025-04-11 11:17:27 +0200 Tobias Junghans (f1b59cb6f) 

	* AccessControlRulesTestDialog: improve result text for no action

2025-04-11 11:11:40 +0200 Tobias Junghans (83dc91040) 

	* NetworkObject: add include for QJsonObject

2025-04-09 20:54:26 +0200 Tobias Junghans (ace589fdb) 

	* SlideshowPanel: add button to switch view mode

2025-04-09 18:56:57 +0200 Tobias Junghans (1aa438449) 

	* RemoteAccess: move view-fullscreen.png to Core

2025-04-08 14:57:21 +0200 Tobias Junghans (00d3451a9) 

	* Master: fix filter controls initialization

2025-04-08 14:41:31 +0200 Tobias Junghans (c7093a693) 

	* UserConfig: don't reload after loading template

2025-04-08 14:13:32 +0200 Tobias Junghans (9008005dd) 

	* MonitoringMode: retry updating user info if empty

2025-04-08 14:13:05 +0200 Tobias Junghans (ba1ecd472) 

	* MonitoringMode: rename updateUserData() to updateUserInfo()

2025-04-08 13:38:12 +0200 Tobias Junghans (76e6a65c3) 

	* FlexibleListView: restore positions on UID changes

2025-04-08 13:38:29 +0200 Tobias Junghans (3de1c471b) 

	* RemoteAccessWidget: use new CCI::computerName() method

2025-04-08 13:37:54 +0200 Tobias Junghans (af74cd88b) 

	* ComputerZoomWidget: use new CCI::computerName() method

2025-04-08 13:37:25 +0200 Tobias Junghans (826a05173) 

	* ComputerControlListModel: use new CCI::computerName() method

2025-04-08 13:36:55 +0200 Tobias Junghans (31732232d) 

	* ComputerControlListModel: notify UidRole change if UID based on
          session meta data

2025-04-08 13:36:26 +0200 Tobias Junghans (828ff1ca6) 

	* ComputerManager: use new CCI::computerName() method

2025-04-08 13:33:34 +0200 Tobias Junghans (9a8db5335) 

	* ComputerControlInterface: add computerName() and
          computerNameSource()

2025-04-08 13:33:05 +0200 Tobias Junghans (fad6912a9) 

	* NetworkObjectDirectory: move ComputerNameSource to
          Computer::NameSource

2025-03-21 13:46:42 +0100 Tobias Junghans (6507dca42) 

	* Prepare 4.9.4 release

2025-03-21 13:45:55 +0100 Tobias Junghans (46327755f) 

	* ComputerItemDelegate: fix overlay icons position

2025-03-21 12:03:05 +0100 Tobias Junghans (bdc1f2ad0) 

	* HeadlessVncServer: include RFB log messages in our own logging

2025-03-21 09:21:58 +0100 Tobias Junghans (57ca780d7) 

	* Update translations

2025-03-19 15:27:04 +0100 Tobias Junghans (b3b58f88b) 

	* ServerAccessControlManager: indicate denied access more explicitly

2025-03-19 15:19:26 +0100 Tobias Junghans (e040a7603) 

	* ServiceControl: revert to synchronous waiting for op to complete

2025-03-19 14:20:15 +0100 Tobias Junghans (061e4d798) 

	* ServiceControl: use displayName for operation titles

2025-03-19 13:48:19 +0100 Tobias Junghans (b7fd579d3) 

	* VariantStream: add missing includes

2025-03-19 13:41:16 +0100 Tobias Junghans (582983b21) 

	* Add initial dark mode support

2025-03-19 11:07:54 +0100 Tobias Junghans (5e736f458) 

	* ServiceConfigurationPage: use new restart method

2025-03-19 11:00:24 +0100 Tobias Junghans (595a423e9) 

	* ServiceControl: add restartService()

2025-03-19 10:57:33 +0100 Tobias Junghans (be1aec0b8) 

	* ServiceControl: use Toast instead of QProgressDialog

2025-03-19 10:40:23 +0100 Tobias Junghans (9cdbc8e86) 

	* Core: add Toast

2025-03-19 12:51:32 +0100 Tobias Junghans (46caff0ec) 

	* VncClientProtocol: add Qt < 5.14 compat code

2025-03-19 12:48:56 +0100 Tobias Junghans (6d896f5e2) 

	* CI: drop CentOS support and build RHEL 8/9 packages via RockyLinux

2025-03-19 11:08:35 +0100 Tobias Junghans (71ba7f57e) 

	* FileSystemBrowser: pass parent widget to file dialogs

2025-03-19 09:31:16 +0100 Tobias Junghans (06ddc63df) 

	* Configurator: improve error handling when applying config

2025-03-19 09:30:10 +0100 Tobias Junghans (c53ec4243) 

	* AccessControlPage: check first radio button if no access control
          mechanisms are enabled

2025-03-19 08:51:38 +0100 Tobias Junghans (7a07b3002) 

	* ServerAccessControlManager: indicate denied access more explicitly

2025-03-19 08:49:16 +0100 Tobias Junghans (854359dc7) 

	* ComputerControlListModel: improve user/features info in tooltip

2025-03-14 17:11:45 +0100 Tobias Junghans (5eb687f74) 

	* VncServerProtocol: add missing include

2025-03-14 16:48:35 +0100 Tobias Junghans (e287bf356) 

	* ComputerControlListModel: indicate connected state only after
          framebuffer is available

2025-03-14 16:48:16 +0100 Tobias Junghans (d8c8972f5) 

	* ComputerControlListModel: fix typo

2025-03-14 16:48:02 +0100 Tobias Junghans (9e55ddcee) 

	* VncConnection: don't scale null images

2025-03-14 16:47:37 +0100 Tobias Junghans (086d88a80) 

	* VncConnection: restart thread if already terminated

2025-03-14 16:47:22 +0100 Tobias Junghans (170f888bc) 

	* VeyonCore: drop unused includes

2025-03-14 17:09:00 +0100 Tobias Junghans (2b02db572) 

	* Revert "VncConnection: add support for RfbLogMessageReader hook"

2025-03-14 16:45:27 +0100 Tobias Junghans (737b1b227) 

	* VeyonConnection/CCI: exchange access control details via
          FeatureMessage

2025-03-14 16:40:26 +0100 Tobias Junghans (097eaf4ab) 

	* Core: make AccessControlProvider a builtin feature

2025-03-14 16:34:09 +0100 Tobias Junghans (a6b4b4426) 

	* FeatureMessage: split send() into sendPlain() and
          sendAsRfbMessage()

2020-10-16 11:02:35 +0200 Tobias Junghans (af0e91d37) 

	* VncServerProtocol: make State an enum class

2025-03-12 16:30:53 +0100 Tobias Junghans (6cf55df02) 

	* Computer: add missing include

2025-03-12 16:25:07 +0100 Tobias Junghans (dc1dc109e) 

	* VncConnection: only trigger FB update after changing update
          interval if connected

2025-03-12 16:17:33 +0100 Tobias Junghans (3a0cfd91d) 

	* VncConnection: enforce minimum connection time

2025-03-12 15:54:09 +0100 Tobias Junghans (6d5780e8c) 

	* ComputerControlListModel: scale icons smoothly

2025-03-12 15:53:44 +0100 Tobias Junghans (13941f4f0) 

	* ServerAccessControlManager: indicate if no access control rule
          matched

2025-03-12 15:53:18 +0100 Tobias Junghans (01a75ae63) 

	* AccessControlProvider: add Reason to CheckResult

2025-03-12 15:16:13 +0100 Tobias Junghans (2b9f9ffed) 

	* ComputerControlListModel: refactor host icons

2025-03-12 14:40:29 +0100 Tobias Junghans (f45984953) 

	* VncProxyConnection: use QObject header

2025-03-12 14:28:58 +0100 Tobias Junghans (3814be3dc) 

	* VncConnection: refactor framebuffer timeouts

2025-03-12 14:27:50 +0100 Tobias Junghans (5f5bbe2d2) 

	* VncClientProtocol: log unknown rect encoding in hex notation

2025-03-12 14:17:55 +0100 Tobias Junghans (c2f09e36c) 

	* VncProxyConnection: intercept and use pixel format requested by
          client

2025-03-12 14:16:19 +0100 Tobias Junghans (d7dfde5fe) 

	* VncClientProtocol: separate setting and sending pixel format and
          encodings

2025-03-12 09:27:17 +0100 Tobias Junghans (cfb2ed373) 

	* ComputerControlListModel: show hostname or IP address in tooltip

2025-03-12 09:20:23 +0100 Tobias Junghans (00fc61051) 

	* Computer: add hostAddress property

2025-03-12 09:15:26 +0100 Tobias Junghans (8b376ea73) 

	* Computer: rename hostAddress to hostName

2025-03-12 09:10:03 +0100 Tobias Junghans (727725435) 

	* Computer: rename name to displayName

2025-03-07 13:49:34 +0100 Tobias Junghans (55b776e9d) 

	* ComputerControlListModel: handle
          ComputerControlInterface::State::HostNameResolutionFailed

2025-03-07 13:49:19 +0100 Tobias Junghans (f6b242ba4) 

	* VncConnection: add state HostNameResolutionFailed

2025-03-07 13:48:40 +0100 Tobias Junghans (555345874) 

	* PlatformNetworkFunctions: improve ping result detection and
          evaluation

2025-03-07 13:38:43 +0100 Tobias Junghans (5c71a794a) 

	* Master: remove unreferenced image files

2025-03-07 10:41:36 +0100 Tobias Junghans (d8ce7ef1b) 

	* PlatformSessionFunctions: add default initializer for uptime

2025-02-28 15:12:00 +0100 Tobias Junghans (dbbd536b1) 

	* ComputerControlListModel: supply access control message in tooltip

2025-02-28 15:10:41 +0100 Tobias Junghans (82d1d926f) 

	* ComputerControlInterface: add support for access control messages

2025-02-28 15:08:38 +0100 Tobias Junghans (a42c6b8c6) 

	* VeyonConnection: read and process access control messages

2025-02-28 15:06:19 +0100 Tobias Junghans (7404c38d2) 

	* VncConnection: add support for RfbLogMessageReader hook

2025-02-28 15:04:54 +0100 Tobias Junghans (0223e5106) 

	* VncServerProtocol: send failed access control message

2025-02-28 15:02:11 +0100 Tobias Junghans (2e405c057) 

	* AccessControlProvider: add accessControlMessageScheme()

2025-02-28 15:00:50 +0100 Tobias Junghans (525c3e74b) 

	* ServerAccessControlManager: set access control details from matched
          rule

2025-02-28 14:59:12 +0100 Tobias Junghans (828db2e89) 

	* AccessControlProvider: return matching rule if access denied

2025-02-26 14:04:48 +0100 Tobias Junghans (4b229fa30) 

	* ComputerControlListModel: fall back to network object UID

2025-02-12 16:17:26 +0100 Tobias Junghans (7f8b59720) 

	* VncServerClient: add accessControlDetails property

2025-02-12 16:06:48 +0100 Tobias Junghans (e5c67424b) 

	* AccessControlProvider: introduce CheckResult

2025-02-12 16:10:03 +0100 Tobias Junghans (243f306bc) 

	* VncServerProtocol: drop unused include

2025-02-26 13:50:04 +0100 Tobias Junghans (338646d3e) 

	* Master: perform access control for all credential types

2025-02-21 15:13:15 +0100 Tobias Junghans (da17db1b2) 

	* Master: add ComputerItemDelegate

2025-02-21 15:12:04 +0100 Tobias Junghans (c8a21201c) 

	* Master: use fixed icon sizes

2025-02-14 14:33:48 +0100 Tobias Junghans (1a87ecf04) 

	* Prepare 4.9.3 release

2025-02-14 14:29:10 +0100 Tobias Junghans (2ae582d8a) 

	* WindowsSessionFunctions: fix querying from HKEY_CURRENT_USER

2025-02-14 14:28:42 +0100 Tobias Junghans (c2e4be669) 

	* WindowsCoreFunctions: free resources in
          queryProcessEnvironmentVariables()

2025-02-14 13:32:36 +0100 Tobias Junghans (a7799e9e5) 

	* ComputerControlListModel: use
          ComputerManager::clearOverlayModelData()

2025-02-14 13:32:11 +0100 Tobias Junghans (eb46904fa) 

	* NetworkObjectOverlayDataModel: fall back to original data if
          overlay value is invalid

2025-02-14 13:31:20 +0100 Tobias Junghans (48c1235e1) 

	* ComputerManager: add clearOverlayModelData()

2025-02-14 13:15:17 +0100 Tobias Junghans (7ad2ea9b5) 

	* Update translations

2025-02-12 15:07:31 +0100 Tobias Junghans (2aec8408b) 

	* AccessControlRuleEditDialog: add support for condition
          ComputerAlreadyBeingAccessed

2025-02-12 15:06:38 +0100 Tobias Junghans (808b5e337) 

	* AccessControlProvider: add support for condition
          ComputerAlreadyBeingAccessed

2025-02-12 15:05:41 +0100 Tobias Junghans (adb7aa95c) 

	* AccessControlRule: add condition ComputerAlreadyBeingAccessed

2025-02-12 11:25:12 +0100 Tobias Junghans (4c2ea9e8e) 

	* AccessControlProvider: use matchList() for computer location
          matching

2025-02-12 11:24:57 +0100 Tobias Junghans (1487e4667) 

	* AccessControlProvider: use matchList() for user group matching

2025-02-12 11:23:00 +0100 Tobias Junghans (39aabb3a2) 

	* AccessControlProvider: add matchList()

2025-02-12 10:50:41 +0100 Tobias Junghans (3b0afe18e) 

	* ServiceConfigurationPage: fix tooltip

2025-02-12 10:49:12 +0100 Tobias Junghans (5ac2e6d2b) 

	* UserConfig: fix QStringBuilder crash

2025-02-12 10:51:33 +0100 Tobias Junghans (6ca901bf8) 

	* Update translations

2025-01-29 15:16:23 +0100 Tobias Junghans (fac0af315) 

	* Prepare 4.9.2 release

2025-01-22 17:42:05 +0100 Tobias Junghans (478bd60da) 

	* Update copyright

2025-01-22 17:41:44 +0100 Tobias Junghans (291f321f7) 

	* Master: update splash for 2025

2025-01-22 15:18:24 +0100 Tobias Junghans (3010bbaeb) 

	* Update translations

2025-01-17 14:51:32 +0100 Tobias Junghans (1ccd6cb9c) 

	* 3rdparty: libvncserver: update submodule (v0.9.15)

2025-01-17 14:35:46 +0100 Tobias Junghans (0ea76bde2) 

	* Use default initializer for returning invalid QVariant

2025-01-15 15:59:32 +0100 Tobias Junghans (7ccbe43a9) 

	* MainWindow: add support for loading/saving computer positions

2025-01-15 14:25:07 +0100 Tobias Junghans (33764f925) 

	* ComputerControlListModel: make content of UID role configurable

2025-01-15 14:22:47 +0100 Tobias Junghans (2d6df3cbf) 

	* Master: add support for alternative computer name sources

2025-01-15 16:31:58 +0100 Tobias Junghans (00409db18) 

	* Configuration: pass source DataMap as const ref

2025-01-15 14:20:51 +0100 Tobias Junghans (b52c44228) 

	* NetworkObjectOverlayDataModel: add support for overlay data

2025-01-15 14:16:32 +0100 Tobias Junghans (c82e4ef9c) 

	* MonitoringMode: add support for querying session meta data

2025-01-15 12:56:28 +0100 Tobias Junghans (1399bebbe) 

	* MasterConfigurationPage: add config templates directory field

2025-01-15 12:51:31 +0100 Tobias Junghans (16beb5e25) 

	* PlatformSessionFunctions: don't include PlatformPluginInterface.h

2025-01-15 12:46:30 +0100 Tobias Junghans (09488221f) 

	* Master: UserConfig: load template if available

2025-01-15 12:42:07 +0100 Tobias Junghans (0c725de47) 

	* VeyonMaster, UserConfig: move config access check

2025-01-15 12:41:04 +0100 Tobias Junghans (08cf8d157) 

	* VeyonConfigurationProperties: add configurationTemplatesDirectory
          property

2025-01-15 12:09:20 +0100 Tobias Junghans (12b0da139) 

	* Configuration: improve header includes

2025-01-15 12:08:42 +0100 Tobias Junghans (756b36cfa) 

	* Configuration: Store: refactor enumerations

2025-01-17 09:07:21 +0100 Tobias Junghans (6414a3b30) 

	* AccessControlPage: fix groups cleanup with Qt 5

2025-01-15 11:01:28 +0100 Tobias Junghans (80f3c6f3d) 

	* CMake: fix missing include for check_cxx_source_compiles()

2025-01-10 12:35:29 +0100 Tobias Junghans (5b81be563) 

	* LinuxCoreFunctions: adopt libproc2 4.0.5 API change

2024-12-16 11:10:31 +0100 Tobias Junghans (b12e243bc) 

	* WebApiController: log idle/lifetime timeouts

2024-12-16 11:03:23 +0100 Tobias Junghans (8125be6db) 

	* WebApiController: unlock connection before starting timers in
          worker thread

2024-12-12 10:20:22 +0100 Tobias Junghans (2ccda5e71) 

	* WebApiController: use own worker thread

2024-12-11 13:17:53 +0100 Tobias Junghans (48c4652cd) 

	* WebApiController: fix statistics variable update

2024-12-11 09:13:37 +0100 Tobias Junghans (1e6abed2d) 

	* KExtraColumnsProxyModel: port to Qt 6.8's
          QIdentityProxyModel::setHandleSourceLayoutChanges

2024-12-11 09:11:22 +0100 Tobias Junghans (cd19dacef) 

	* KExtraColumnsProxyModel: trivial fix for crash in buddy() when
          sourceModel isn't set yet

2024-11-28 11:55:05 +0100 Tobias Junghans (1f5407f1e) 

	* Prepare 4.9.1 release

2024-11-28 12:05:17 +0100 Tobias Junghans (26aa1e6b6) 

	* CI: replace Fedora 39 with Fedora 41

2024-11-28 11:40:56 +0100 Tobias Junghans (2dd09bfb0) 

	* WindowsUserFunctions: use char16_t* overload of
          QString::fromUtf16()

2024-11-27 13:21:22 +0100 Tobias Junghans (1ae7e9fae) 

	* Update translations

2024-11-27 13:18:57 +0100 Tobias Junghans (4851c9476) 

	* 3rdparty: libvncserver: update submodule

2024-11-12 09:24:14 +0100 Tobias Junghans (582e15b9b) 

	* 3rdparty: ultravnc: update submodule

2024-11-06 16:03:03 +0100 Tobias Junghans (656a76771) 

	* NetworkObjectDirectory: optimize propagation of changed objects

2024-10-30 14:36:34 +0100 Tobias Junghans (d00eafe6f) 

	* VeyonMaster: sort plugin UUIDs lexicographically

2024-10-30 12:38:25 +0100 Tobias Junghans (0044f76de) 

	* ToolButton: fix alt text not being shown when checked

2024-10-25 14:23:40 +0200 Tobias Junghans (94ac3bfa3) 

	* AccessControlPage: always clean up authorized groups

2024-10-25 13:55:26 +0200 Tobias Junghans (f224fc7d6) 

	* Modernize code to build with Qt 6.8

2024-10-24 14:56:58 +0200 Tobias Junghans (50a960fe8) 

	* ComputerManager: fix getComputersAtLocation() for nested
          hierarchies

2024-10-24 14:34:14 +0200 Tobias Junghans (26f441bc5) 

	* NetworkObjectFilterProxyModel: drop unused depth parameter

2024-10-24 14:32:36 +0200 Tobias Junghans (bf23f5de4) 

	* NetworkObjectFilterProxyModel: only accept computers if parent is
          accepted

2024-10-22 08:58:15 +0200 Tobias Junghans (6240b749a) 

	* WindowsUserFunctions: improve error logging

2024-10-22 08:52:04 +0200 Tobias Junghans (749002508) 

	* WindowsUserFunctions: extend LogonUserW() calls

2024-10-18 14:07:12 +0200 Tobias Junghans (7fa823562) 

	* Update translations

2024-10-18 13:51:31 +0200 Tobias Junghans (013de221d) 

	* LocationDialog: accept location when activated

2024-10-18 13:51:19 +0200 Tobias Junghans (64e92d60d) 

	* LocationDialog: use tree model to show locations in nested
          hierarchies

2024-09-27 15:46:41 +0200 Tobias Junghans (06ae243bc) 

	* NetworkObjectFilterProxyModel: support filtering nested locations

2024-09-27 13:38:50 +0200 Tobias Junghans (70d706bef) 

	* ComputerSelectPanel: add option to always expand all locations

2024-09-27 13:13:35 +0200 Tobias Junghans (0e3921bab) 

	* NetworkObjectFilterProxyModel: add setComputersExcluded()

2024-09-27 12:38:12 +0200 Tobias Junghans (e1175c165) 

	* NetworkObjectFilterProxyModel: use NetworkObject::isContainer()

2024-09-27 12:37:52 +0200 Tobias Junghans (988e21dcc) 

	* NetworkObjectFilterProxyModel: reset model in
          setEmptyGroupsExcluded()

2024-10-16 13:03:27 +0200 Tobias Junghans (65aaa87df) 

	* WebApiController/HttpServer: add endpoint for retrieving host state

2024-10-16 11:53:33 +0200 Tobias Junghans (dbe795027) 

	* WebApiController/HttpServer: add endpoints for debugging

2024-09-18 08:55:47 +0200 Tobias Junghans (dfd1e9088) 

	* VncConnection: lock mutex during client initialization

2024-09-12 08:42:32 +0200 Tobias Junghans (fd343a528) 

	* Configurator: add German translation to PolicyKit file

2024-09-06 11:29:47 +0200 Tobias Junghans (cb2aadd88) 

	* Prepare 4.9.0 release

2024-09-06 15:03:10 +0200 Tobias Junghans (6cbc53702) 

	* Update translations

2024-09-06 14:23:50 +0200 Tobias Junghans (675f08e83) 

	* CI: add openSUSE 15.6

2024-09-06 11:21:52 +0200 Tobias Junghans (605326110) 

	* GeneralConfigurationPage: adjust layout

2024-09-06 11:20:50 +0200 Tobias Junghans (d8aa98aaa) 

	* VeyonMaster: emit computerControlListModelAboutToReset() signal

2024-09-06 11:20:39 +0200 Tobias Junghans (757ed8b3d) 

	* VeyonMaster: drop unused headers

2024-09-06 11:19:55 +0200 Tobias Junghans (f6c44558c) 

	* VeyonMasterInterface: add computerControlListModelAboutToReset()
          signal

2024-09-06 09:49:22 +0200 Tobias Junghans (e16898754) 

	* AuthKeysConfigurationPage: only prompt for key name if empty

2024-09-04 12:22:13 +0200 Tobias Junghans (52aff26c0) 

	* Update translations

2021-07-16 14:43:46 +0200 Tobias Junghans (37316dc87) 

	* cmake: require C++17 support

2024-08-02 14:32:06 +0200 Tobias Junghans (5a0b2d3d1) 

	* CI: install qt6-l10n-tools on Ubuntu 24.04

2024-08-02 13:57:16 +0200 Tobias Junghans (7c9d7b524) 

	* Update translations

2024-07-26 15:08:50 +0200 Tobias Junghans (39bf9112e) 

	* CI: use 4.9 build image for Windows

2024-07-26 09:51:11 +0200 Tobias Junghans (4d834bddd) 

	* Update translations

2024-07-26 14:44:09 +0200 Tobias Junghans (f55a4760d) 

	* Transifex: update resource for Veyon 4.9

2024-07-26 14:28:54 +0200 Tobias Junghans (5aa3b771c) 

	* CMake: default to Qt 6

2024-07-26 14:03:23 +0200 Tobias Junghans (8fa1aae1e) 

	* Centralize user groups backend configuration

2024-07-26 13:57:47 +0200 Tobias Junghans (371a876a5) 

	* VeyonCore: add application version Version_4_9

2024-07-26 09:50:57 +0200 Tobias Junghans (9530c39ca) 

	* 3rdparty: libvncserver: update submodule

2024-07-26 09:47:41 +0200 Tobias Junghans (d0ba16816) 

	* NetworkObjectDirectory: add rootObject()

2024-07-19 11:41:13 +0200 Tobias Junghans (88ac4ac48) 

	* Update translations

2024-07-12 16:01:56 +0200 Tobias Junghans (c483040d6) 

	* CMake: only define FORTIFY_SOURCE if not passed via CFLAGS/CXXFLAGS

2024-05-29 10:37:35 +0200 Tobias Junghans (34a0e1b0c) 

	* BuiltinDirectoryPlugin: use QLatin1Char for joining lines

2024-05-29 10:37:12 +0200 Tobias Junghans (7e2a023a7) 

	* BuiltinDirectoryPlugin: only export host objects

2024-05-29 10:36:47 +0200 Tobias Junghans (41e850005) 

	* BuiltinDirectoryPlugin: show error if location to export is not
          found

2024-05-29 10:36:27 +0200 Tobias Junghans (ff84409f6) 

	* BuiltinDirectoryPlugin: include location in export help string

2024-05-24 09:35:09 +0200 Tobias Junghans (fdd2eff89) 

	* CMake: WindowsInstaller: add Qt6WebSockets.dll

2024-05-14 10:39:08 +0200 Tobias Junghans (6ccc3218c) 

	* CI: drop unused SAST image

2024-05-14 10:37:24 +0200 Tobias Junghans (3cb6e0375) 

	* CI: don't install Qt WebEngine/WebKit

2024-05-14 10:35:50 +0200 Tobias Junghans (f7a1b77e6) 

	* CI: drop openSUSE 15.4

2024-05-14 10:31:42 +0200 Tobias Junghans (d3bba728b) 

	* CI: replace Debian/Ubuntu release names with version numbers

2024-05-14 10:29:41 +0200 Tobias Junghans (193b4fed4) 

	* CI: drop Debian Buster

2024-05-14 09:55:41 +0200 Tobias Junghans (1310dffa9) 

	* CI: Fedora 40: disable template-id-cdtor warning

2024-05-14 09:48:38 +0200 Tobias Junghans (e89ba9c61) 

	* GHA: migrate to checkout@v4 action

2024-05-14 09:42:58 +0200 Tobias Junghans (36ddee131) 

	* CI: Fedora 40: build with WITH_PCH=OFF

2024-05-14 09:29:46 +0200 Tobias Junghans (37c3efd96) 

	* GHA: bump to Fedora 40 and Ubuntu 24.04

2024-05-14 09:29:05 +0200 Tobias Junghans (842ceffb2) 

	* CI: replace Fedora 38 with Fedora 40

2024-05-14 09:28:37 +0200 Tobias Junghans (7ec765448) 

	* CI: replace Ubuntu 23.10 with Ubuntu 24.04

2024-05-08 17:07:53 +0800 daizhengwen (5ebf7b053) 

	* CMakeLists.txt: After WITH_TESTS is defined, define
          VEYON_WITH_TESTS variable of the same name

2024-05-08 16:42:51 +0800 daizhengwen (dbdd85fa5) 

	* veyonconfig.h.in: If WITH_TESTS is OFF, then VEYON_WITH_TESTS is
          not defined

2024-03-13 09:59:10 +0100 Tobias Junghans (da27daaa5) 

	* LinuxServiceCore: restart server if crashed

2024-03-06 17:03:28 +0100 Tobias Junghans (e5e9d2f7c) 

	* BuiltinX11VncServer: add public CMake option

2024-03-06 17:02:58 +0100 Tobias Junghans (bf01b0278) 

	* BuiltinX11VncServer: fix build with VEYON_X11VNC_EXTERNAL

2024-03-06 13:46:08 +0100 Tobias Junghans (b0877c378) 

	* LinuxUserFunctions: skip DBus calls from CLI

2024-02-23 13:24:55 +0100 Tobias Junghans (ab2d7f53b) 

	* BuiltinDirectoryPlugin: fix misleading delimiters in help string

2024-02-21 12:03:42 +0100 Tobias Junghans (fd8f0ba1e) 

	* Prepare 4.8.3 release

2024-02-21 12:01:35 +0100 Tobias Junghans (0b3b91a5d) 

	* Update copyright

2024-02-21 11:56:00 +0100 Tobias Junghans (68dc139c8) 

	* Update translations

2024-02-20 13:18:52 +0100 Tobias Junghans (8e6845b3a) 

	* Windows: use custom power scheme for screen lock

2024-02-20 13:14:01 +0100 Tobias Junghans (390170eff) 

	* ConfigurationProperty: add missing template keyword

2024-02-19 16:20:05 +0100 Tobias Junghans (c03c119a3) 

	* VeyonCore: add exited() signal

2024-02-19 16:18:37 +0100 Tobias Junghans (cfbea03bd) 

	* Convert temporary QRegularExpressions to static const objects

2024-02-16 15:10:11 +0100 Tobias Junghans (3ab9452b7) 

	* CI: don't install qt6*private*devel

2024-02-16 14:43:28 +0100 Tobias Junghans (110e70e16) 

	* GHA: bump to Fedora 39

2024-02-16 13:54:27 +0100 Tobias Junghans (feb40fb4b) 

	* CI: drop Fedora 37 and add Fedora 39

2024-02-16 13:32:46 +0100 Tobias Junghans (44be3842c) 

	* WtsSessionManager: add queryUserSid()

2024-02-16 13:31:20 +0100 Tobias Junghans (4babd3c5b) 

	* PlatformSessionFunctions: add querySettingsValueInCurrentSession()

2024-02-15 13:58:47 +0100 Tobias Junghans (d2a3eb8fe) 

	* PlatformSessionFunctions: add currentSessionEnvironmentVariables()

2024-02-15 11:01:21 +0100 Tobias Junghans (7461bc0c7) 

	* Windows: drop unused headers

2024-02-15 10:57:18 +0100 Tobias Junghans (863da2ea4) 

	* WtsSessionManager: drop findWinlogonProcessId()

2024-02-15 10:56:31 +0100 Tobias Junghans (9d4aea33a) 

	* WtsSessionManager: add optional sessionId param to findProcessId()

2024-02-15 10:55:42 +0100 Tobias Junghans (7dc9fd649) 

	* WindowsCoreFunctions: add nullptr check in
          appendToEnvironmentBlock()

2024-02-15 10:52:14 +0100 Tobias Junghans (60cce0ac0) 

	* WindowsCoreFunctions: add queryProcessEnvironmentVariables()

2024-02-15 10:51:01 +0100 Tobias Junghans (b63524ded) 

	* WindowsCoreFunctions: add MaximumEnvironmentBlockSize

2024-02-08 09:22:05 +0100 Tobias Junghans (f3c9b544b) 

	* CI: add Ubuntu 23.10

2024-01-24 14:38:24 +0100 Tobias Junghans (49b8a1fa8) 

	* NetworkObjectDirectory: propagate child object change on remove

2024-01-24 14:37:45 +0100 Tobias Junghans (2b33a1d3b) 

	* NetworkObjectDirectory: fix child object change propagations

2024-01-24 14:37:24 +0100 Tobias Junghans (065deff18) 

	* NetworkObjectDirectory: remove unused variable from object()

2024-01-24 13:10:30 +0100 Tobias Junghans (d89540785) 

	* AccessControlPage: define maximum size for groups groupbox

2024-01-24 09:39:50 +0100 Tobias Junghans (d858fed85) 

	* Master: update splash for 2024

2024-01-23 15:50:05 +0100 Tobias Junghans (dd6219fda) 

	* Configurator: don't show standard widgets explicitly

2024-01-23 15:47:11 +0100 Tobias Junghans (1fd5bf717) 

	* ComputerControlInterface: add executeIfConnected() helper

2024-01-23 15:45:27 +0100 Tobias Junghans (cb77d7425) 

	* ComputerControlInterface: add mechanism for reading/writing custom
          properties

2024-01-23 15:44:57 +0100 Tobias Junghans (05e5f5d0d) 

	* ComputerControlInterface: add update mode FeatureControlOnly

2024-01-23 15:44:27 +0100 Tobias Junghans (512e8463b) 

	* ComputerControlInterface: update state first

2024-01-23 15:42:43 +0100 Tobias Junghans (41c8402d7) 

	* VncConnection: add control flag for skipping framebuffer updates

2024-01-19 11:43:37 +0100 Tobias Junghans (35831d607) 

	* 3rdparty: kldap: update submodule

2024-01-19 10:55:59 +0100 Tobias Junghans (27ba6084e) 

	* 3rdparty: libvncserver: update submodule

2024-01-19 10:54:56 +0100 Tobias Junghans (5fc62d427) 

	* 3rdparty: ultravnc: update submodule (1.4.3.6)

2024-01-19 10:50:40 +0100 Tobias Junghans (5fd873033) 

	* DesktopAccessDialog: handle worker messages via
          handleFeatureMessageFromWorker()

2024-01-19 10:48:24 +0100 Tobias Junghans (7799764d0) 

	* FeatureWorkerManager: use new handleFeatureMessageFromWorker()
          method

2024-01-19 10:47:20 +0100 Tobias Junghans (687f5aeca) 

	* FeatureManager: add handleFeatureMessageFromWorker()

2024-01-19 10:45:45 +0100 Tobias Junghans (8ccd02106) 

	* FeatureProviderInterface: add handleFeatureMessageFromWorker()

2024-01-19 10:44:35 +0100 Tobias Junghans (4619f93b5) 

	* FeatureManager: cache disabled features

2023-12-12 12:08:46 +0100 Tobias Junghans (7960fde3f) 

	* Update translations

2023-12-11 09:23:57 +0100 Tobias Junghans (0ec458e53) 

	* NetworkObjectDirectory: propagate child object changes to parents

2023-12-11 09:20:10 +0100 Tobias Junghans (f6c1f4517) 

	* NetworkObjectDirectory: emit signals with model IDs

2023-11-15 11:30:45 +0100 Tobias Junghans (495759c14) 

	* WebApiHttpServer: add toJson() overload for Qt 6

2023-11-15 11:10:30 +0100 Tobias Junghans (5a1fcf31f) 

	* WebApiHttpServer: dump debug info on SIGUSR1

2023-11-07 15:34:58 +0100 Tobias Junghans (da7bffc69) 

	* WebApiController: add dumpDebugInformation()

2023-11-06 20:43:04 +0100 Tobias Junghans (7a4f99efa) 

	* WebApiController: improve request and response logging

2023-10-20 15:20:10 +0200 Tobias Junghans (6fef16818) 

	* WebApiHttpServer: log responses

2023-11-15 11:09:29 +0100 Tobias Junghans (767f8c097) 

	* EnumHelper: properly resolve enum strings by value

2023-10-20 15:14:43 +0200 Tobias Junghans (18f94ba49) 

	* Logger: increase maximum log message size

2023-10-13 09:02:23 +0200 Tobias Junghans (8d81108d8) 

	* LinuxUserFunctions: check for system bus being connected

2023-10-09 10:47:43 +0200 Tobias Junghans (e2ba6f4e7) 

	* Platform: Linux: check for system bus being connected

2023-09-26 10:09:49 +0200 Tobias Junghans (e1bfd5d07) 

	* NSIS: remove TLS backends directory

2023-09-22 15:05:58 +0200 Tobias Junghans (495348a0e) 

	* LinuxPlatformPlugin: add crash handlers

2023-08-14 15:20:01 +0200 Tobias Junghans (a8d616168) 

	* Prepare 4.8.2 release

2023-08-14 15:19:17 +0200 Tobias Junghans (570eb8efa) 

	* LinuxCoreFunctions: fix systemd status evaluation

2023-08-14 14:54:51 +0200 Tobias Junghans (00dd9b766) 

	* VeyonCore: set QToolTip colors via palette

2023-08-09 14:20:29 +0200 Tobias Junghans (300b40f70) 

	* Update translations

2023-08-09 14:18:26 +0200 Tobias Junghans (bbfd48454) 

	* 3rdparty: ultravnc: update submodule (1.4.3.1)

2023-08-09 13:56:15 +0200 Tobias Junghans (1a3b4f090) 

	* Filesystem: don't replace username with USER variable

2023-08-04 14:41:20 +0200 Tobias Junghans (ece393c1a) 

	* CI: add openSUSE 15.5

2023-07-19 12:15:30 +0200 Tobias Junghans (d95582c68) 

	* RemoteAccessFeaturePlugin: skip clipboard sync if disabled

2023-07-19 12:14:40 +0200 Tobias Junghans (83682e719) 

	* Core: VeyonConfiguration: add ClipboardSynchronizationDisabled
          option

2023-07-19 11:43:52 +0200 Tobias Junghans (4436ec8f8) 

	* Core: Filesystem: add support for USER variable

2023-07-14 12:05:17 +0200 Tobias Junghans (9107f2dd4) 

	* LinuxServiceFunctions: suppress service config error if not managed
          by systemd

2023-07-14 11:58:38 +0200 Tobias Junghans (587e66cd5) 

	* LinuxCoreFunctions: add isSystemdManaged()

2023-07-14 11:53:30 +0200 Tobias Junghans (810fb28b0) 

	* ComputerControlServer: omit tray icon control if no user is logged
          in

2023-07-07 13:03:32 +0200 Tobias Junghans (ae481e382) 

	* LinuxUserFunctions: fall back to environment variable silently

2023-07-07 13:03:01 +0200 Tobias Junghans (856c684ba) 

	* LinuxSessionFunctions: add optional ignoreErrors parameter

2023-07-05 12:25:53 +0200 Tobias Junghans (140e2eee4) 

	* Prepare 4.8.1 release

2023-07-05 12:16:19 +0200 Tobias Junghans (ad919242b) 

	* Update translations

2023-07-05 11:50:00 +0200 Tobias Junghans (676720b90) 

	* 3rdparty: ddengine: update to 1.4.3.0

2023-07-05 11:49:05 +0200 Tobias Junghans (a73ff18ce) 

	* CI: drop Fedora 36 and add Fedora 38

2023-07-05 09:53:35 +0200 Tobias Junghans (334d70cb4) 

	* CI: drop Ubuntu 18.04

2023-07-05 09:49:13 +0200 Tobias Junghans (5b3e7fef5) 

	* CMake: CPackDefinitions: add deps for Qt 6 RPMs

2023-07-05 09:35:58 +0200 Tobias Junghans (5547a0948) 

	* CMake: ignore dllimport/export attribute warnings

2023-07-05 09:34:41 +0200 Tobias Junghans (32a8f3b9a) 

	* Windows: DesktopInputController: use std::thread

2023-06-28 16:55:08 +0200 Tobias Junghans (6ade06595) 

	* LinuxServerProcess: fix build with libproc2

2023-06-28 16:39:33 +0200 Tobias Junghans (559ec0a20) 

	* CI: add Debian 12

2023-06-28 16:43:29 +0200 Tobias Junghans (79314f352) 

	* 3rdparty: libvncserver: update submodule

2023-06-28 16:23:58 +0200 Tobias Junghans (5cfbf1440) 

	* 3rdparty: x11vnc: update submodule

2023-06-28 16:20:56 +0200 Tobias Junghans (d8c93ebcf) 

	* 3rdparty: ultravnc: update submodule (1.4.3.0)

2023-06-28 16:15:17 +0200 Tobias Junghans (539e92572) 

	* Windows: DesktopInputController: run in native thread

2023-05-10 20:33:00 +0200 Tobias Junghans (79b4153cc) 

	* HeadlessVncServer: add missing include

2023-04-26 15:24:32 +0200 Tobias Junghans (81d9f8e84) 

	* NSIS: bundle Qt's OpenSSL TLS backend

2023-04-26 15:05:13 +0200 Tobias Junghans (388e4c304) 

	* 3rdparty: ultravnc: update submodule

2023-04-25 14:35:10 +0200 Tobias Junghans (11c608e16) 

	* CMake: WindowsInstaller: bundle Qt's OpenSSL TLS backend

2023-04-21 12:02:29 +0200 Tobias Junghans (e8dac407b) 

	* NSIS: update copyright

2023-04-21 11:05:10 +0200 Tobias Junghans (637f0d040) 

	* Prepare 4.8.0 release

2023-04-21 11:01:18 +0200 Tobias Junghans (9c2b699f2) 

	* CCLM: disconnect from CCI when stopping it

2023-04-21 09:39:50 +0200 Tobias Junghans (43daa21db) 

	* 3rdparty: ultravnc: update submodule (1.4.2.0)

2023-04-21 09:38:42 +0200 Tobias Junghans (72324d9d1) 

	* Update translations

2023-04-14 13:12:43 +0200 Tobias Junghans (cd9599163) 

	* 3rdparty: libvncserver: update submodule

2023-04-14 13:06:58 +0200 Tobias Junghans (9e3f0472d) 

	* Transifex: move minimum_perc parameter to resource section

2023-04-14 12:57:55 +0200 Tobias Junghans (dd24718b0) 

	* MasterConfigurationPage: improve label text

2023-04-14 12:51:00 +0200 Tobias Junghans (5639e9fd0) 

	* ComputerSelectPanel: improve placeholder text

2023-04-14 12:47:45 +0200 Tobias Junghans (9f700b665) 

	* ComputerSelectPanel: make columns sortable

2023-04-06 10:40:52 +0200 Tobias Junghans (5444dfb34) 

	* QtCompat: add qsetRemoveIf()

2023-04-06 10:40:39 +0200 Tobias Junghans (dd2c3be90) 

	* QtCompat: add qsetFromList() and qlistFromSet()

2023-04-06 10:40:22 +0200 Tobias Junghans (a4a346c66) 

	* QtCompat: drop support for Qt < 5.7

2019-07-30 11:34:59 +0200 Tobias Junghans (e4b497ea1) 

	* QtCompat: drop QVersionNumber

2019-07-30 11:33:31 +0200 Tobias Junghans (16ed1d640) 

	* QtCompat: drop QVariantHelper

2023-04-05 16:05:33 +0200 Tobias Junghans (b282c6c6c) 

	* CMake: WindowsInstaller: add libvncserver.dll

2023-04-05 15:55:37 +0200 Tobias Junghans (1ae13b098) 

	* WebAPI: add session information test

2023-04-05 15:55:01 +0200 Tobias Junghans (d4267e1b9) 

	* WebAPI: add session_information() to Python client

2023-04-05 15:35:26 +0200 Tobias Junghans (e1e898b2a) 

	* WebApiHttpServer: add missing include

2023-04-05 12:51:58 +0200 Tobias Junghans (276609c05) 

	* CCI: use remoteAccessImageQuality for UpdateMode::Live

2023-04-05 12:51:27 +0200 Tobias Junghans (761a462ef) 

	* VeyonConfigurationProperties: add remoteAccessImageQuality property

2023-04-05 12:43:29 +0200 Tobias Junghans (519c9da18) 

	* Update copyright

2023-04-05 12:41:43 +0200 Tobias Junghans (073b9a8d9) 

	* CMake: WindowsInstaller: add Qt6HttpServer.dll

2023-04-05 12:11:32 +0200 Tobias Junghans (0d6b072b5) 

	* VncConnection: default to highest quality

2023-04-05 12:10:36 +0200 Tobias Junghans (6bcd4d92a) 

	* Revert "VeyonConfiguration: use highest image quality when
          migrating from < 4.8"

2023-04-05 12:04:46 +0200 Tobias Junghans (decdab134) 

	* MonitoringMode: retrieve session information in separate thread

2023-04-05 12:03:09 +0200 Tobias Junghans (0e34ddc5a) 

	* PlatformSessionFunctions: use int as type for SessionId

2023-04-05 12:01:07 +0200 Tobias Junghans (ad83b80ac) 

	* CCI: only set quality levels for servers >= 4.8

2023-04-05 12:25:37 +0200 Tobias Junghans (248488f97) 

	* VncConnection: move constants to separate header

2023-03-31 12:31:33 +0200 Tobias Junghans (cf7be75ed) 

	* WebApiHttpServer: add route for session information

2023-03-31 12:31:02 +0200 Tobias Junghans (2cd9e747a) 

	* WebApiController: add getSessionInformation()

2023-03-31 12:30:13 +0200 Tobias Junghans (4c2da48a1) 

	* VariantStream: add support for QMetaType::LongLong

2023-03-31 12:28:47 +0200 Tobias Junghans (427dbef6a) 

	* ComputerManager, CCLM: show session uptime in 3rd column

2023-03-31 12:27:53 +0200 Tobias Junghans (1b36f3e5b) 

	* ComputerControlListModel: rename to userInformation()

2023-03-31 12:24:39 +0200 Tobias Junghans (c1faa6af8) 

	* MonitoringMode, CCI: add session info query support

2023-03-31 12:17:13 +0200 Tobias Junghans (d11a52b31) 

	* VeyonConfiguration: use highest image quality when migrating from <
          4.8

2023-03-31 12:16:04 +0200 Tobias Junghans (e650d71d4) 

	* VeyonConfigurationProperties: default to medium image quality

2023-03-31 12:15:37 +0200 Tobias Junghans (d115a5f4c) 

	* MasterConfigurationPage: translate all quality levels

2023-03-31 11:58:38 +0200 Tobias Junghans (47f2417a6) 

	* VeyonCore: add version enum value for 4.8

2023-03-31 11:55:56 +0200 Tobias Junghans (68907c332) 

	* PlatformSessionFunctions: add SessionInfo struct

2023-03-31 11:54:19 +0200 Tobias Junghans (ebc267278) 

	* PlatformSessionFunctions: add more session info retrieval methods

2023-03-31 10:25:11 +0200 Tobias Junghans (537234cf6) 

	* MonitoringMode: shorten internal name for user info query feature

2023-03-31 10:21:08 +0200 Tobias Junghans (9bcb3dd55) 

	* NetworkObjectOverlayDataModel: add support for multiple columns

2023-03-29 14:07:39 +0200 Tobias Junghans (e25f23e06) 

	* VeyonConnection: remove unused member variables and getters

2023-03-29 12:03:26 +0200 Tobias Junghans (4f17e5135) 

	* GeneralConfigurationPage: don't translate Fusion style name

2023-03-29 11:59:41 +0200 Tobias Junghans (da504fcec) 

	* Transifex: update resource for Veyon 4.8

2023-03-24 15:23:30 +0100 Tobias Junghans (c6eded49e) 

	* Demo: add lower limit for calculated bandwidth

2023-03-24 14:13:13 +0100 Tobias Junghans (14e471bee) 

	* 3rdparty: ultravnc: update submodule (1.4.0.9)

2023-03-24 13:54:13 +0100 Tobias Junghans (2830b62d4) 

	* GeneralConfigurationPage: add UI style combobox

2023-03-24 13:53:40 +0100 Tobias Junghans (7353bdea6) 

	* VeyonCore: set fusion UI style for application

2023-03-24 13:53:14 +0100 Tobias Junghans (840fd2f0e) 

	* VeyonConfiguration: add uiStyle property

2023-03-24 13:52:56 +0100 Tobias Junghans (4a8801b32) 

	* VeyonCore: add UiStyle enum

2023-03-08 15:33:00 +0100 Tobias Junghans (f4d197a74) 

	* Master: refactor icon size management and use native toolbar style

2023-03-08 15:32:00 +0100 Tobias Junghans (6cef95463) 

	* Core: ToolButton: refactor to simple QToolButton

2023-03-08 15:30:02 +0100 Tobias Junghans (50efd3b27) 

	* VeyonCore: add initUi()

2023-03-02 14:26:05 +0100 Tobias Junghans (b2ba5b180) 

	* LockWidget: show fullscreen after raising on Linux

2023-02-23 12:06:07 +0100 Tobias Junghans (44aba5c2c) 

	* CI: install qt6-httpserver-devel for openSUSE Tumbleweed

2023-02-23 12:01:10 +0100 Tobias Junghans (442b344a5) 

	* WebAPI: port Controller and HttpServer to Qt 6

2023-02-23 12:00:17 +0100 Tobias Junghans (625e406b3) 

	* WebAPI: make type conversions more explicit

2022-01-07 20:15:27 +0100 Tobias Junghans (98cec2140) 

	* LogoffEventFilter: adopt Qt 6 API

2023-02-22 14:52:51 +0100 Tobias Junghans (aecc01ae6) 

	* CI: use new build image for Windows builds

2023-02-22 14:45:08 +0100 Tobias Junghans (268190833) 

	* CMake: WindowsInstaller: deploy OpenSSL 3 DLLs

2023-02-22 14:44:23 +0100 Tobias Junghans (76199c94a) 

	* CMake: use Qt 6 for Windows builds

2023-02-22 14:14:02 +0100 Tobias Junghans (15ce17e9d) 

	* CMake: only disable LTO for 32 bit Windows builds

2023-02-22 13:34:18 +0100 Tobias Junghans (425487d0d) 

	* CI: set QT_TRANSLATIONS_DIR for Windows builds

2022-01-07 20:51:29 +0100 Tobias Junghans (087b3a25b) 

	* CI: Windows: switch to Qt 6

2023-02-22 13:33:24 +0100 Tobias Junghans (52fbc27c5) 

	* CMake: refactor import of Qt's translations

2023-02-22 13:32:35 +0100 Tobias Junghans (21f4aa081) 

	* CMake: MinGWCrossCompile: drop unused variable

2023-02-22 13:12:52 +0100 Tobias Junghans (374125fd2) 

	* Core: Configuration: always use 64 bit registry

2023-02-22 13:12:00 +0100 Tobias Junghans (394131771) 

	* CMake: require LibVNCClient >= 0.9.14

2023-02-20 14:32:43 +0100 Tobias Junghans (45eab99b1) 

	* Create CODE_OF_CONDUCT.md

2023-02-17 15:38:35 +0100 Tobias Junghans (f2de5d49d) 

	* Core: add missing header in VeyonCore

2023-02-17 15:34:05 +0100 Tobias Junghans (671faa8d2) 

	* Core: rely on __MINGW32__ for platform detection in PCH

2023-02-17 15:36:23 +0100 Tobias Junghans (f3e6bae48) 

	* 3rdparty: ultravnc: update submodule (1.4.0.7)

2023-02-22 13:24:24 +0100 Tobias Junghans (4f1246e63) 

	* 3rdparty: libvncserver: update submodule

2022-09-22 14:08:35 +0200 Tobias Junghans (dbeb16ec4) 

	* Demo: implement bandwidth agnostic quality control

2022-09-22 11:08:18 +0200 Tobias Junghans (bbf40576f) 

	* ComputerControlInterface: honor image quality setting

2022-09-22 11:07:58 +0200 Tobias Junghans (e4537c8fb) 

	* VeyonConfiguration: make image quality configurable

2022-09-22 10:44:22 +0200 Tobias Junghans (f649d6d1b) 

	* VncConnection: refactor quality levels

2022-09-22 10:30:22 +0200 Tobias Junghans (629031c8d) 

	* VncClientProtocol: add Tight encoding support

2023-01-24 13:52:30 +0100 Tobias Junghans (f24b48f5a) 

	* Prepare 4.7.5 release

2023-01-24 13:52:12 +0100 Tobias Junghans (bb49d5753) 

	* Update translations

2023-01-24 12:18:09 +0100 Tobias Junghans (1ab429ea8) 

	* CI: update Github build workflow

2023-01-24 11:38:05 +0100 Tobias Junghans (a4b720376) 

	* CI: replace openSUSE Leap 15.3 with 15.4

2023-01-24 11:33:28 +0100 Tobias Junghans (7b48a72ac) 

	* CI: drop Fedora 35 and add Fedora 37

2023-01-24 11:29:45 +0100 Tobias Junghans (03e4cf691) 

	* Master: update splash for 2023

2023-01-24 11:27:12 +0100 Tobias Junghans (6c8ce4225) 

	* 3rdparty: libvncserver: update submodule

2023-01-20 16:28:01 +0100 Tobias Junghans (d2fd5ecd2) 

	* LDAP: relicense under LGPL 2

2022-10-13 12:54:34 +0200 Tobias Junghans (b99b293a8) 

	* README.md: add section on how to help with translating

2022-11-21 11:00:03 +0100 Tobias Junghans (aaf6fc422) 

	* LinuxCoreFunctions: add support for libproc2

2022-09-22 14:06:43 +0200 Tobias Junghans (fc565953e) 

	* DemoServer: fix default depth

2022-09-22 10:29:22 +0200 Tobias Junghans (f7d61c6f6) 

	* VncClientProtocol: adjust endianess for pixel format members

2022-09-22 10:23:05 +0200 Tobias Junghans (d33038348) 

	* VncConnection: drop parameter for initFrameBuffer()

2022-08-24 21:29:34 +0200 Tobias Junghans (6b767fff2) 

	* WindowsServiceCore: wait for session change events

2022-08-24 20:46:43 +0200 Tobias Junghans (8dd1883d0) 

	* WindowsServiceCore: adjust server timeout/query interval

2022-08-24 20:45:15 +0200 Tobias Junghans (de80dc9f6) 

	* WindowsServiceCore: only wait for server after terminating it

2022-08-24 20:26:00 +0200 Tobias Junghans (16ae23c48) 

	* LogoffEventFilter: react to WM_ENDSESSION messages

2022-08-24 20:25:39 +0200 Tobias Junghans (ccfaa925f) 

	* LogoffEventFilter: add nullptr check

2022-08-24 14:47:07 +0200 Tobias Junghans (759f94383) 

	* SystemTrayIcon: use temporary worker only if hidden

2022-08-24 14:35:21 +0200 Tobias Junghans (da60261f3) 

	* SystemTrayIcon: only load overlay icon with valid URL

2022-08-24 14:24:46 +0200 Tobias Junghans (fb4c4e9c0) 

	* FeatureWorkerManager: add log message

2022-08-24 14:23:09 +0200 Tobias Junghans (75e39e80c) 

	* LinuxCoreFunctions: only exit if set* fails as root

2022-08-24 14:22:29 +0200 Tobias Junghans (71d006f14) 

	* LinuxCoreFunctions: deduplicate code for Qt 5/6

2022-08-24 14:21:53 +0200 Tobias Junghans (8b7a099f7) 

	* LinuxCoreFunctions: only fail for unresolved UID/GID

2022-08-24 14:20:25 +0200 Tobias Junghans (1fdd73d2b) 

	* LinuxUserFunctions: return -1 for unresolved UID/GID

2022-08-23 12:01:03 +0200 Tobias Junghans (44d5b642a) 

	* WindowsServiceCore: never start servers during service shutdown

2022-08-23 13:54:12 +0200 Tobias Junghans (410d975a6) 

	* FeatureWorkerManagerConnection: add debug message

2022-08-23 12:08:09 +0200 Tobias Junghans (ade869f1e) 

	* FeatureWorkerManagerConnection: terminate via exit()

2022-08-23 13:53:01 +0200 Tobias Junghans (96f0205af) 

	* FeatureWorkerManagerConnection: load port from config only once

2022-08-23 12:07:14 +0200 Tobias Junghans (7ff41684f) 

	* VeyonWorker: improve connection management

2022-08-23 13:53:22 +0200 Tobias Junghans (250aef4ce) 

	* VeyonCore: add debug message

2022-08-23 10:01:50 +0200 Tobias Junghans (3d36744ea) 

	* WebAPI: call FeatureManager::controlFeature() in main thread

2022-08-23 09:58:38 +0200 Tobias Junghans (bced0156e) 

	* Demo: assume controlFeature() being called from main thread

2022-08-23 09:04:30 +0200 Tobias Junghans (76bfb5c5e) 

	* CMake: Windows: select GCC runtime DLL via wildcard

2022-08-16 12:03:50 +0200 Tobias Junghans (834995af0) 

	* 3rdparty: libvncserver: switch to veyon-4.7 branch

2022-08-16 11:55:31 +0200 Tobias Junghans (c8ee19901) 

	* ComputerControlInterface: poll states if interval is set

2022-08-16 11:27:59 +0200 Tobias Junghans (6b1f1a1fe) 

	* VeyonConfigurationProperties: add computerStatePollingInterval
          property

2022-08-16 11:24:39 +0200 Tobias Junghans (47162b12d) 

	* Fix Clazy warnings

2022-08-02 11:55:29 +0200 Tobias Junghans (d7d838fcd) 

	* Logger: extend log level parsing

2022-08-02 11:12:21 +0200 Tobias Junghans (bdd01e694) 

	* Demo: fix build with Qt < 5.10

2022-08-02 10:34:57 +0200 Tobias Junghans (17167d65b) 

	* Demo: stop server for specified connections

2022-08-02 10:32:57 +0200 Tobias Junghans (d9fe95660) 

	* Demo: control server with affinity of control timer

2022-08-02 10:31:15 +0200 Tobias Junghans (0b8f6525d) 

	* Demo: change return type of controlDemoServer() to void

2022-08-02 10:30:13 +0200 Tobias Junghans (b8da3dc27) 

	* Logger: cache logToStdErr config property

2022-08-02 10:29:42 +0200 Tobias Junghans (55811b699) 

	* ComputerControlInterface: check pointers in stream operators

2022-07-29 13:20:49 +0200 Tobias Junghans (1c59b597f) 

	* Prepare 4.7.4 release

2022-07-29 13:20:45 +0200 Tobias Junghans (ca6d1e5aa) 

	* Update translations

2022-07-29 13:20:24 +0200 Tobias Junghans (db44ab612) 

	* CI: only invoke ninja once

2022-07-29 13:09:27 +0200 Tobias Junghans (45a4b3f2c) 

	* 3rdparty: x11vnc: update submodule

2022-07-29 13:06:08 +0200 Tobias Junghans (27eda6fd5) 

	* ComputerManager: mark more functions const

2022-07-29 12:38:24 +0200 Tobias Junghans (1e62b9b4b) 

	* 3rdparty: libvncserver: update submodule

2022-07-29 12:37:27 +0200 Tobias Junghans (50bc9b407) 

	* 3rdparty: ultravnc: update submodule

2022-07-29 12:30:45 +0200 Tobias Junghans (761e96b94) 

	* DemoClient: simplify toplevel widget handling

2022-07-29 11:38:30 +0200 Tobias Junghans (0529cea6d) 

	* LockWidget: move to left-most screen and fix resizing

2022-07-29 09:15:16 +0200 Tobias Junghans (379c05040) 

	* RemoteAccess: fix viewport for negative screen coordinates

2022-07-27 13:07:57 +0200 Tobias Junghans (08bb89fbe) 

	* CMake: work around binutils/GCC/Qt PIE+LTO issue

2022-07-27 13:10:33 +0200 Tobias Junghans (e2a935fa5) 

	* CI: drop Debian Stretch support

2022-07-18 13:31:11 +0200 Tobias Junghans (2111d305e) 

	* LinuxServiceCore: add workaround for incomplete env vars

2022-07-18 09:56:32 +0200 Tobias Junghans (44120c644) 

	* CMake: update LibVNCServerIntegration.cmake

2022-07-18 09:56:16 +0200 Tobias Junghans (8bf860a92) 

	* 3rdparty: libvncserver: update submodule

2022-07-18 09:50:49 +0200 Tobias Junghans (2b4216fa1) 

	* NetworkObjectFilterProxyModel: make group filtering work with
          nested locations

2022-07-18 09:43:39 +0200 Tobias Junghans (598560383) 

	* ComputerManager: make getComputersAtLocation() make work with
          nested locations

2022-07-18 09:43:07 +0200 Tobias Junghans (30703e650) 

	* ComputerManager: add hasSubLocations()

2022-07-18 09:41:32 +0200 Tobias Junghans (9d342a93e) 

	* ComputerManager: fetch objects in findLocationOfComputer()

2021-08-13 19:45:13 +0200 Tobias Junghans (8aa974c84) 

	* NetworkObject: add isContainer()

2022-07-18 09:41:02 +0200 Tobias Junghans (48766d8fb) 

	* ComputerManager: use const auto for entryIndex/objectType

2022-07-18 09:40:10 +0200 Tobias Junghans (e06452d3a) 

	* ComputerManager: only add non-empty location

2022-07-18 09:39:39 +0200 Tobias Junghans (2c476f212) 

	* VncClientProtocol: handle rfbEncodingExtDesktopSize encoding

2022-07-17 21:29:25 +0200 Tobias Junghans (8fcdd62a8) 

	* CMake: restrict usage of external libvncserver

2022-07-17 21:16:24 +0200 Tobias Junghans (7d4efec35) 

	* CMake: add WITH_BUILTIN_LIBVNC option

2022-06-10 10:28:10 +0300 Egor Ignatov (c2e9ef2b4) 

	* linux: runProgramAsUser set gid as well

2022-06-03 14:27:25 +0200 Tobias Junghans (36c58eb98) 

	* VncServerProtocol: cast auth type count to int

2022-04-25 10:21:34 +0200 Tobias Junghans (4b866ff44) 

	* Add missing <array> includes

2022-04-25 09:38:08 +0200 Tobias Junghans (7020e29c2) 

	* CI: drop Fedora 34 and add Fedora 36

2022-04-25 08:52:59 +0200 Tobias Junghans (44beac5af) 

	* CI: harmonize Dockerfiles for Ubuntu images

2022-04-25 08:44:06 +0200 Tobias Junghans (0c2e208f9) 

	* CMake: fix building libvncclient with OpenSSL 3.0

2022-04-22 15:33:06 +0200 Tobias Junghans (c35c08b00) 

	* CI: add Ubuntu 22.04 packages

2022-04-07 14:28:06 +0200 Tobias Junghans (7f1a221b7) 

	* Prepare 4.7.3 release

2022-04-07 14:27:21 +0200 Tobias Junghans (37fb5632b) 

	* LinuxServiceCore: do not start server for sessions with unspecified
          type

2022-04-07 14:24:44 +0200 Tobias Junghans (ad0f23d54) 

	* LinuxSessionFunctions: detect unspecified session type explicitly

2022-04-06 14:18:37 +0200 Tobias Junghans (28eadb93e) 

	* Update translations

2022-04-06 12:58:46 +0200 Tobias Junghans (fc72a7feb) 

	* CI: use default package naming scheme

2022-04-06 11:10:18 +0200 Tobias Junghans (66afeb69c) 

	* CMake: set CPack variables early

2022-04-06 11:08:13 +0200 Tobias Junghans (a976bf0d2) 

	* CMake: allow specification of COMPONENT

2022-04-06 11:07:12 +0200 Tobias Junghans (5cc31c8e5) 

	* CI: add support for multiple packages

2022-03-30 11:07:01 +0200 Tobias Junghans (a9c06d718) 

	* 3rdparty: x11vnc: update submodule

2022-03-30 10:45:55 +0200 Tobias Junghans (a448a82f9) 

	* LinuxUserFunctions: retrieve username via systemd-logind

2022-03-30 10:43:01 +0200 Tobias Junghans (9d31b1b58) 

	* LinuxUserFunctions: add getUserProperty()

2022-03-30 10:42:44 +0200 Tobias Junghans (0c98b5448) 

	* LinuxSessionFunctions: add getSessionUser()

2022-03-30 10:35:05 +0200 Tobias Junghans (b445bfdbe) 

	* LinuxSessionFunctions: fix currentSessionPath() for systemd < 243

2022-03-30 10:33:50 +0200 Tobias Junghans (0c7c75d85) 

	* LinuxSessionFunctions: add logErrors param to getSessionId()

2022-03-30 10:32:41 +0200 Tobias Junghans (eb6eea2b0) 

	* LinuxSessionFunctions: add logErrors param to getSessionProperty()

2022-03-30 10:32:04 +0200 Tobias Junghans (c29af05f3) 

	* LinuxServiceCore: only insert non-empty session IDs into env

2022-03-30 10:30:54 +0200 Tobias Junghans (433079978) 

	* LinuxUserFunctions: always use qualified usernames

2022-03-22 11:26:32 +0100 Tobias Junghans (b5731bf71) 

	* Core: Logger: fix path variable syntax

2022-03-22 10:48:19 +0100 Tobias Junghans (2098ae835) 

	* Core: Filesystem: add support for more path variables

2021-06-24 09:04:42 +0200 Tobias Junghans (0810c6c53) 

	* Filesystem: expand HOSTNAME variable

2022-03-17 08:56:50 +0100 Tobias Junghans (100c4b713) 

	* CMake: improve QCA detection and simplify Qt5/6 integration

2022-03-16 16:28:50 +0100 Tobias Junghans (e1f67ba86) 

	* 3rdparty: ultravnc: update submodule (1.3.8.1)

2022-03-16 13:38:44 +0100 Tobias Junghans (239ffdf16) 

	* 3rdparty: kldap: update submodule

2022-03-16 13:38:44 +0100 Tobias Junghans (0235962b4) 

	* 3rdparty: x11vnc: update submodule

2022-03-11 13:35:48 +0100 Tobias Junghans (1d1187fd8) 

	* VeyonConfiguration: default ComputerDoubleClickFeature to remote
          view

2022-03-04 09:53:23 +0100 Tobias Junghans (801fee65f) 

	* CI: build.yml: set workflow name

2022-03-04 09:50:33 +0100 Tobias Junghans (78fa59095) 

	* CI: disable translation file processing for non-release builds

2022-03-04 09:43:21 +0100 Tobias Junghans (ea98daf01) 

	* VncClientProtocol: fix potential multiplication overflows

2022-03-04 09:41:21 +0100 Tobias Junghans (2b965d0e0) 

	* BuiltinX11VncServer: fix potential multiplication overflow

2022-03-04 09:40:51 +0100 Tobias Junghans (ecbcda018) 

	* 3rdparty: x11vnc: update submodule

2022-03-04 08:30:17 +0100 Tobias Junghans (27bac193e) 

	* Update SECURITY.md

2022-03-04 08:26:56 +0100 Tobias Junghans (29f3e4042) 

	* Create SECURITY.md

2022-03-02 21:05:34 +0100 ysf (eb622ed44) 

	* VeyonAuthHelper: add account validity check

2022-02-28 13:22:58 +0100 Tobias Junghans (61f7f14b0) 

	* CMake: require 3.7 or newer

2022-02-28 12:04:42 +0100 Tobias Junghans (606ead5fb) 

	* CI: drop CentOS 8.4 builds

2022-02-28 12:04:40 +0100 Tobias Junghans (1da3683ce) 

	* CMake: create separate PCH dummies for applications/libraries

2022-02-28 13:16:51 +0100 Tobias Junghans (665d45da9) 

	* Bundle KExtraColumnsProxyModel implementation

2022-02-28 13:06:42 +0100 Tobias Junghans (e91cf443d) 

	* Bundle KRecursiveFilterProxyModel implementation

2022-02-27 14:38:13 +0100 Tobias Junghans (63a969efc) 

	* CI: replace openSUSE 15.2 with Tumbleweed build

2022-02-26 13:54:20 +0100 Tobias Junghans (0b54eee33) 

	* Prepare 4.7.2 release

2022-02-26 13:53:27 +0100 Tobias Junghans (e33913c4b) 

	* PowerControl: filter close events for countdown dialog

2022-02-26 13:46:33 +0100 Tobias Junghans (f8a83cfb3) 

	* PowerControl: shutdown after expiry of the countdown

2022-02-26 13:25:06 +0100 Tobias Junghans (3a5dad399) 

	* Update translations

2022-02-25 10:59:04 +0100 Tobias Junghans (4c220dbac) 

	* RemoteAccess: only update clipboard if attached to VncView

2022-02-25 10:58:11 +0100 Tobias Junghans (d26aad228) 

	* RemoteAccess: track view instances

2022-02-25 10:56:45 +0100 Tobias Junghans (4999fdcf2) 

	* RemoteAccessWidget: make vncView() return VncView pointer

2021-12-11 14:55:38 +0100 Michael Wehr (047044d0c) 

	* ComputerZoomWidget: allow screen switching by pressing tab or
          backtab

2021-12-14 12:46:06 +0100 Michael Wehr (e0d3605fa) 

	* RemoteAccessWidget: allow screen switching by tab/backtab
          (viewOnly)

2022-02-16 14:32:31 +0100 Tobias Junghans (07529a1cd) 

	* LockWidget: use size of virtual desktop

2022-02-16 14:28:25 +0100 Tobias Junghans (ec070af7f) 

	* Demo: use VncViewWidget::sizeHint()

2022-02-16 13:48:36 +0100 Tobias Junghans (d0fe3cc28) 

	* VncViewWidget: limit size hint to available size

2022-02-14 13:58:58 +0100 Tobias Junghans (2dacf46b5) 

	* VeyonCore: fix loading manually specified auth key

2022-01-26 13:24:18 +0100 Tobias Junghans (22ee7d0e9) 

	* RemoteAccessFeaturePlugin: create only 1 RemoteAccessWidget

2022-01-25 13:45:53 +0100 Tobias Junghans (02fa06544) 

	* AuthKeys: use file name only to determine key name

2022-01-24 15:27:49 +0100 Tobias Junghans (b28c89229) 

	* CI: install FFmpeg development packages

2022-01-24 10:40:56 +0100 Tobias Junghans (606c29dd4) 

	* Prepare 4.7.1 release

2022-01-24 10:39:45 +0100 Tobias Junghans (cdf728d63) 

	* Master: update splash for 2022

2022-01-24 10:36:12 +0100 Tobias Junghans (7b6a62152) 

	* Update translations

2022-01-24 10:00:06 +0100 Tobias Junghans (6d4b39213) 

	* CMake: CPackDefinitions: fix deb description with CMake < 3.16

2022-01-21 20:36:56 +0100 Tobias Junghans (0b3e3fc3c) 

	* SystemTrayIcon: add showMessage() overload for CCIL

2022-01-21 20:36:09 +0100 Tobias Junghans (af0d894e6) 

	* SystemTrayIcon: add overlay icon support

2022-01-13 18:03:35 +0100 Michael Wehr (1a9c5b951) 

	* fix press and hold and maximized state of ComputerZoomWidget on
          windows os

2022-01-19 15:25:29 +0100 Tobias Junghans (065de0d41) 

	* LdapClient: drop unused constant

2022-01-19 15:24:50 +0100 Tobias Junghans (ff93e4954) 

	* LdapClient: use configured query timeout

2022-01-19 15:22:47 +0100 Tobias Junghans (c95fc02d2) 

	* LdapConfiguration: add queryTimeout property

2021-01-15 09:55:23 +0100 Tobias Junghans (3e5eab88c) 

	* LdapClient: add cn()

2022-01-14 14:16:26 +0100 Tobias Junghans (816f6ff0b) 

	* AccessControlPage: abort test on empty input

2022-01-14 14:19:13 +0100 Tobias Junghans (4dae27d5a) 

	* Update copyright

2022-01-13 20:06:08 +0100 Tobias Junghans (ba88ad1f4) 

	* RemoteAccess: add initial clipboard I/O support

2022-01-13 19:56:19 +0100 Tobias Junghans (bc5b0564b) 

	* RemoteAccessWidget: add computerControlInterface()

2022-01-13 19:44:05 +0100 Tobias Junghans (03dcfd494) 

	* VariantStream: increase limits for strings and bytearrays

2022-01-13 19:43:29 +0100 Tobias Junghans (e70cee0c7) 

	* VariantStream: fix check for null strings/bytearrays

2022-01-13 14:46:30 +0100 Tobias Junghans (54e5e5f91) 

	* CMake: Windows: add support for GCC >= 9

2022-01-13 14:30:51 +0100 Tobias Junghans (4cf298695) 

	* DemoServerProtocol: add missing include

2022-01-13 14:20:17 +0100 Tobias Junghans (9b8d7ae78) 

	* 3rdparty: ultravnc: update submodule

2022-01-13 14:16:51 +0100 Tobias Junghans (f7a4f540e) 

	* CMake: link ws2_32 to ultravnc-builtin plugin

2022-01-13 14:16:02 +0100 Tobias Junghans (7f399488c) 

	* CMake: link ws2_32 to Windows platform plugin

2022-01-13 11:40:25 +0100 Tobias Junghans (137288514) 

	* CMake: drop redundant find_package() for Qt5LinguistTools

2022-01-07 20:51:09 +0100 Tobias Junghans (761b687e9) 

	* VeyonServerProtocol: add missing decl/include

2022-01-07 20:35:54 +0100 Tobias Junghans (a52b56ef5) 

	* VariantStream: add missing include

2022-01-07 20:20:44 +0100 Tobias Junghans (cb7ff5103) 

	* CMake: add Windows RES files to target sources

2022-01-07 20:19:33 +0100 Tobias Junghans (1118e2092) 

	* CMake: add VEYON_BUILD_WINDOWS

2022-01-04 16:09:43 +0100 Tobias Junghans (5d65830b7) 

	* AccessControlProvider: add debug message

2021-12-22 09:58:58 +0100 Tobias Junghans (b77cea43a) 

	* BuiltinX11VncServer: fix library linking

2021-12-21 14:22:18 +0100 Tobias Junghans (10c63e4bd) 

	* tests: use common init routine

2021-12-21 14:16:34 +0100 Tobias Junghans (76efd4a5e) 

	* VariantStream: check input stream for integrity

2021-12-21 12:19:10 +0100 Tobias Junghans (984be768b) 

	* tests: don't create deep copies of input data

2021-12-21 12:12:03 +0100 Tobias Junghans (bd8527ae6) 

	* PluginManager: maintain plugin search paths internally

2021-12-20 20:04:33 +0100 Tobias Junghans (baadba973) 

	* Add initial libfuzzer test set

2021-12-20 17:34:12 +0100 Tobias Junghans (8ccbe89bf) 

	* VncClientProtocol: limit size of messages received from server

2021-12-20 17:33:19 +0100 Tobias Junghans (92f3cf6a2) 

	* VncClientProtocol: add protected setState() member

2021-12-20 17:31:53 +0100 Tobias Junghans (be8ef751f) 

	* Vnc{Client,Server}Protocol: operate on QIODevice

2021-12-20 17:31:07 +0100 Tobias Junghans (eb6cfd46d) 

	* Fix Clang and Qt 6 build issues

2021-12-20 17:30:05 +0100 Tobias Junghans (5869e1dbf) 

	* CMake: use regular kldap source tree for Qt 6 builds

2021-12-20 17:29:28 +0100 Tobias Junghans (43bb11757) 

	* CMake: fix build with Clang

2021-12-20 17:28:09 +0100 Tobias Junghans (cc75bd1f5) 

	* CMake: add option for disabling translations

2021-12-20 17:26:26 +0100 Tobias Junghans (584d91941) 

	* CMake: add options for individual sanitizers

2021-12-20 16:39:05 +0100 Tobias Junghans (372716997) 

	* CMake: get rid of VEYON_COMPILE_OPTIONS

2021-12-20 16:32:12 +0100 Tobias Junghans (72a2b369c) 

	* CMake: use keyword signature for target_link_libraries()

2021-12-20 09:08:46 +0100 Tobias Junghans (d11c8b4a7) 

	* 3rdparty: qthttpserver: switch and update submodule

2021-12-14 09:31:25 +0100 Tobias Junghans (b1955b8b1) 

	* Core: Configuration: drop export decl for TypedProperty

2021-12-13 16:11:35 +0100 Tobias Junghans (b234e9d4c) 

	* RemoteAccessFeaturePlugin: fix feature control

2021-12-13 14:27:34 +0100 Tobias Junghans (e25b64625) 

	* Core: provide media playback icons centrally

2021-12-13 10:22:38 +0100 Tobias Junghans (89ad66f44) 

	* MasterConfigurationPage: fix user config directory browsing

2021-12-09 15:13:16 +0100 Tobias Junghans (3c1de67b6) 

	* RemoteAccess: open RA window remotely if requested via
          controlFeature()

2021-12-09 15:11:21 +0100 Tobias Junghans (b203695f9) 

	* RemoteAccessFeaturePlugin: call qApp->exec() outside remoteAccess()

2021-12-09 14:42:09 +0100 Tobias Junghans (97905923c) 

	* RemoteAccess: open remote access windows for all selected computers

2021-12-03 17:33:36 +0100 Tobias Junghans (1f7cb1ff7) 

	* Prepare 4.7.0 release

2021-12-03 17:32:16 +0100 Tobias Junghans (53d23e138) 

	* CI: CentOS 8.4: extend CMAKE_FLAGS only

2021-12-03 15:08:25 +0100 Tobias Junghans (3fb19021d) 

	* CI: update build image for 4.7 branch

2021-12-03 15:03:37 +0100 Tobias Junghans (18684d92d) 

	* Update translations

2021-12-03 13:38:37 +0100 Tobias Junghans (d9a3308a1) 

	* PluginManager: hardcode path to platform plugin

2021-12-03 13:36:01 +0100 Tobias Junghans (8ea4ff521) 

	* CMake: prepare support for unit tests

2021-12-02 14:08:01 +0100 Tobias Junghans (ab8d457bd) 

	* CoreFunctions: fix build for mingw-w64 < 8

2021-11-23 14:58:02 +0100 Tobias Junghans (41e166b60) 

	* Update translations

2021-11-23 14:39:04 +0100 Tobias Junghans (91ef317e8) 

	* Demo: only revert update mode if disabled

2021-11-23 14:18:27 +0100 Tobias Junghans (20f228aff) 

	* CCI: improve compat with Veyon < 4.7

2021-11-23 13:31:19 +0100 Tobias Junghans (8e397a2ac) 

	* FeatureManager: drop return values from handle methods

2021-11-23 13:30:22 +0100 Tobias Junghans (73d73baf9) 

	* ComputerControlServer: return success if message was received

2021-11-23 13:25:46 +0100 Tobias Junghans (eeead0cdc) 

	* VeyonMaster: check designated mode feature for validity

2021-11-23 13:25:24 +0100 Tobias Junghans (2e8666560) 

	* VncFeatureMessageEvent: log host address in fire()

2021-11-23 13:24:01 +0100 Tobias Junghans (c1aac79f8) 

	* VeyonConnection: log host address in handleServerMessage()

2021-11-23 13:23:35 +0100 Tobias Junghans (a5cfa94f8) 

	* FeatureManager: log host addresses first

2021-11-23 12:11:22 +0100 Tobias Junghans (5187c02b2) 

	* CCI: make updateScreens()/updateActiveFeatures() private

2021-11-23 12:07:37 +0100 Tobias Junghans (47d0b6a53) 

	* VncConnection: always wake thread when enqueing events

2021-11-23 12:02:49 +0100 Tobias Junghans (c398aee95) 

	* VncConnection: trigger FB update on update interval change

2021-11-23 11:46:04 +0100 Tobias Junghans (46bad6803) 

	* VeyonMaster: fix update mode of local session control interface

2021-11-23 11:42:06 +0100 Tobias Junghans (5611aefaa) 

	* CCI: query server version and set FB update rate control flag

2021-11-23 11:41:49 +0100 Tobias Junghans (1700c25a3) 

	* VncConnection: add setRequiresManualUpdateRateControl()

2021-11-23 11:40:59 +0100 Tobias Junghans (4b1c7d40a) 

	* MonitoringMode: add queryApplicationVersion()

2021-11-23 11:40:13 +0100 Tobias Junghans (488337603) 

	* VeyonConfiguration: add version upgrade for 4.7

2021-11-23 11:39:31 +0100 Tobias Junghans (d34cb7f8a) 

	* VeyonCore: complete ApplicationVersion enum

2021-11-23 10:57:00 +0100 Tobias Junghans (6f5174897) 

	* VncConnection: add support for server-side FB update rate control

2021-11-23 10:42:09 +0100 Tobias Junghans (ad89ccf92) 

	* ComputerControlInterface: refactor setUpdateMode()

2021-11-23 10:41:12 +0100 Tobias Junghans (7f6bd105a) 

	* MonitoringMode: add setMinimumFramebufferUpdateInterval()

2021-11-23 10:39:57 +0100 Tobias Junghans (d8091ba19) 

	* VeyonServerInterface: add setMinimumFramebufferUpdateInterval()

2021-11-23 10:34:55 +0100 Tobias Junghans (787311587) 

	* ComputerControlClient: implement FB update rate control

2021-11-23 10:33:34 +0100 Tobias Junghans (43bfee30f) 

	* MessageContext: add connection member

2021-11-23 11:47:25 +0100 Tobias Junghans (5998865f0) 

	* Transifex: update resource for Veyon 4.7

2021-11-22 15:41:23 +0100 Tobias Junghans (d63a35c23) 

	* CCI, VncConnection: rename screen to framebuffer

2021-11-22 15:26:38 +0100 Tobias Junghans (8c5cd907b) 

	* FeatureManager: drop updateActiveFeatures()

2021-11-22 15:22:15 +0100 Tobias Junghans (1080af6eb) 

	* CCI: ping when idle to keep watchdog alive

2021-11-22 15:18:44 +0100 Tobias Junghans (1ab1d48e4) 

	* CCI: drop computer state and session info polling

2021-11-22 15:14:49 +0100 Tobias Junghans (acf8e436b) 

	* MonitoringMode: implement sync active feature querying

2021-11-22 14:51:23 +0100 Tobias Junghans (9c7769b66) 

	* MonitoringMode: add ping mechanism

2021-11-22 14:45:41 +0100 Tobias Junghans (29d27ec5d) 

	* MonitoringMode: send user data and screen info updates
          asynchronously

2021-11-22 14:42:10 +0100 Tobias Junghans (6f6218b0f) 

	* ComputerControlServer: add sendAsyncFeatureMessages()

2021-11-22 14:40:23 +0100 Tobias Junghans (dd3e0b043) 

	* VncProxyServer: add serverMessageProcessed() signal

2021-11-22 14:39:42 +0100 Tobias Junghans (476c95a5d) 

	* VncProxyConnection: add serverMessageProcessed() signal

2021-11-22 14:37:54 +0100 Tobias Junghans (d246acccd) 

	* VeyonServerInterface: inherit from QObject

2021-11-22 14:37:22 +0100 Tobias Junghans (bdb8d7988) 

	* FeatureManager: add sendAsyncFeatureMessages()

2021-11-22 14:35:44 +0100 Tobias Junghans (a93871e8b) 

	* FeatureProviderInterface: add sendAsyncFeatureMessages()

2021-11-22 14:34:05 +0100 Tobias Junghans (a72f28a21) 

	* RemoteAccessWidget: fall back to login name of user for window
          title

2021-11-22 14:33:37 +0100 Tobias Junghans (0f3ce5aea) 

	* ComputerZoomWidget: fall back to login name of user for window
          title

2021-11-22 14:32:47 +0100 Tobias Junghans (4023aa317) 

	* CCLM: prefer full name of user in tooltip

2021-11-22 14:32:08 +0100 Tobias Junghans (60e2f8294) 

	* FeatureWorkerManager: log feature name instead of UID

2021-11-22 14:07:50 +0100 Tobias Junghans (80dd945bb) 

	* FeatureManager: simplify log messages

2021-11-22 14:07:01 +0100 Tobias Junghans (23bae5ce5) 

	* FeatureMessage: log feature name instead of UID

2021-11-22 12:21:28 +0100 Tobias Junghans (df86eff74) 

	* LinuxSessionFunctions: fall back to XDG_SESSION_CLASS

2021-11-22 12:13:58 +0100 Tobias Junghans (145426f2c) 

	* LinuxSessionFunctions: fix DBus path to own session

2021-11-22 12:02:31 +0100 Tobias Junghans (487fd0c88) 

	* LinuxSessionFunctions: don't use XDG_SESSION_PATH

2021-11-18 21:39:31 +0100 Tobias Junghans (8c133ca6a) 

	* Fix condition when to confirm execution for all computers

2021-11-17 13:56:06 +0100 Tobias Junghans (8ac3eaf9f) 

	* WindowsCoreFunctions: improve queryDisplayDeviceName()

2021-11-17 13:54:17 +0100 Tobias Junghans (16b35a6c5) 

	* Uniformly refer to screens as such

2021-11-17 13:45:50 +0100 Tobias Junghans (a5ebb51a2) 

	* RemoteAccessWidget: use supplied screen name directly

2021-11-17 13:44:58 +0100 Tobias Junghans (c1c2e4ddd) 

	* Demo: use VeyonCore::screenName()

2021-11-17 13:43:50 +0100 Tobias Junghans (ba4248154) 

	* VeyonCore: add screenName()

2021-11-16 22:25:52 +0100 Tobias Junghans (9c798345e) 

	* RemoteAccessWidget: handle dynamic display changes

2021-11-16 22:25:00 +0100 Tobias Junghans (0c045ee1f) 

	* Demo: use PlatformCoreFunctions::queryDisplayDeviceName()

2021-11-16 22:19:42 +0100 Tobias Junghans (0828c5390) 

	* MonitoringMode: use PlatformCoreFunctions::queryDisplayDeviceName()

2021-11-16 22:18:47 +0100 Tobias Junghans (cba79bb5d) 

	* WindowsPlatformPlugin: create invisible dummy window

2021-11-16 22:18:29 +0100 Tobias Junghans (4510ec58c) 

	* PlatformCoreFunctions: add queryDisplayDeviceName()

2021-11-16 13:59:42 +0100 Tobias Junghans (6bf0b21a3) 

	* CCI: update displays periodically

2021-11-16 13:52:53 +0100 Tobias Junghans (125043b8e) 

	* CCI: update displays on every state change

2021-11-16 13:52:07 +0100 Tobias Junghans (b0f4f889e) 

	* CCI: add locking and connection check in updateDisplays()

2021-11-15 14:59:30 +0100 Tobias Junghans (e0b3319ed) 

	* RemoteAccessWidget: update displays if already connected

2021-11-15 14:55:08 +0100 Tobias Junghans (28012a501) 

	* Server: create GUI application instance

2021-11-15 14:54:09 +0100 Tobias Junghans (df0d2c88a) 

	* 3rdparty: ultravnc: update submodule

2021-11-15 14:53:19 +0100 Tobias Junghans (637f737c9) 

	* Update translations

2021-11-15 14:47:13 +0100 Tobias Junghans (56ac91e16) 

	* RemoteAccessWidget: check item of selected display

2021-11-15 13:26:30 +0100 Tobias Junghans (59ed3b2aa) 

	* CI: disable PCH for CentOS 8.4 again

2021-11-15 13:11:19 +0100 Tobias Junghans (14ccb094f) 

	* CI: update GitHub Actions

2021-11-15 12:57:16 +0100 Tobias Junghans (a5e81162d) 

	* CI: bump to CentOS 8.4 (21.05)

2021-11-15 12:55:14 +0100 Tobias Junghans (c984aa171) 

	* CI: drop Fedora 33 and add Fedora 35

2021-11-11 07:28:56 +0100 Tobias Junghans (3d4910384) 

	* Add missing includes

2021-11-11 07:19:26 +0100 Tobias Junghans (14f0061e8) 

	* RemoteAccess: add display selection support

2021-11-10 10:56:29 +0100 Tobias Junghans (9db68f314) 

	* CCI: forward messages to FeatureManager directly

2021-11-10 10:50:21 +0100 Tobias Junghans (20e3fb378) 

	* VeyonCore: add FeatureManager instance

2021-11-09 15:04:22 +0100 Tobias Junghans (d8de12580) 

	* CCI, MonitoringMode: add support for querying displays

2021-11-10 09:20:38 +0100 Tobias Junghans (2c1c44a35) 

	* FeatureMessage: fix constructor semantics

2020-04-22 12:09:43 +0200 Tobias Junghans (270a9a818) 

	* Window: add/update clazy annotations

2021-04-15 11:09:21 +0200 Tobias Junghans (16c514bf2) 

	* WtsSessionManager: improve code readability

2021-11-10 08:49:57 +0100 Tobias Junghans (407705eda) 

	* ComputerControlServer: add nullptr check

2021-11-09 14:58:41 +0100 Tobias Junghans (c679406b0) 

	* VncView: add updateGeometry()

2021-11-09 14:22:14 +0100 Tobias Junghans (029c66dfd) 

	* PlatformSessionManager: add warning on session allocation failure

2021-11-02 15:46:50 +0100 Tobias Junghans (66f4db5c8) 

	* LinuxNetworkFunctions: fix ping parameter order

2021-11-02 15:39:29 +0100 Tobias Junghans (a9d4bba45) 

	* WindowsNetworkFunctions: make ping() use ICMP API

2021-11-02 15:27:59 +0100 Tobias Junghans (caeb519e1) 

	* Testing: add ping test

2021-11-02 13:35:47 +0100 Tobias Junghans (d1ea24584) 

	* WindowsServiceControl: make stop() more resilient

2021-11-02 11:55:03 +0100 Tobias Junghans (97fdbefb7) 

	* WindowsServiceControl: always log error code

2021-11-02 11:26:49 +0100 Tobias Junghans (e3ac4397a) 

	* Master: MainWindow: add button for filtering computers with logged
          on users

2021-11-02 11:26:03 +0100 Tobias Junghans (9546d108e) 

	* ComputerMonitoringView: add support for filtering for non-empty
          user login names

2021-11-02 11:25:45 +0100 Tobias Junghans (dcdcf75b0) 

	* Master: UserConfig: add UI/FilterComputersWithLoggedOnUsers

2021-11-02 11:24:30 +0100 Tobias Junghans (e0d61a356) 

	* ComputerMonitoringModel: add support for filtering for non-empty
          user login names

2021-11-02 11:23:17 +0100 Tobias Junghans (ad8fa85fd) 

	* ComputerControlListModel: add support for UserLoginNameRole

2021-11-02 11:22:48 +0100 Tobias Junghans (e85ce31ca) 

	* ComputerListModel: add UserLoginNameRole

2020-02-11 17:42:17 +0100 Tobias Junghans (2d9b5769b) 

	* LinuxInputDeviceFunctions: fix scope of X11 types

2021-11-05 19:51:02 +0100 Tobias Junghans (b3550d1fc) 

	* VeyonMaster: stop all features when shutting down

2021-11-05 19:48:20 +0100 Tobias Junghans (8cfc9ce3c) 

	* VeyonMasterInterface: add allComputerControlInterfaces()

2021-11-05 19:41:35 +0100 Tobias Junghans (e9e109005) 

	* VeyonMasterInterface: add filteredComputerControlInterfaces()

2021-11-05 19:40:25 +0100 Tobias Junghans (a64c81644) 

	* Core: MessageContext: add default parameter

2021-11-05 09:05:38 +0100 Tobias Junghans (d61edfcc2) 

	* WebAPI: make header field lookup case insensitive

2021-10-25 09:32:09 +0200 Tobias Junghans (9b2f1b206) 

	* VeyonMaster: drop unused subFeaturesUids()/metaFeaturesUids()

2021-10-25 09:30:43 +0200 Tobias Junghans (284a6a6cf) 

	* VeyonMaster: iterate over related features only in subFeatures()

2021-10-25 09:27:55 +0200 Tobias Junghans (94249a6f0) 

	* ComputerMonitoringView: fix stopping meta features in runFeature()

2021-10-25 08:54:53 +0200 Tobias Junghans (b3dac63ce) 

	* ComputerMonitoringView: refactor isFeatureOrRelatedFeatureActive()

2021-10-25 08:50:41 +0200 Tobias Junghans (ac5abd36d) 

	* CCLM: return special string for no active features

2021-10-25 08:47:33 +0200 Tobias Junghans (cc0df9c7e) 

	* CCLM: examine all features in activeFeatures()

2021-10-22 20:11:33 +0200 Tobias Junghans (7ea699ff9) 

	* ComputerMonitoringWidget: simplify populateFeatureMenu()

2021-10-22 20:08:49 +0200 Tobias Junghans (9d6a4ce0f) 

	* VeyonCore: don't assert on s_instance == nullptr

2021-10-22 20:06:16 +0200 Tobias Junghans (fee1d0301) 

	* VeyonMaster: add shutdown()

2021-10-22 20:04:50 +0200 Tobias Junghans (f6293894e) 

	* VeyonMaster: refactor featureList()

2021-10-22 20:03:07 +0200 Tobias Junghans (b54bf98ee) 

	* FeatureManager: add relatedFeatures()

2021-10-22 20:02:06 +0200 Tobias Junghans (a49c1fdab) 

	* FeatureManager: make pluginUid() take a UID

2021-10-22 19:58:35 +0200 Tobias Junghans (9d47e36ce) 

	* FeatureWorkerManager: remove runningWorkers()

2021-10-22 19:57:25 +0200 Tobias Junghans (4e36b60b5) 

	* FeatureControl: use FeatureManager::activeFeatures()

2021-10-22 19:57:00 +0200 Tobias Junghans (985f281eb) 

	* FeatureManager: add activeFeatures()

2021-10-22 19:56:36 +0200 Tobias Junghans (5faf3adc3) 

	* VeyonServerInterface: add featureManager()

2021-10-22 19:54:51 +0200 Tobias Junghans (a58d92af4) 

	* FeatureProviderInterface: add isFeatureActive()

2021-10-22 19:51:52 +0200 Tobias Junghans (fc1bbec5f) 

	* TextMessage: add rich text support

2021-10-22 19:50:42 +0200 Tobias Junghans (3809a9d7f) 

	* TextMessage: make message text selectable/copyable

2021-10-22 19:49:52 +0200 Tobias Junghans (1aa357bcc) 

	* Core: use new QDebug stream operators

2021-10-22 19:46:49 +0200 Tobias Junghans (2254425f3) 

	* ComputerControlInterface: add QDebug stream operators

2021-10-22 19:46:08 +0200 Tobias Junghans (d89f25915) 

	* FeatureMessage: add QDebug stream operator

2021-10-22 19:45:25 +0200 Tobias Junghans (9fa8a0deb) 

	* VeyonCore: add stringify() for QVariantMap

2021-10-19 11:18:25 +0200 Tobias Junghans (6914498bf) 

	* LdapDirectory: use LDAP_MATCHING_RULE_IN_CHAIN for filters only

2021-10-19 10:54:52 +0200 Tobias Junghans (ed3981997) 

	* WindowsNetworkFunctions: init WinSock explicitly

2021-10-01 09:53:08 +0200 Tobias Junghans (d970f8bf4) 

	* CMake: improve CMAKE_BUILD_TYPE handling

2021-10-01 09:42:51 +0200 Tobias Junghans (695cf842c) 

	* 3rdparty: libfakekey: use mirror on GitHub

2021-10-01 09:24:09 +0200 Tobias Junghans (4645b62b3) 

	* CMake: restrict usage of external libvncserver

2021-10-01 09:22:59 +0200 Tobias Junghans (63e0e09c2) 

	* Core: CMake: set global HAVE_LIBVNCCLIENT property

2021-09-27 10:29:11 +0200 Tobias Junghans (9e317c3bc) 

	* BuiltinX11VncServer: suppress more compiler warnings for x11vnc

2021-09-27 10:08:55 +0200 Tobias Junghans (e6b18b4bc) 

	* CLI: suppress compiler warning on __DATE__ usage

2021-09-27 09:25:29 +0200 Tobias Junghans (dc1a59c07) 

	* Use QRegularExpression API of QSFPM with Qt >= 5.15.1 only

2021-09-24 14:10:39 +0200 Tobias Junghans (465279c01) 

	* Prepare 4.6.0 release

2021-09-24 14:01:57 +0200 Tobias Junghans (ad93d2d3f) 

	* CMake: fix LTO with CMake < 3.13

2021-09-24 13:28:34 +0200 Tobias Junghans (1fb4a30e8) 

	* Update translations

2021-09-24 13:26:14 +0200 Tobias Junghans (b5dd993f4) 

	* WebApiController: use CII::UpdateMode::Basic

2021-09-24 13:24:07 +0200 Tobias Junghans (470fdd133) 

	* ComputerControlInterface: add UpdateMode::Basic

2021-09-24 13:23:20 +0200 Tobias Junghans (8d1804e5a) 

	* VncConnection: add setSkipHostPing()

2021-09-24 12:42:16 +0200 Tobias Junghans (0c1804fe7) 

	* VncConnection: add ControlFlag::SkipHostPing

2021-09-24 11:58:28 +0200 Tobias Junghans (3a526e11d) 

	* Core: refactor ownerships and destruction of connections

2021-09-24 11:53:44 +0200 Tobias Junghans (4e5887365) 

	* WebApiHttpServer: check thread pool usage before queueing request

2021-09-23 12:43:41 +0200 Tobias Junghans (0c79899fb) 

	* FeatureCommands: fix minor grammar issues

2021-09-22 20:37:15 +0200 Tobias Junghans (f83041ece) 

	* FeatureCommands: add help for show/list commands

2021-09-22 20:35:33 +0200 Tobias Junghans (c0f83f413) 

	* DemoServerConnection: handle FeatureMessages

2021-09-22 20:34:36 +0200 Tobias Junghans (61933e1ef) 

	* DemoServerConnection: fix context for socket I/O

2021-09-22 15:27:13 +0200 Tobias Junghans (457eae250) 

	* Fix more clang-tidy/clazy warnings

2021-09-22 15:24:56 +0200 Tobias Junghans (6eaa5849f) 

	* Filesystem: fix QStringBuilder issue

2021-09-22 15:16:07 +0200 Tobias Junghans (7a72a3097) 

	* Feature: add workaround for Qt < 5.12

2021-09-22 14:51:48 +0200 Tobias Junghans (940634a17) 

	* DemoServer: fix receiver for terminate() call

2021-09-22 14:51:13 +0200 Tobias Junghans (ecfebdb03) 

	* Demo: call Master::selectedComputerControlInterfaces() only once

2021-09-22 14:50:31 +0200 Tobias Junghans (f11a89b4f) 

	* Fix or silence various clang-tidy/clazy warnings

2021-09-22 14:32:12 +0200 Tobias Junghans (b7521b9b9) 

	* Core: don't cast to rfbBool implicitly

2021-09-22 13:46:36 +0200 Tobias Junghans (356c318e8) 

	* BuiltinDirectory: improve messages in help handler

2021-09-22 13:45:35 +0200 Tobias Junghans (d7844b966) 

	* AuthKeys: improve messages in help handler

2021-09-22 12:49:51 +0200 Tobias Junghans (b84356489) 

	* CLI: add FeatureCommands

2021-09-22 12:49:26 +0200 Tobias Junghans (0304d284d) 

	* CLI: PluginCommands: clean up headers

2021-09-22 10:22:29 +0200 Tobias Junghans (06f0135d2) 

	* CLI: rename PluginsCommands to PluginCommand

2021-09-22 10:19:59 +0200 Tobias Junghans (673cea58d) 

	* Feature: rename Flag and make it an enum class

2021-09-22 10:18:46 +0200 Tobias Junghans (154531f0b) 

	* CMake: set CMP0022 to NEW

2021-09-22 09:31:44 +0200 Tobias Junghans (df3848c56) 

	* CI: strip-kldap-sources: extend for kldap-qt-compat

2021-09-22 09:30:33 +0200 Tobias Junghans (67e23b758) 

	* LDAP: use kldap-qt-compat for Qt < 5.14.0

2021-09-22 09:30:13 +0200 Tobias Junghans (1e4274230) 

	* 3rdparty: add kldap-qt-compat

2021-09-22 09:18:42 +0200 Tobias Junghans (8cd4f5c48) 

	* 3rdparty: kldap: update submodule

2021-09-22 09:14:01 +0200 Tobias Junghans (ef1a0595b) 

	* Move ServiceControlPlugin to CLI/ServiceControlCommands

2021-09-22 09:05:07 +0200 Tobias Junghans (ef0b3fbf1) 

	* Move ShellCommandLinePlugin to CLI/ShellCommands

2020-10-09 16:51:12 +0200 Tobias Junghans (10936b436) 

	* Use https for qthttpserver submodule

2021-09-21 10:39:06 +0200 Tobias Junghans (bd990583e) 

	* WindowsServiceControl: only depend on LSM on Win10

2021-03-11 14:10:54 +0100 Tobias Junghans (00ce49747) 

	* Initial port to Qt 6

2021-09-20 12:32:14 +0200 Tobias Junghans (bfb0828ef) 

	* CMake: backport build options from master

2021-09-20 11:18:10 +0200 Tobias Junghans (d02714e19) 

	* Core: cmake: clean up dead code

2021-09-20 10:44:07 +0200 Tobias Junghans (cd9e287a3) 

	* VeyonCore: drop unused version() method

2019-07-30 10:03:58 +0200 Tobias Junghans (e168cd380) 

	* VeyonCore: use the veyon_core_EXPORTS definition

2021-09-20 11:08:15 +0200 Tobias Junghans (a6dc71cef) 

	* Core: move headers to source directory

2020-02-03 10:58:24 +0100 Tobias Junghans (da614533e) 

	* CLI: various code modernizations

2019-11-29 18:27:48 +0100 Tobias Junghans (fc11d97c7) 

	* Move ConfigCommandLinePlugin to CLI/ConfigCommands

2019-11-29 18:21:38 +0100 Tobias Junghans (f2bfdae55) 

	* CLI: add PluginsCommands

2019-11-27 15:23:22 +0100 Tobias Junghans (c317d6440) 

	* VeyonCore: replace version() with versionString()

2021-09-20 10:38:20 +0200 Tobias Junghans (3d8756cf0) 

	* worker: cmake: don't use file globbing

2021-06-24 09:55:05 +0200 Tobias Junghans (dfa05c110) 

	* configurator: cmake: don't use file globbing

2021-06-23 15:45:54 +0200 Tobias Junghans (6a6d67b31) 

	* server: cmake: don't use file globbing

2021-09-20 10:29:02 +0200 Tobias Junghans (1ee8d5853) 

	* CMake: BuildVeyonApplication: use common target settings

2021-09-20 10:13:57 +0200 Tobias Junghans (066658c3a) 

	* CMake: fix indentation + various clean ups

2021-09-20 09:59:52 +0200 Tobias Junghans (eacdcd757) 

	* CMake: switch to modern lower case code style

2021-04-30 14:06:36 +0200 Tobias Junghans (f3867d73d) 

	* DesktopServices: rename feature to "Start app"

2021-09-17 15:00:59 +0200 Tobias Junghans (642903bf4) 

	* Update translations

2021-09-17 15:00:09 +0200 Tobias Junghans (498efde5d) 

	* Transifex: update resource for Veyon 4.6

2021-09-17 14:41:54 +0200 Tobias Junghans (890ca074c) 

	* ComputerZoomWidget: clean up + drop CCI pointer

2021-09-17 14:31:01 +0200 Tobias Junghans (a67c9bca6) 

	* VncViewWidget: refactor widget initialization

2021-09-17 14:26:46 +0200 Tobias Junghans (161298d5d) 

	* VncConnection: clean up unused signal

2021-09-17 14:26:24 +0200 Tobias Junghans (2fc9ffc37) 

	* VncViewWidget: clean up unused signals

2021-09-17 14:23:36 +0200 Tobias Junghans (5c7e57659) 

	* RemoteAccessWidget: refactor/clean up toolbar implementation

2021-09-17 13:46:08 +0200 Tobias Junghans (f3058cf60) 

	* Core: drop ProgressWidget

2021-09-17 13:46:43 +0200 Tobias Junghans (096bad740) 

	* VncView: drop unused Mode enumeration

2021-09-17 13:44:06 +0200 Tobias Junghans (59ae55836) 

	* VncViewWidget: draw busy indicator when connecting

2021-09-17 13:39:12 +0200 Tobias Junghans (63427bff8) 

	* VncConnection: check client pointer in setUseRemoteCursor()

2021-09-17 11:09:13 +0200 Tobias Junghans (9518eea67) 

	* VncView: refactor to operate on ComputerControlInterfaces

2021-09-17 11:06:45 +0200 Tobias Junghans (c48074c71) 

	* ComputerControlInterface: allow specifying port explicitly

2019-12-06 09:30:10 +0100 Tobias Junghans (57faee566) 

	* ComputerControlInterface: add connection getter

2020-12-21 17:33:54 +0100 SlrG (8c49cebcd) 

	* add press and hold feature with hard coded ComputerZoomWidget

2021-09-16 15:15:46 +0200 Tobias Junghans (8e9e7370f) 

	* LinuxServerProcess: log message when kill() fails

2021-09-16 15:14:51 +0200 Tobias Junghans (0c23062d7) 

	* LinuxServerProcess: kill top level process

2021-09-13 09:44:17 +0200 Tobias Junghans (e26eefbd8) 

	* WindowsServiceCore: implement active session mode

2021-09-13 09:34:46 +0200 Tobias Junghans (a412a8278) 

	* PlatformSessionManager: add mode enum/property

2021-09-13 09:33:08 +0200 Tobias Junghans (677840073) 

	* VeyonConfiguration: add active session mode property

2021-09-10 15:39:41 +0200 Tobias Junghans (803642299) 

	* PlatformSessionManager: add maximumSessionCount()

2021-09-10 14:01:42 +0200 Tobias Junghans (d79f0bdc9) 

	* QtCompat: drop QDeadlineTimer handling

2021-08-05 13:07:15 +0200 Tobias Junghans (13e3c6895) 

	* 3rdparty: ultravnc: update submodule

2021-09-10 12:33:37 +0200 Tobias Junghans (46e58d8b7) 

	* MasterConfigurationPage: fix label column span

2021-09-10 12:28:35 +0200 Tobias Junghans (7a000133a) 

	* RemoteAccessWidget: rename to setViewOnly()

2021-09-10 12:24:54 +0200 Tobias Junghans (48ec627ec) 

	* VncView: don't use remote cursor in view only mode

2021-09-10 12:22:39 +0200 Tobias Junghans (40714a3a1) 

	* VncConnection: add setUseRemoteCursor()

2021-09-10 12:21:48 +0200 Tobias Junghans (97ec1d98b) 

	* VncEvents: add VncUpdateFormatAndEncodingsEvent

2021-09-10 10:14:52 +0200 Tobias Junghans (041c14307) 

	* ComputerControlServer: avoid blocking in updateTrayIconToolTip()

2021-09-10 10:13:33 +0200 Tobias Junghans (ef44dea5a) 

	* ComputerControlServer: add resolveFQDNs()

2021-09-10 10:03:39 +0200 Tobias Junghans (2c7d04957) 

	* HostAddress: cache local FQDN

2021-09-10 09:17:36 +0200 Tobias Junghans (d33a18653) 

	* LinuxServiceCore: implement deferred server start

2021-09-09 14:26:19 +0200 Tobias Junghans (33aa28620) 

	* LinuxServiceCore: only print warning for Wayland sessions

2021-09-09 20:14:48 +0200 Tobias Junghans (03fb08e70) 

	* ProcessHelper: drop waitForProcess()

2021-09-09 20:09:48 +0200 Tobias Junghans (403011b62) 

	* LinuxServiceCore: refactor to LinuxServerProcess

2021-09-09 20:08:36 +0200 Tobias Junghans (54811d39c) 

	* LinuxCoreFunctions: add waitForProcess()

2021-09-09 14:40:58 +0200 Tobias Junghans (aa6dfcead) 

	* LogonHelper: only perform logon tasks in server

2021-09-09 14:30:40 +0200 Tobias Junghans (f138d05f5) 

	* WtsSessionManager: treat multiseat sessions as active

2021-09-09 14:26:51 +0200 Tobias Junghans (11f77d25a) 

	* LinuxSessionFunctions: log unspecified session types

2021-09-09 14:24:32 +0200 Tobias Junghans (61c65ad61) 

	* LinuxServiceCore: only skip TTY sessions explicitly

2021-09-09 14:23:36 +0200 Tobias Junghans (630e6a8a2) 

	* MonitoringMode: report empty user for non-user sessions

2021-09-09 14:16:39 +0200 Tobias Junghans (b02093976) 

	* UserSessionControl: don't log off non-user sessions

2021-09-09 14:02:03 +0200 Tobias Junghans (8aed6c8f5) 

	* LinuxServiceCore: restart previously stopped servers

2021-09-09 13:33:52 +0200 Tobias Junghans (73d46cba2) 

	* LinuxCoreFunctions: improve/clean up powerDown()

2021-09-09 13:32:22 +0200 Tobias Junghans (8c041c267) 

	* LinuxCoreFunctions: improve/clean up reboot()

2021-09-09 11:19:25 +0200 Tobias Junghans (43e8b1a2f) 

	* LinuxServiceCore: also stop service with unknown session state

2021-09-09 11:18:49 +0200 Tobias Junghans (3698e31a0) 

	* LinuxSessionFunctions: only log non-empty unknown session states

2021-09-09 11:15:31 +0200 Tobias Junghans (7c187a947) 

	* LinuxUserFunctions: fix/improve DBus calls in logoff()

2021-09-09 11:15:11 +0200 Tobias Junghans (8a4c378f3) 

	* LinuxUserFunctions: prepare session bus access in logoff()

2021-09-09 11:12:37 +0200 Tobias Junghans (97dd4e518) 

	* LinuxDesktopIntegration: fix types for SM DBus call arguments

2021-09-09 11:11:13 +0200 Tobias Junghans (74e517901) 

	* LinuxCoreFunctions: add prepareSessionBusAccess()

2021-09-09 09:14:43 +0200 Tobias Junghans (d75fa4f00) 

	* Update translations

2021-09-07 12:13:20 +0200 Tobias Junghans (bb805339d) 

	* ComputerControlListModel: include name in tooltip

2021-08-20 15:35:55 +0200 Tobias Junghans (8185992a1) 

	* RfbVeyonAuth: drop unused auth types

2021-08-20 13:54:40 +0200 Tobias Junghans (28715888a) 

	* Demo: eval timer instead of client list

2021-08-20 12:26:20 +0200 Tobias Junghans (ddfbd51d4) 

	* WebAPI: handle protocol errors with new error code

2021-08-20 12:18:14 +0200 Tobias Junghans (ca8728c4c) 

	* VeyonConnection: notify auth proxy on protocol errors

2021-08-20 11:18:26 +0200 Tobias Junghans (75f6c54d9) 

	* VeyonConnection: improve auth type handshaking

2021-08-20 11:15:58 +0200 Tobias Junghans (b80b6d7bf) 

	* AuthenticationProxy: add protocol error notification

2021-08-20 11:15:41 +0200 Tobias Junghans (7fb3dec79) 

	* VncViewWidget: set auth type for demo mode

2021-08-13 09:33:39 +0200 Tobias Junghans (20c19770b) 

	* BuiltinX11VncServer: make SHM detection more robust

2021-08-12 16:48:55 +0200 Tobias Junghans (13c4f59ab) 

	* WindowsServiceControl: add more service dependencies

2021-08-12 16:30:20 +0200 Tobias Junghans (3fad92ae3) 

	* WindowsUserFunctions: refactor domainGroupsOfUser()

2021-08-12 16:29:10 +0200 Tobias Junghans (7e54c9023) 

	* WindowsUserFunctions: extend log messages in localGroupsOfUser()

2021-08-12 16:15:36 +0200 Tobias Junghans (eb6380c0e) 

	* WindowsUserFunctions: extend log messages in localUserGroups()

2021-08-12 16:14:15 +0200 Tobias Junghans (0b3bfea7a) 

	* WindowsUserFunctions: extend log messages in domainUserGroups()

2021-08-12 16:11:19 +0200 Tobias Junghans (5a866ab5d) 

	* WindowsUserFunctions: refactor fullName()

2021-08-12 16:10:11 +0200 Tobias Junghans (37395860e) 

	* WindowsUserFunctions: add domainFromUsername()

2021-08-12 16:08:04 +0200 Tobias Junghans (24a1e0bd8) 

	* WindowsUserFunctions: allow passing domain name to
          domainController()

2021-08-12 15:27:53 +0200 Tobias Junghans (e1f06d677) 

	* WindowsUserFunctions: refactor domainController()

2021-08-12 15:23:14 +0200 Tobias Junghans (b6cad1b1e) 

	* WindowsCoreFunctions: fix log message

2021-08-05 13:54:06 +0200 Tobias Junghans (7e758bc7c) 

	* Prepare 4.5.7 release

2021-08-05 13:53:58 +0200 Tobias Junghans (e7508cb1c) 

	* cmake: CPackDefinitions: update summary/description

2021-08-05 13:08:21 +0200 Tobias Junghans (7e822622c) 

	* PlatformSessionManager: add missing include

2021-08-05 12:51:11 +0200 Tobias Junghans (37c92e33d) 

	* LDAP: Common: reuse global PCH

2021-08-05 12:49:57 +0200 Tobias Junghans (64d08903f) 

	* cmake: build with -DUNICODE/-D_UNICODE globally

2021-08-05 10:04:15 +0200 Tobias Junghans (598dc1b4e) 

	* CI: add openSUSE 15.3 builds

2021-08-05 09:58:12 +0200 Tobias Junghans (924cfb248) 

	* CI: add Debian Bullseye build

2021-08-05 09:58:02 +0200 Tobias Junghans (32cf96486) 

	* 3rdparty: libvncserver: update submodule

2021-08-04 08:24:14 +0200 Tobias Junghans (410f3ee3e) 

	* README.md: update description

2021-07-30 13:24:26 +0200 Tobias Junghans (a6f2291b1) 

	* cmake: improve LibVNCServer integration

2021-07-30 10:52:51 +0200 Tobias Junghans (7a1aa9b26) 

	* BuiltinX11VncServer: improve SHM support detection

2021-07-23 14:13:17 +0200 Tobias Junghans (1f5079622) 

	* LinuxSessionFunctions: use session path from environment

2021-07-23 14:12:32 +0200 Tobias Junghans (4ea7ad13c) 

	* LinuxServiceCore: add session path to environment

2021-07-23 14:12:16 +0200 Tobias Junghans (5dc0cc9df) 

	* LinuxSessionFunctions: add xdgSessionPathEnvVarName()

2021-07-23 14:04:31 +0200 Tobias Junghans (9327293ca) 

	* BuiltinX11VncServer: disable SHM if not available

2021-07-15 14:16:39 +0200 Tobias Junghans (62402226a) 

	* Update translations

2021-06-23 14:16:27 +0200 Tobias Junghans (51bc0566d) 

	* WebApiHttpServer: improve TLS-related error messages

2021-06-23 10:12:53 +0200 Tobias Junghans (768feeb53) 

	* VeyonCore: allow minus characters in auth key name

2021-05-28 14:07:51 +0200 Tobias Junghans (5092dd41b) 

	* Prepare 4.5.6 release

2021-05-27 16:11:22 +0200 Tobias Junghans (c55fa3752) 

	* Update translations

2021-05-28 13:52:51 +0200 Tobias Junghans (ce7a20348) 

	* README.md: use GitHub Actions badge

2021-05-28 13:41:04 +0200 Tobias Junghans (939f536bf) 

	* CI: drop Travis support

2021-05-27 14:23:18 +0200 Tobias Junghans (b877730f6) 

	* CI: add GitHub Actions

2021-05-28 10:58:08 +0200 Tobias Junghans (0f969d142) 

	* cmake: detect CPU count for parallel LTO

2021-05-28 10:47:45 +0200 Tobias Junghans (dbf223b6d) 

	* CI: install make on CentOS 8.3

2021-05-27 16:22:54 +0200 Tobias Junghans (b2deb0823) 

	* CI: perform build before building package

2021-05-27 15:03:31 +0200 Tobias Junghans (32e98ea60) 

	* Always call VeyonCore::setupAppParams() in main()

2021-05-26 19:49:45 +0200 Tobias Junghans (428f658b1) 

	* CI: add Linux build jobs

2021-05-26 07:58:36 +0200 Tobias Junghans (758e30b50) 

	* VncServer: x11vnc: fix format string issue

2021-05-21 09:38:22 +0200 Tobias Junghans (937b1628d) 

	* AuthKeys: make import fail with file as 1st arg

2021-05-20 13:48:44 +0200 Tobias Junghans (9f6f2a53c) 

	* LDAP: add support for nested user groups (AD only)

2021-05-20 07:50:53 +0200 Tobias Junghans (ccaec794e) 

	* CI: linux.debian.stretch: revert 67fbb80d361c3b8a9

2021-05-19 15:05:52 +0200 Tobias Junghans (61b324aec) 

	* CCLM: indicate invalid/empty host address in tooltip

2021-05-19 15:01:38 +0200 Tobias Junghans (df0ccdc9e) 

	* ComputerControlInterface: add nullptr checks

2021-05-14 08:55:10 +0300 Egor Ignatov (6ac2e495b) 

	* LinuxUserFunctions: fix login key sequence selection

2021-05-10 13:56:03 +0200 Tobias Junghans (69a19844f) 

	* CI: install cmake from buster-backports

2021-05-10 13:42:10 +0200 Tobias Junghans (dc8edcb51) 

	* CI: switch to Focal

2021-05-10 12:00:53 +0200 Tobias Junghans (044f27260) 

	* CI: create release builds for tags only

2021-05-10 11:26:41 +0200 Tobias Junghans (df0fe7f9b) 

	* CI: Fedora: use dnf instead of yum

2021-05-10 11:10:45 +0200 Tobias Junghans (67fbb80d3) 

	* CI: install/use libvnccserver where possible

2021-05-12 14:30:40 +0200 Tobias Junghans (40a55efd4) 

	* CI: drop Ubuntu Xenial builds

2021-05-10 10:51:04 +0200 Tobias Junghans (b6fa52266) 

	* CI: use ninja instead of make

2021-05-10 10:11:54 +0200 Tobias Junghans (ce6bc0c00) 

	* CI: drop Fedora 32 and add Fedora 34

2021-05-10 10:40:28 +0200 Tobias Junghans (48ce999c1) 

	* Core: add common compile options to veyon-pch target

2021-05-06 14:49:48 +0200 Tobias Junghans (fc1c5b7f3) 

	* ServerAuthenticationManager: improve log messages

2021-05-06 10:15:49 +0200 Tobias Junghans (8a991b85a) 

	* DocumentationFigureCreator: add createDemoMenuFigure()

2021-05-06 10:12:13 +0200 Tobias Junghans (5021ff09e) 

	* DocumentationFigureCreator: use grabMenu()

2021-05-06 10:10:45 +0200 Tobias Junghans (7aba831ba) 

	* DocumentationFigureCreator: add grabMenu()

2021-05-06 10:10:17 +0200 Tobias Junghans (d07536532) 

	* DocumentationFigureCreator: add static version of
          scheduleUiOperation()

2021-05-06 08:10:17 +0200 Tobias Junghans (cbd3fb602) 

	* Update translations

2021-05-05 15:55:45 +0200 Tobias Junghans (75a197fe7) 

	* DocumentationFigureCreator: wait before grabbing
          FileTransferDialogStart.png

2021-05-05 15:55:31 +0200 Tobias Junghans (3e871b11a) 

	* DocumentationFigureCreator: use constFirst() on temporary list

2021-05-05 15:54:45 +0200 Tobias Junghans (b0ac2a520) 

	* DocumentationFigureCreator: fix master construction/destruction

2021-05-05 15:45:10 +0200 Tobias Junghans (1c1ac5fa6) 

	* Core: load qtbase translation per default

2021-05-05 15:44:31 +0200 Tobias Junghans (819e17866) 

	* TranslationLoader: return success and drop broken fallback

2021-05-05 15:43:06 +0200 Tobias Junghans (f35dc4e91) 

	* VeyonCore: configure layout direction based on default locale

2021-05-05 15:40:18 +0200 Tobias Junghans (89ae96673) 

	* TranslationLoader: fix loading Qt translations

2021-05-05 15:39:25 +0200 Tobias Junghans (7401d2c41) 

	* Core: determine Qt translations dir at runtime

2021-05-05 14:02:01 +0200 Tobias Junghans (d00e61ec3) 

	* Update translations

2021-04-30 11:25:22 +0200 Tobias Junghans (f47f0b77a) 

	* VeyonMaster: exclude meta features from global feature list

2021-04-30 09:55:56 +0200 Tobias Junghans (73a5cf195) 

	* PowerControl, UserSessionControl: improve confirmation dialog

2021-04-30 09:31:11 +0200 Tobias Junghans (10c64a830) 

	* DesktopAccessDialog: use uniform button layout

2021-04-29 14:23:52 +0200 Tobias Junghans (4da109e0a) 

	* LinuxSessionFunctions: fix function order

2021-04-29 14:21:35 +0200 Tobias Junghans (2f0f1aac6) 

	* LinuxSessionFunctions: fix header include

2021-04-29 14:21:20 +0200 Tobias Junghans (bb4386dfb) 

	* ScreenLock: only lock screen inside user sessions

2021-04-29 14:20:45 +0200 Tobias Junghans (d792071fa) 

	* Demo: only start client inside user sessions

2021-04-29 14:20:12 +0200 Tobias Junghans (3e475bad6) 

	* PlatformSessionFunctions: add currentSessionHasUser()

2021-04-20 10:41:00 +0200 Tobias Junghans (3871848f7) 

	* Prepare 4.5.5 release

2021-04-20 10:39:25 +0200 Tobias Junghans (68a74e148) 

	* NSIS: remove imageformats directory on uninstall

2021-04-20 08:09:44 +0200 Tobias Junghans (1957ec1a0) 

	* VeyonCore: set Qt::AA_ShareOpenGLContexts app attribute

2021-04-16 13:49:33 +0200 Tobias Junghans (b1325a49a) 

	* Update translations

2021-04-20 08:06:04 +0200 Tobias Junghans (f2ce37c33) 

	* CI: sync with master

2021-04-16 11:47:28 +0200 Tobias Junghans (aa9588703) 

	* VeyonMaster: only start mode feature if not active

2021-04-16 11:46:13 +0200 Tobias Junghans (1f84c0417) 

	* VeyonMaster: don't stop other mode features

2021-04-16 11:44:26 +0200 Tobias Junghans (915e83f3c) 

	* ComputerMonitoringView: also check for active meta features

2021-04-16 11:43:42 +0200 Tobias Junghans (21ea1d0aa) 

	* VeyonMaster: add metaFeaturesUids()

2021-04-16 11:41:11 +0200 Tobias Junghans (94eecd100) 

	* FeatureManager: add metaFeatureUid()

2021-04-16 11:39:34 +0200 Tobias Junghans (f0f054cc4) 

	* DemoFeaturePlugin: fix duplicate feature UIDs

2021-04-16 11:39:03 +0200 Tobias Junghans (1af0ccfe6) 

	* DemoFeaturePlugin: implement metaFeature()

2021-04-16 11:37:43 +0200 Tobias Junghans (37486d87a) 

	* FeatureProviderInterface: add metaFeature()

2021-04-16 11:37:03 +0200 Tobias Junghans (7a5d3367b) 

	* Feature: rename Flag::Internal to Flag::Meta

2021-04-16 13:15:54 +0200 Tobias Junghans (22fcfeb39) 

	* VncServerProtocol: use rfbProtocolVersionMsg type

2021-04-15 11:10:17 +0200 Tobias Junghans (f2eac1dd3) 

	* WtsSessionManager: drop unused loggedOnUsers()

2021-04-16 13:07:10 +0200 Tobias Junghans (f34a02200) 

	* WindowsUserFunctions: rewrite isAnyUserLoggedOn()

2021-04-15 11:09:56 +0200 Tobias Junghans (874139382) 

	* WtsSessionManager: fix memory leak in activeSessions()

2021-04-15 10:20:51 +0200 Tobias Junghans (685af6ee2) 

	* LinuxPlatformConfiguration: drop unused displayManagerUsers
          property

2021-04-15 10:05:09 +0200 Tobias Junghans (af07cc9f4) 

	* LinuxUserFunctions: use listSessions() in isAnyUserLoggedOn()

2021-04-15 10:04:40 +0200 Tobias Junghans (412517a29) 

	* LinuxSessionFunctions: add isOpen()/isGraphical()

2021-04-15 09:45:25 +0200 Tobias Junghans (6bbb29fd2) 

	* LinuxSessionFunctions: specify session type via enum class

2021-04-15 09:42:18 +0200 Tobias Junghans (8b2dcda9a) 

	* LinuxSessionFunctions: add getSessionClass()

2021-04-15 09:30:46 +0200 Tobias Junghans (cdb860cf4) 

	* LinuxServiceCore: move listSessions() to LinuxSessionFunctions

2021-04-15 08:55:39 +0200 Tobias Junghans (9067c7bb3) 

	* LinuxServiceCore: make minimum user session lifetime configurable

2021-03-31 09:19:03 +0200 Tobias Junghans (8861b5cca) 

	* Update translations

2021-03-12 10:14:02 +0100 Tobias Junghans (93c1a71a6) 

	* x11vnc-builtin: adopt header detection changes

2021-03-11 16:22:05 +0100 Tobias Junghans (f4ae6f646) 

	* Prepare 4.5.4 release

2021-03-11 16:21:24 +0100 Tobias Junghans (1fefc1d6e) 

	* 3rdparty: update submodules

2021-03-11 16:18:09 +0100 Tobias Junghans (b026eec49) 

	* Update translations

2021-03-11 16:16:05 +0100 Tobias Junghans (f9397e779) 

	* CheckableItemProxyModel: load/remove check states lazily

2021-03-11 14:32:10 +0100 Tobias Junghans (34b9bd39b) 

	* Core: fix PCH issue with winsock2.h

2021-03-10 16:07:31 +0100 Tobias Junghans (a9380712f) 

	* LinuxUserFunctions: make user login sequence fully configurable

2021-03-10 16:04:49 +0100 Tobias Junghans (3dd72953a) 

	* LinuxPlatformConfiguration: add userLoginKeySequence property

2021-03-10 16:02:21 +0100 Tobias Junghans (b06cebf11) 

	* LinuxKeyboardInput: only send current character

2021-03-10 14:32:39 +0100 Tobias Junghans (d21d12bb5) 

	* LinuxCoreFunctions: ignore missing DPMS for xrdp sessions

2021-03-10 14:31:47 +0100 Tobias Junghans (dd343dcef) 

	* LinuxServiceCore: optionally run server process with Valgrind

2021-03-10 14:31:08 +0100 Tobias Junghans (6e36b3d47) 

	* DemoServerConnection: improve code readability

2021-03-10 14:30:43 +0100 Tobias Junghans (81a7ba1d3) 

	* DemoServer: improve debug message

2021-03-10 14:26:22 +0100 Tobias Junghans (0d9910ed0) 

	* Demo: refactor demo server control

2021-03-10 14:29:28 +0100 Tobias Junghans (543f10231) 

	* Demo: also terminate fullscreen demo client

2021-03-10 14:24:22 +0100 Tobias Junghans (be35f3fee) 

	* VeyonCore: check instance in isDebugging()

2021-03-05 14:39:58 +0100 Tobias Junghans (8c758cfc8) 

	* Demo: refactor server termination

2021-03-05 14:38:10 +0100 Tobias Junghans (2bf76ccbd) 

	* VeyonCore: destroy Logger before plugin managers

2021-03-05 14:36:51 +0100 Tobias Junghans (529e87504) 

	* FeatureWorkerManager: optionally run worker processes with Valgrind

2021-03-05 09:35:00 +0100 Tobias Junghans (b74d6effc) 

	* LinuxServiceCore: stop server for closing sessions

2021-03-05 08:48:00 +0100 Tobias Junghans (73630ccf8) 

	* LinuxServiceCore: decrease ServerKillTimeout to 3s

2021-03-05 08:40:05 +0100 Tobias Junghans (94dfc441e) 

	* LinuxServiceCore: send SIGINT/SIGTERM/SIGKILL recursively

2021-03-05 08:30:06 +0100 Tobias Junghans (53f30dd2f) 

	* LinuxSessionFunctions: use forEachChildProcess()

2021-03-05 08:05:58 +0100 Tobias Junghans (2d593675a) 

	* LinuxCoreFunctions: add forEachChildProcess()

2021-03-05 07:32:06 +0100 Tobias Junghans (4db1abfe5) 

	* LinuxServiceCore: call kill() with valid PID only

2021-03-05 07:08:48 +0100 Tobias Junghans (6dc1f3a3b) 

	* BuiltinX11VncServer: simplify XDamage control

2021-03-05 07:03:12 +0100 Tobias Junghans (43d8fcb80) 

	* BuiltinX11VncServer: disable SHM for xrdp sessions

2021-03-04 10:36:12 +0100 Tobias Junghans (118c82af9) 

	* LinuxServiceCore: use session path as session ID

2021-03-04 09:43:33 +0100 Tobias Junghans (86704a16d) 

	* VeyonCore: use default session ID for Service

2021-03-04 09:39:50 +0100 Tobias Junghans (0ea562c82) 

	* LinuxServiceCore: drop redundant check

2021-03-04 09:12:11 +0100 Tobias Junghans (6d488c325) 

	* PlatformSessionManager: always close sessions properly

2021-03-01 07:45:34 +0100 Tobias Junghans (b7c1ec8c2) 

	* Core: fix PCH issue with CMake >= 3.18.0

2021-03-01 07:46:36 +0100 Tobias Junghans (072cf3171) 

	* Revert "CI: disable precompiled headers on Fedora 33"

2021-02-26 19:18:11 +0100 Tobias Junghans (2a21677f9) 

	* Prepare 4.5.3 release

2021-02-26 19:16:02 +0100 Tobias Junghans (e7d19bde6) 

	* CI: update package name suffixes

2021-02-26 19:05:53 +0100 Tobias Junghans (23dd74fe7) 

	* CI: Windows: remove obsolete message

2021-02-26 17:03:56 +0100 Tobias Junghans (8f7890102) 

	* Update translations

2021-02-26 16:48:10 +0100 Tobias Junghans (c9cab026a) 

	* Master: update splash for 2021

2021-02-26 16:33:11 +0100 Tobias Junghans (a7ccc3d6f) 

	* FeatureManager: resolve feature name for debug messages

2021-02-26 16:30:47 +0100 Tobias Junghans (7c356b71d) 

	* Demo: explicitely stop client when stopping demo feature

2021-02-26 16:17:08 +0100 Tobias Junghans (9ed224787) 

	* UltraVncConfigWidget: add flag to label for advanced option

2021-02-26 16:15:02 +0100 Tobias Junghans (9bde82aa0) 

	* Demo: fix viewport for negative screen coordinates

2021-02-26 16:45:37 +0100 Tobias Junghans (d8b401e90) 

	* Demo: fix VNC server port issue

2021-02-26 16:11:18 +0100 Tobias Junghans (9067a3a55) 

	* VeyonServerInterface: add vncServerBasePort()

2021-02-26 16:10:16 +0100 Tobias Junghans (890220637) 

	* DemoServer: improve code style

2021-02-26 16:09:54 +0100 Tobias Junghans (8ce4b4260) 

	* DemoServer: add debug messages

2021-02-26 16:09:37 +0100 Tobias Junghans (32423d4f1) 

	* DemoServerConnection: delete socket directly

2021-02-26 16:09:09 +0100 Tobias Junghans (198fd8f0c) 

	* DemoServerConnection: fix memory leak on error

2021-02-26 16:40:57 +0100 Tobias Junghans (fe423ea10) 

	* Configurator: fix page index and margins

2021-02-26 16:53:32 +0100 Tobias Junghans (e778b5531) 

	* Update copyright

2021-01-15 09:28:00 +0100 Tobias Junghans (e197df384) 

	* Configurator: embed config pages into scrollarea

2021-02-24 17:49:11 +0100 Tobias Junghans (9a5e3708e) 

	* WebApiController: add status to feature list

2021-02-24 17:53:16 +0100 Tobias Junghans (ecd6fac42) 

	* VncConnection: improve parsing port number for IPv6

2021-02-19 15:23:08 +0100 Tobias Junghans (d0b87fed6) 

	* ScreenshotManagementPanel: use expanded path for FS watcher

2021-02-16 09:26:14 +0100 Tobias Junghans (7793aa740) 

	* CCI: simplify setDesignatedModeFeature()

2021-02-16 09:23:55 +0100 Tobias Junghans (0d620a124) 

	* FeatureManager: update active features on change

2021-02-16 09:18:56 +0100 Tobias Junghans (a706429ef) 

	* FeatureManager: add updateActiveFeatures()

2021-02-16 09:18:09 +0100 Tobias Junghans (229367e9d) 

	* CCI: make updateActiveFeatures() public

2021-02-12 16:50:33 +0100 Tobias Junghans (d06cae760) 

	* qthttpserver: disable unity build

2021-02-12 16:19:17 +0100 Tobias Junghans (03a19a26f) 

	* CI: disable precompiled headers on Fedora 33

2021-02-12 15:54:11 +0100 Tobias Junghans (40b5687c5) 

	* HostAddress: return original value on equal type

2021-02-12 15:53:43 +0100 Tobias Junghans (a6599c820) 

	* HostAddress: use tryConvert() in localFQDN()

2021-02-12 15:51:30 +0100 Tobias Junghans (1ee4526b5) 

	* HostAddress: don't return incomplete FQDN with empty local domain

2021-02-12 15:49:17 +0100 Tobias Junghans (ec282560e) 

	* CI: add Fedora 33 builds

2021-02-05 10:47:51 +0100 Tobias Junghans (de03b7f4f) 

	* cmake: replace Cotire with builtin PCH/UB support

2021-02-05 11:53:17 +0100 Tobias Junghans (d0e9e780a) 

	* CI: bump to Fedora 32

2021-02-05 11:19:01 +0100 Tobias Junghans (aa51c9a6f) 

	* CI: bump to CentOS 8.3 (20.11)

2021-02-05 11:17:15 +0100 Tobias Junghans (51b4ecd97) 

	* CI: bump to CentOS 7.9 (20.09)

2021-02-05 11:15:58 +0100 Tobias Junghans (37ff34ece) 

	* CI: drop openSUSE 15.1 builds

2021-02-05 10:47:32 +0100 Tobias Junghans (0500b9d28) 

	* MonitoringMode: add missing export macro

2021-02-03 21:12:10 +0100 Mike Gabriel (c066e0f9a) 

	* LinuxCoreFunctions: drop kdesudo/gksudo support

2021-02-03 21:09:52 +0100 Mike Gabriel (ef1fc5624) 

	* veyon-master.1: fix application name in headline

2021-02-03 21:00:44 +0100 Mike Gabriel (dbbd0776c) 

	* BuiltinX11VncServer: add missing retval

2021-02-05 08:08:09 +0100 Tobias Junghans (ac9f09ed6) 

	* WebApiConnection: use QAtomicInteger for qint64

2021-02-04 14:00:44 +0100 Tobias Junghans (bf6e2b906) 

	* WebApiController: use cached connection lifetime

2021-02-04 13:57:25 +0100 Tobias Junghans (ab57cc8d4) 

	* WebApiController: store timer intervals in locally

2021-01-14 08:53:56 +0100 Tobias Junghans (0b7311247) 

	* PlatformSessionManager: omit error message for certain components

2021-01-14 08:38:33 +0100 Tobias Junghans (41b7cf710) 

	* WebApiHttpServer: fix log level for DELETE

2021-01-14 08:36:58 +0100 Tobias Junghans (868f3a555) 

	* WebApiHttpServer: process requests asynchronously

2021-01-14 08:36:21 +0100 Tobias Junghans (09aef8b47) 

	* WebApiConfiguration: increase connection limit to 32

2021-01-14 08:27:45 +0100 Tobias Junghans (77f4acb76) 

	* WebApiController: make implementation thread-safe

2021-01-14 08:26:16 +0100 Tobias Junghans (338d796c4) 

	* WebApiConnection: lock while pre-encoding

2021-01-14 08:25:34 +0100 Tobias Junghans (65d1c3b93) 

	* WebApiConnection: destroy control interface via sharedptr

2021-01-13 15:28:02 +0100 Tobias Junghans (6a9397230) 

	* ComputerControlInterface: lock for self-updating

2021-01-13 09:19:58 +0100 Tobias Junghans (1c57a865c) 

	* WebApiConnection: implement lockable interface

2021-01-13 09:19:12 +0100 Tobias Junghans (6d9a8d597) 

	* qthttpserver: switch to master branch

2021-01-13 09:10:33 +0100 Tobias Junghans (9a96739a5) 

	* FeatureManager: make all methods const

2021-01-13 09:10:20 +0100 Tobias Junghans (13cb68969) 

	* ComputerControlInterface: inherit from Lockable

2021-01-13 09:06:22 +0100 Tobias Junghans (192cec5ff) 

	* Core: add LockingPointer

2021-01-13 09:06:15 +0100 Tobias Junghans (02ba16ec9) 

	* Core: add Lockable

2020-12-11 13:35:00 +0100 Tobias Junghans (88444c8dc) 

	* Prepare 4.5.2 release

2020-12-11 13:34:25 +0100 Tobias Junghans (72f932ea9) 

	* Update translations

2020-12-11 11:41:49 +0100 Tobias Junghans (8f0649108) 

	* UltraVncConfigurationWidget: mark label as advanced

2020-12-11 11:00:29 +0100 Tobias Junghans (a572f87ed) 

	* 3rdparty: ultravnc: update submodule (W10 issue)

2020-12-11 11:42:32 +0100 Tobias Junghans (5f06f6a35) 

	* BuiltinUltraVncServer: fix indentation

2020-12-11 08:11:41 +0100 Tobias Junghans (bbba63b6e) 

	* LinuxServiceCore: forward stdout/stderr of server

2020-12-11 08:07:30 +0100 Tobias Junghans (734fc83af) 

	* LinuxServiceCore: debug server crashes using catchsegv

2020-12-11 08:06:53 +0100 Tobias Junghans (e9c0302a9) 

	* NSIS: hide installation details per default

2020-12-10 15:59:14 +0100 Tobias Junghans (876f4693c) 

	* 3rdparty: ultravnc: update submodule (UVNC 1.3.2)

2020-12-10 15:56:58 +0100 Tobias Junghans (6375bbe22) 

	* BuiltinUltraVncServer: add MaxCpu setting

2020-12-10 15:30:15 +0100 Tobias Junghans (70d6f0ebc) 

	* RemoteAccessWidget: fix crash without master instance

2020-12-10 15:29:05 +0100 Tobias Junghans (d2123ca00) 

	* 3rdparty: ddengine: update to 1.3.2

2020-12-10 12:00:49 +0100 Tobias Junghans (56f233472) 

	* LdapDirectory: add warning on invalid location groups

2020-12-10 11:54:39 +0100 Tobias Junghans (ac86af3a6) 

	* HeadlessVncServer: also set IPv6 port

2020-12-07 14:20:39 +0100 Tobias Junghans (c058b6714) 

	* 3rdparty: update submodules

2020-12-07 14:19:35 +0100 Tobias Junghans (66e619c86) 

	* kldap: adopt directory structure change

2020-12-04 14:32:04 +0100 Tobias Junghans (7b234840f) 

	* WebAPI: add Python client implementation + tests

2020-12-04 14:30:04 +0100 Tobias Junghans (0ec20dba8) 

	* Add headless VNC server plugin

2020-12-01 13:57:35 +0100 Tobias Junghans (a3484c7d0) 

	* CI: Windows: use ninja instead of make

2020-12-01 12:58:48 +0100 Tobias Junghans (9440292f2) 

	* CMake: add policy for required for ninja support

2020-12-01 12:57:14 +0100 Tobias Junghans (9045f84b8) 

	* CMake: fix rules/deps for translation file generation

2020-12-01 12:55:25 +0100 Tobias Junghans (42af6305f) 

	* RemoteAccessWidget: use non-deprecated Qt API

2020-11-27 12:13:01 +0100 SlrG (3ef4b6485) 

	* add option showFeatureWindowsOnSameScreen as master

2020-11-25 10:56:31 +0100 Tobias Junghans (b1f2cdef6) 

	* README.md: update build status badge

2020-11-25 09:27:46 +0100 Tobias Junghans (0c793a0bb) 

	* Prepare 4.5.1 release

2020-11-25 09:27:20 +0100 Tobias Junghans (994c8b6bc) 

	* Update translations

2020-11-25 09:12:36 +0100 Tobias Junghans (2c334cc55) 

	* ComputerControlListModel: always supply non-empty display role

2020-11-23 15:59:49 +0100 Tobias Junghans (838fca237) 

	* CI: use matrix for Windows builds

2020-11-23 15:57:27 +0100 Tobias Junghans (66c4c4cd8) 

	* FeatureProviderInterface: fix argToString()

2020-11-23 14:33:06 +0100 Tobias Junghans (e096d7dca) 

	* EnumHelper: fix toCamelCaseString()

2020-11-23 13:55:59 +0100 Tobias Junghans (7059d2699) 

	* CI: create source tarball for generic builds only

2020-11-23 11:43:30 +0100 Tobias Junghans (f5b9493e4) 

	* translations: update paths for addons

2020-11-23 11:18:43 +0100 Tobias Junghans (937d67e73) 

	* SlideshowModel: only show connected computers

2020-11-23 11:08:57 +0100 Tobias Junghans (3eb084d83) 

	* SlideshowPanel: fix updating icon size

2020-11-23 10:29:50 +0100 Tobias Junghans (1e996bbb7) 

	* ComputerControlListModel: use dedicated icon for
          State::ServerNotRunning

2020-11-23 10:26:26 +0100 Tobias Junghans (a0deded99) 

	* Rename state ServiceUnreachable to ServerNotRunning

2020-11-23 10:20:10 +0100 Tobias Junghans (87609fab7) 

	* ComputerControlListModel: scale and align status icons dynamically

2020-11-23 10:18:50 +0100 Tobias Junghans (08dba8ac2) 

	* ComputerControlListModel: fall back to AR of 16:9

2020-11-23 10:16:40 +0100 Tobias Junghans (e71a218b5) 

	* ComputerMonitoringView: delay auto adjust on row changes

2020-11-23 10:15:42 +0100 Tobias Junghans (0028de09f) 

	* ComputerMonitoringView: update icon size on any change reported by
          model

2020-11-23 10:14:56 +0100 Tobias Junghans (a36bb57b0) 

	* ComputerControlListModel: always update on any screen size change

2020-11-23 10:13:10 +0100 Tobias Junghans (e34e79311) 

	* ComputerControlListModel: use dedicated getter

2020-11-23 10:11:03 +0100 Tobias Junghans (4a310d1e0) 

	* ComputerControlInterface: don't emit screenUpdated() signal in
          setScaledScreenSize()

2020-11-23 10:10:41 +0100 Tobias Junghans (ea4f12153) 

	* ComputerControlInterface: add screenSize() getter

2020-11-23 10:02:45 +0100 Tobias Junghans (86ef1f5ce) 

	* ComputerControlInterface: add screenSizeChanged() signal

2020-11-20 12:28:39 +0100 Tobias Junghans (e9f3481cb) 

	* Don't install libs when building with CORE_ONLY

2020-11-20 11:52:14 +0100 Tobias Junghans (2f1728766) 

	* cmake: CPackDefinitions: update versioning scheme

2020-11-20 11:26:32 +0100 Tobias Junghans (a4333ee04) 

	* CI: Windows: add support for CMAKE_FLAGS

2020-11-20 11:04:37 +0100 Tobias Junghans (9f25ed5b7) 

	* CMake: add options related to building add-ons

2020-11-20 10:23:30 +0100 Tobias Junghans (a0451b914) 

	* CI: build package for custom targets too

2020-11-20 10:22:21 +0100 Tobias Junghans (0e78b6dfb) 

	* CI: forward all arguments to build scripts

2020-11-19 18:58:55 +0100 Tobias Junghans (cedac4e53) 

	* CI: add support for user supplied CMAKE_FLAGS

2019-11-27 18:36:35 +0100 Tobias Junghans (2f7af2b10) 

	* CI: use parametrized source and build paths

2020-11-20 10:02:57 +0100 Tobias Junghans (5b227e275) 

	* Update and complete resource files

2020-11-19 18:54:52 +0100 Tobias Junghans (16537f6a1) 

	* cmake: CPackDefinitions: use supplied package name

2020-11-19 12:32:42 +0100 Tobias Junghans (fe789d713) 

	* Update translations

2020-11-19 12:03:38 +0100 Tobias Junghans (df6be8eae) 

	* ComputerControlServer: notify first successful access control pass
          only

2020-11-19 11:27:35 +0100 Tobias Junghans (e11421ff1) 

	* Revert "ComputerMonitoringWidget: set resize mode to Fixed"

2020-11-19 11:17:44 +0100 Tobias Junghans (b569effc1) 

	* MasterConfigurationPage: fix widget name

2020-11-19 11:17:06 +0100 Tobias Junghans (848b1142d) 

	* Screenshot: fix non-working feature invocation

2020-11-19 11:16:27 +0100 Tobias Junghans (1e84c689b) 

	* ScreenshotManagementPanel: add support for deleting multiple
          screenshots

2020-11-19 11:04:50 +0100 Tobias Junghans (463bc2868) 

	* ScreenshotManagementPanel: refactor directory updates

2020-11-19 11:03:12 +0100 Tobias Junghans (67f700a62) 

	* Screenshot: emit signal after saving file

2020-11-19 11:02:58 +0100 Tobias Junghans (19d2c850d) 

	* Screenshot: use Filesystem::screenshotDirectoryPath()

2020-11-19 11:02:31 +0100 Tobias Junghans (72f36442d) 

	* Filesystem: add screenshotDirectoryModified() signal

2020-11-19 11:02:10 +0100 Tobias Junghans (f2e6c439e) 

	* Filesystem: add screenshotDirectoryPath()

2020-11-19 11:01:44 +0100 Tobias Junghans (e1cc84276) 

	* Filesystem: inherit from QObject

2020-11-13 14:31:52 +0100 Tobias Junghans (62f2236d9) 

	* Prepare 4.5.0 release

2020-11-13 14:31:27 +0100 Tobias Junghans (2224097c1) 

	* Update translations

2020-11-13 13:44:24 +0100 Tobias Junghans (445817cc5) 

	* ComputerMonitoring: refactor icon size auto adjust

2020-11-13 14:05:21 +0100 Tobias Junghans (806a4d4db) 

	* Master: backport refactor of computer monitoring models/views

2020-11-13 09:39:42 +0100 Tobias Junghans (92aba340a) 

	* Make public API key names camelCase

2020-11-12 11:53:09 +0100 Michael Wehr (304ca6417) 

	* RemoteAccess: show username in window title

2020-11-12 09:10:48 +0100 Tobias Junghans (86036d3f7) 

	* Demo: implement screen selection and management

2020-11-12 09:09:17 +0100 Tobias Junghans (8468f9863) 

	* Demo: integrate framebuffer viewport support

2020-11-12 20:18:29 +0100 Tobias Junghans (41929233f) 

	* Backport VncView/VncViewWidget from master

2020-11-12 08:10:10 +0100 Tobias Junghans (9b579a6e6) 

	* Master: make option features checkable

2020-11-12 08:09:41 +0100 Tobias Junghans (b9b33a955) 

	* Feature: add flags Option and Checked

2020-11-12 08:09:17 +0100 Tobias Junghans (d9dee1412) 

	* Feature: drop unused flag Dialog

2020-11-11 11:30:21 +0100 Tobias Junghans (41559e01c) 

	* CMake: add option for enabling model testers

2020-11-11 11:29:43 +0100 Tobias Junghans (4e42c5301) 

	* CryptoCore: use auto keyword

2020-11-11 11:29:05 +0100 Tobias Junghans (fc725617b) 

	* SpotlightPanel: improve help text

2020-11-11 11:28:57 +0100 Tobias Junghans (d45b50fdf) 

	* SpotlightPanel: use maximum possible icon size

2020-11-11 11:27:14 +0100 Tobias Junghans (2f462d838) 

	* SlideshowPanel: use maximum possible icon size

2020-11-11 11:26:25 +0100 Tobias Junghans (334c38ab1) 

	* SlideshowModel: add range check

2020-11-11 11:24:05 +0100 Tobias Junghans (fd838dd34) 

	* ComputerMonitoringWidget: set resize mode to Fixed

2020-11-11 11:23:51 +0100 Tobias Junghans (5ed3fbb5f) 

	* ComputerMonitoringWidget: use icon size from model

2020-11-11 11:09:46 +0100 Tobias Junghans (8f6ace1b7) 

	* ComputerControlListModel: add support for different aspect ratios

2020-11-12 19:49:18 +0100 Tobias Junghans (c2064aa56) 

	* Drop unused placeholder texts for tool buttons

2020-11-07 10:03:21 +0100 Tobias Junghans (18312c570) 

	* ComputerListModel: add AspectRatio setting

2019-08-05 11:01:39 +0200 Tobias Junghans (e283fe856) 

	* ComputerControlListModel: inherit ComputerListModel

2019-08-05 11:04:35 +0200 Tobias Junghans (4cda23b9a) 

	* VeyonConfigurationProperties: integrate ComputerListModel

2019-08-05 10:58:54 +0200 Tobias Junghans (de0c2d191) 

	* ComputerListModel: add new base class

2020-11-11 08:22:58 +0100 Tobias Junghans (ab94048cf) 

	* WebAPI: use existing QtHttpServer lib if available

2020-11-06 19:28:12 +0100 Tobias Junghans (9cdfac7b8) 

	* VeyonConfig: make ComputerMonitoringThumbnailSpacing default to 5

2020-10-29 15:58:55 +0100 Michael Wehr (9cc523bdb) 

	* Master: make thumbnail spacing configurable

2020-11-06 19:29:14 +0100 Tobias Junghans (c7a014014) 

	* SlideshowPanel, SpotlightPanel: improve icon size calculation

2020-11-06 09:43:47 +0100 Tobias Junghans (f385ce4ba) 

	* ComputerMonitoringWidget: use model attached to view

2020-11-06 09:42:58 +0100 Tobias Junghans (bcb171183) 

	* ComputerMonitoringWidget: retrieve VeyonMaster via VeyonCore

2020-11-05 15:20:27 +0100 Tobias Junghans (2cf4da372) 

	* Update translations

2020-11-05 11:42:47 +0100 Tobias Junghans (739fee0b7) 

	* SpotlightPanel: add hint on how to add computers

2020-11-05 11:16:35 +0100 Tobias Junghans (b85599512) 

	* Master: improve usability of splitter handles

2020-11-05 11:03:08 +0100 Tobias Junghans (bbc4fe03c) 

	* Master: save and restore splitter and panel states

2020-11-05 11:02:47 +0100 Tobias Junghans (89d39c4dd) 

	* Master: reorder panel buttons

2020-11-05 11:02:10 +0100 Tobias Junghans (2dc80d720) 

	* ComputerSelectPanel: clean up unused properties

2020-11-04 15:59:10 +0100 Tobias Junghans (23f6f21a8) 

	* SpotlightPanel: add realtime view support

2020-11-04 15:57:58 +0100 Tobias Junghans (21e174a64) 

	* SpotlightModel: add realtime update support

2020-11-04 11:32:41 +0100 Tobias Junghans (68e65d42f) 

	* VeyonMaster: pass shared pointer as const ref

2020-11-04 11:32:33 +0100 Tobias Junghans (c604eee2b) 

	* DocumentationFigureCreator: add nullptr check

2020-11-04 11:31:32 +0100 Tobias Junghans (3638962d1) 

	* ComputerManager: prevent container detach

2020-11-04 11:24:02 +0100 Tobias Junghans (b71435627) 

	* ComputerControlListModel: don't store QModelIndex in lambda
          connects

2020-11-04 10:14:21 +0100 Tobias Junghans (8cbf3f87a) 

	* Master: integrate SlideshowPanel/SpotlightPanel

2020-11-04 10:14:07 +0100 Tobias Junghans (2deb868c6) 

	* Master: add SpotlightPanel

2020-11-04 10:13:45 +0100 Tobias Junghans (47010aa8a) 

	* Master: add SpotlightModel

2020-11-04 09:33:55 +0100 Tobias Junghans (c69b98a4a) 

	* Master: add SlideshowPanel

2020-11-05 13:50:06 +0100 Tobias Junghans (fb71593cc) 

	* ComputerMonitoringWidget: add listView()

2020-11-04 09:32:41 +0100 Tobias Junghans (88f5e3459) 

	* Master: add SlideshowModel

2020-11-04 09:31:51 +0100 Tobias Junghans (45075014c) 

	* Master: update icons

2020-11-04 09:28:59 +0100 Tobias Junghans (7a2f53ee5) 

	* Move arrow icons from Configurator to Core

2020-11-05 13:30:59 +0100 Tobias Junghans (96f675a38) 

	* ComputerMonitoringWidget: rename to dataModel() and make public

2020-11-03 13:34:26 +0100 Tobias Junghans (3f65e7868) 

	* ComputerMonitoringWidget: add setIgnoreWheelEvent()

2020-11-03 13:33:13 +0100 Tobias Junghans (ac545251a) 

	* ComputerMonitoringWidget: retrieve control interfaces via data()

2020-11-03 13:32:18 +0100 Tobias Junghans (9710dfed0) 

	* ScreenLock: don't use parent for internal feature

2020-11-03 13:31:53 +0100 Tobias Junghans (e6d3e7388) 

	* Screenshot: update icon

2020-11-03 13:31:06 +0100 Tobias Junghans (aa1cc116a) 

	* ComputerControlListModel: add ControlInterfaceRole

2020-11-03 13:30:22 +0100 Tobias Junghans (72ff63cf8) 

	* ComputerControlListModel: add ScreenRole

2020-10-30 15:00:02 +0100 Tobias Junghans (1ee730900) 

	* WebAPI: use VeyonCore::initialized() signal

2020-10-30 14:57:06 +0100 Tobias Junghans (86a44e6b2) 

	* VeyonCore: add initialized() signal

2020-10-30 14:56:50 +0100 Tobias Junghans (deaf2eb82) 

	* PluginManager: drop pluginsLoaded() signal

2020-10-30 14:56:09 +0100 Tobias Junghans (85fb91b8c) 

	* Core: provide MOC for Argument enum

2020-10-30 14:09:26 +0100 Tobias Junghans (01dd78e4f) 

	* LockWidget: show fullscreen after raising

2020-10-30 11:55:41 +0100 Tobias Junghans (92def90d3) 

	* ScreenLock: flag InputDevicesLock as internal and add to feature
          list

2020-10-30 11:48:06 +0100 Tobias Junghans (bb64530b2) 

	* LinuxServiceCore: ensure XDG_SESSION_ID being set

2020-10-30 11:45:34 +0100 Tobias Junghans (a269457da) 

	* LinuxSessionFunctions: add xdgSessionIdEnvVarName()

2020-10-30 11:45:52 +0100 Tobias Junghans (5a7338d66) 

	* LinuxServiceCore: retry server start for sessions being opened

2020-10-30 11:45:13 +0100 Tobias Junghans (acfd0c81b) 

	* LinuxSessionFunctions: log unknown session state

2020-10-30 11:44:36 +0100 Tobias Junghans (53bd7f55f) 

	* LinuxSessionFunctions: add State::Opening

2020-10-30 11:43:55 +0100 Tobias Junghans (16668914f) 

	* LinuxServiceCore: add session state debug message

2020-10-30 11:43:04 +0100 Tobias Junghans (e4a6b62e0) 

	* Linux: add Debian-gdm as display manager user

2020-10-30 11:42:29 +0100 Tobias Junghans (367d05481) 

	* LinuxCoreFunctions: don't show output of systemctl

2020-10-30 11:41:41 +0100 Tobias Junghans (c7bd0127f) 

	* Linux: fix reboot/poweroff if not in PATH

2020-10-30 11:38:38 +0100 Tobias Junghans (49a89bc3f) 

	* Linux: fix+prefer systemd-logind reboot/poweroff

2020-10-30 08:34:54 +0100 Tobias Junghans (4040f10f4) 

	* Update translations

2020-10-30 08:43:19 +0100 Tobias Junghans (56360fdfe) 

	* MasterConfigurationPage: hide internal features (2)

2020-10-30 08:20:00 +0100 Tobias Junghans (2da9030c4) 

	* WebAPI: forward arguments for feature control

2020-10-29 20:20:01 +0100 Tobias Junghans (117b931c6) 

	* WebAPI: drop WebApiFeatureMaster and use new API

2020-10-29 20:19:31 +0100 Tobias Junghans (535530f48) 

	* WebAPI: use ComputerControlInterface::Pointer

2020-10-29 15:50:41 +0100 Tobias Junghans (16eb37b12) 

	* FeatureProviderInterface: adopt new API

2020-10-29 15:39:44 +0100 Tobias Junghans (8bf59a84b) 

	* FeatureProviderInterface: add Initialize operation

2020-10-29 15:39:33 +0100 Tobias Junghans (2b7a1389e) 

	* FeatureProviderInterface: add hasFeature()

2020-10-29 13:16:58 +0100 Tobias Junghans (d3e48d338) 

	* FeatureManager: add controlFeature()

2020-10-29 11:46:55 +0100 Tobias Junghans (064398cec) 

	* FeatureProviderInterface: pass UID to controlFeature()

2020-10-29 11:40:03 +0100 Tobias Junghans (524dc411d) 

	* ComputerMonitoring: fix mode sub feature handling

2020-10-29 11:39:24 +0100 Tobias Junghans (7f79d1588) 

	* VeyonMaster: add subFeaturesUids()

2020-10-29 11:38:31 +0100 Tobias Junghans (e5dbbcca8) 

	* ComputerControlListModel: compare UUIDs directly

2020-10-28 10:37:26 +0100 Tobias Junghans (5d8f6e717) 

	* Demo: implement sharing of a user's screens

2020-10-28 14:44:55 +0100 Tobias Junghans (f886504cf) 

	* DemoConfiguration: drop unused multithreading option

2020-10-28 14:40:04 +0100 Tobias Junghans (2a8a8bf24) 

	* Demo: make demo server multithreaded

2020-10-28 14:28:09 +0100 Tobias Junghans (cb9bc9e21) 

	* FeatureWorkerManager: send pending messages early

2020-10-28 10:31:18 +0100 Tobias Junghans (9f75b8315) 

	* MasterConfigurationPage: hide internal features

2020-10-28 10:31:10 +0100 Tobias Junghans (a7753fbc6) 

	* Master: hide internal features

2020-10-28 10:28:57 +0100 Tobias Junghans (1f97d9f8a) 

	* Feature: rename flag Operation to Internal

2020-10-28 08:46:45 +0100 Tobias Junghans (caa7107fe) 

	* Demo: refactor demo modes as sub features

2020-10-28 08:57:12 +0100 Tobias Junghans (7d5431654) 

	* UserSessionControl: improve icon

2020-10-27 19:38:34 +0100 Tobias Junghans (1918595e3) 

	* Master: add support for mode features in menus

2020-10-27 19:34:17 +0100 Tobias Junghans (6c181c37e) 

	* VeyonMaster: add support for mode sub features

2020-10-27 19:33:51 +0100 Tobias Junghans (ef6c4c3b8) 

	* VeyonMaster: add modeFeatures()

2020-10-27 19:33:03 +0100 Tobias Junghans (4d10feb58) 

	* ToolButton: display alt label only when checked

2020-10-27 13:54:58 +0100 Tobias Junghans (933f8cb80) 

	* Demo: implement controlFeature() and refactor

2020-10-27 13:42:21 +0100 Tobias Junghans (522f4f30e) 

	* FeatureProviderInterface: add controlFeature()

2020-10-27 13:42:05 +0100 Tobias Junghans (bc6221014) 

	* ComputerControlInterface: make weakPointer() public

2020-10-27 11:51:13 +0100 Tobias Junghans (0fbdfcff7) 

	* FeatureMessage: using existing QVariantMap type

2020-10-27 11:44:52 +0100 Tobias Junghans (f2e0ebd37) 

	* Demo: reuse message when only adding an argument

2020-10-27 11:40:29 +0100 Tobias Junghans (0dff3f5a4) 

	* Demo: honor existing DemoServerHost argument

2020-10-27 11:39:13 +0100 Tobias Junghans (547395713) 

	* Demo: make worker quit itself after stopping server

2020-08-05 08:39:35 +0200 Tobias Junghans (727bcceef) 

	* VeyonMaster: add selectedComputerControlInterfaces()

2020-08-05 08:39:17 +0200 Tobias Junghans (5d2d61944) 

	* MainWindow: add selectedComputerControlInterfaces()

2020-08-05 08:38:14 +0200 Tobias Junghans (ab08e694a) 

	* HostAddress: add host/port parsing helpers

2020-10-27 08:22:42 +0100 Tobias Junghans (0bb05ec2b) 

	* Demo: reset access token after stopping server

2020-10-27 08:22:25 +0100 Tobias Junghans (386972ae9) 

	* Demo: fix flags for demo server feature

2019-11-27 15:49:40 +0100 Tobias Junghans (55220e9f4) 

	* ComputerControlInterface: introduce UpdateMode

2020-10-26 19:31:07 +0100 Tobias Junghans (47c7481fc) 

	* VeyonCore: drop localComputerControlInterface()

2020-10-26 19:30:16 +0100 Tobias Junghans (395a1d1be) 

	* VeyonMasterInterface: add localSessionControlInterface()

2020-10-26 19:27:00 +0100 Tobias Junghans (37cb29fc3) 

	* ComputerControlInterface: add arg default value

2020-10-26 19:08:24 +0100 Tobias Junghans (43adf32b1) 

	* VeyonConfiguration: fix version check

2020-10-26 15:06:33 +0100 Tobias Junghans (24c2b7d1c) 

	* README.md: update build dependencies

2020-10-22 10:04:32 +0200 Tobias Junghans (bb8c4eeae) 

	* LinuxServiceCore: log session type

2020-10-22 10:04:05 +0200 Tobias Junghans (db046e860) 

	* LinuxServiceCore: start server for active/online sessions only

2020-10-22 10:03:43 +0200 Tobias Junghans (8d2b05c8e) 

	* LinuxSessionFunctions: add getSessionState()

2020-10-21 16:07:06 +0200 Tobias Junghans (db8547798) 

	* LinuxSessionFunctions: drop unused getSessionDisplay()

2020-10-26 19:03:04 +0100 Tobias Junghans (419ad28e3) 

	* VncClientProtocol: close socket before return

2020-10-21 16:06:06 +0200 Tobias Junghans (8522c23e3) 

	* VncClientProtocol: add support for rfbSecTypeNone

2020-10-21 16:01:42 +0200 Tobias Junghans (51a51e779) 

	* VncServer: check if plugin started VNC server

2020-10-21 16:01:15 +0200 Tobias Junghans (4cd697885) 

	* VncServerPluginInterface: add retval to runSever()

2020-10-21 15:59:46 +0200 Tobias Junghans (73c18b8d1) 

	* VncServer: add session type compatibility check

2020-10-21 15:59:25 +0200 Tobias Junghans (d7ff061e7) 

	* VncServerPluginInterface: add supportedSessionTypes()

2020-10-21 13:39:49 +0200 Tobias Junghans (4e81ca55a) 

	* PlatformSessionFunctions: add currentSessionType()

2020-10-19 14:40:33 +0200 Tobias Junghans (8ae50c891) 

	* ServiceConfigurationPage: improve network config UI

2020-10-19 14:39:49 +0200 Tobias Junghans (3c2eb6323) 

	* VeyonConfig: rename to Service/VeyonServerPort

2020-10-19 13:34:36 +0200 Tobias Junghans (5b9437425) 

	* VeyonConfiguration: make property names consistent

2020-10-19 13:33:34 +0200 Tobias Junghans (63847a7aa) 

	* VeyonCore: add version constants for 4.4 and 4.5

2020-10-19 11:38:47 +0200 Tobias Junghans (1a167d814) 

	* ComputerManager: hide own session if configured

2020-10-19 11:37:51 +0200 Tobias Junghans (8a94f2b00) 

	* VeyonConfig: add Master/HideOwnSession property

2020-10-16 20:04:52 +0200 Tobias Junghans (a29762662) 

	* ServiceConfigurationPage: improve session configuration UI

2020-10-19 11:01:45 +0200 Tobias Junghans (833d3b46c) 

	* Transifex: update resource for Veyon 4.5

2020-10-15 16:10:10 +0200 Tobias Junghans (1a7ebcd70) 

	* VncServerProtocol: retrieve peer address early

2020-10-15 16:06:39 +0200 Tobias Junghans (4e441d795) 

	* ComputerControlServer: notify on incomplete auth

2020-10-15 16:05:01 +0200 Tobias Junghans (e80e440ee) 

	* ComputerControlClient: add serverClient() getter

2020-10-15 15:19:09 +0200 Tobias Junghans (08aacecb3) 

	* Server: VncProxy: wait for client authentication

2020-10-15 11:52:14 +0200 Tobias Junghans (48df97be2) 

	* Add WebAPI plugin

2020-10-15 11:51:35 +0200 Tobias Junghans (b40b53b5d) 

	* CI: install packages with private Qt headers

2020-10-15 09:06:47 +0200 Tobias Junghans (f9a9c16b4) 

	* WindowsInputDeviceFunctions: honor multi session mode

2020-10-14 19:47:29 +0200 Tobias Junghans (7a829f389) 

	* WindowsServiceCore: react to WTS remote events

2020-10-14 19:18:12 +0200 Tobias Junghans (bac95ca90) 

	* WindowsServiceCore: refactor debug messages

2020-10-14 19:11:51 +0200 Tobias Junghans (af5799553) 

	* cmake: WindowsInstaller: fix target dependencies

2020-10-14 19:11:38 +0200 Tobias Junghans (82955e33b) 

	* cmake: WindowsInstaller: fix find invocation

2020-10-13 22:04:21 +0200 Tobias Junghans (c8a7832e8) 

	* WindowsServiceCore: use session 0 for console

2020-10-13 21:49:03 +0200 Tobias Junghans (a8b19ab86) 

	* FileTransfer: add configuration page

2020-10-13 21:46:36 +0200 Tobias Junghans (f44f2854a) 

	* FileTransferPlugin: remember name of opened file

2020-10-13 14:29:16 +0200 Tobias Junghans (6d023e28d) 

	* CI: update build image for 4.5 branch

2020-10-12 16:17:43 +0200 Tobias Junghans (9a7bac85d) 

	* 3rdparty: ultravnc: submodule update

2020-10-11 14:30:23 +0200 Tobias Junghans (79fdc4726) 

	* Core: cache session ID

2020-10-09 16:47:44 +0200 Tobias Junghans (90cd1082a) 

	* Platform: refactor session ID management

2020-10-09 16:44:57 +0200 Tobias Junghans (1a9a54a73) 

	* VeyonConfiguration: add MaximumSessionCount property

2020-10-09 16:44:19 +0200 Tobias Junghans (777ddbf62) 

	* MonitoringMode: use VeyonCore::sessionId()

2020-10-09 16:43:35 +0200 Tobias Junghans (e01e07151) 

	* FeatureWorkerManager: don't start worker without user

2020-10-09 10:20:10 +0200 Tobias Junghans (d279a76d8) 

	* CI: install dpkg-dev for Ubuntu 20.04 builds

2020-06-19 08:16:44 +0200 Tobias Junghans (80c2f75f1) 

	* CI: fix Ubuntu Focal installation

2020-10-08 14:31:43 +0200 Tobias Junghans (cfe0940c6) 

	* LockWidget: fix desktop grabbing

2020-10-08 13:21:35 +0200 Tobias Junghans (3505290c2) 

	* ComputerControlInterface: add hasValidFramebuffer()

2020-10-08 13:20:41 +0200 Tobias Junghans (f52aaba32) 

	* VncConnection: improve function name

2020-10-08 13:08:46 +0200 Tobias Junghans (2cc6099e5) 

	* CMake, NSIS: add Qt JPEG image format plugin

2020-10-06 11:39:46 +0200 Tobias Junghans (f0e6efcea) 

	* FlexibleListView: add support for dynamic tooltips

2020-10-05 20:46:31 +0200 Tobias Junghans (9b05bca79) 

	* LinuxPlatformPlugin: ignore SIGPIPE

2020-09-24 12:35:43 +0300 Peter Gagarinov (aa7271345) 

	* Use https protocol instead of git for YoctoProject/libfakekey
          submodule

2020-09-29 14:16:26 +0200 Tobias Junghans (94e90b905) 

	* VeyonConnection: immediately close connection on invalid auth
          method

2020-09-29 14:15:48 +0200 Tobias Junghans (d95d6e8d6) 

	* VeyonConnection: delete after attached connection is destroyed

2020-09-29 14:13:50 +0200 Tobias Junghans (890c466e4) 

	* Core: clean up AuthenticationProxy support

2020-09-23 20:45:23 +0200 Tobias Junghans (9ceb39bd4) 

	* Update translations

2020-10-05 13:50:34 +0200 Tobias Junghans (4d993cae8) 

	* Core: Configuration: fix string literal warning

2020-09-09 09:43:03 +0200 Tobias Junghans (3a8458335) 

	* RemoteAccessWidget: hide toolbar on focus loss

2020-09-01 10:18:26 +0200 Tobias Junghans (6b67faa02) 

	* Prepare 4.4.2 release

2020-09-01 10:09:31 +0200 Tobias Junghans (0e9a5d21f) 

	* WindowsServiceControl: quote service binary path

2020-09-01 10:16:53 +0200 Tobias Junghans (32ae5fa73) 

	* Update translations

2020-08-19 11:38:42 +0200 Tobias Junghans (ea058c6c1) 

	* ComputerControlListModel: clean up lambda

2020-08-19 11:37:53 +0200 Tobias Junghans (024275870) 

	* Make FeatureUidList really a list of Feature::Uids

2020-08-13 15:35:46 +0200 Tobias Junghans (14424eeeb) 

	* AuthenticationProxy: use QMutexLocker

2020-08-12 16:13:35 +0200 Tobias Junghans (4993873c5) 

	* ComputerManager: treat DesktopGroups as Locations

2020-08-12 15:52:21 +0200 Tobias Junghans (98200ad31) 

	* AuthenticationProxy: don't wait if methods are available already

2020-08-12 15:51:18 +0200 Tobias Junghans (ee5405c0e) 

	* VeyonCore: move authenticationKeyName to AuthenticationCredentials

2020-08-12 13:57:48 +0200 Tobias Junghans (98432e9ab) 

	* ComputerControlInterface: integrate AuthenticationProxy

2020-08-12 13:57:31 +0200 Tobias Junghans (5dbaf01d1) 

	* VeyonConnection: use credentials provided by proxy

2020-08-12 13:57:13 +0200 Tobias Junghans (27e02f379) 

	* VeyonConnection: integrate AuthenticationProxy

2020-08-12 13:56:58 +0200 Tobias Junghans (1eb620118) 

	* Core: add AuthenticationProxy

2020-08-12 13:55:58 +0200 Tobias Junghans (45433e178) 

	* AuthenticationCredentials: add setPrivateKey()

2020-08-11 15:08:00 +0200 Tobias Junghans (724d510a7) 

	* AuthenticationCredentials: fix private key copy

2020-08-07 10:46:41 +0200 Tobias Junghans (d71173940) 

	* CI: checkout submodules recursively

2020-08-07 10:36:57 +0200 Tobias Junghans (ea83933e1) 

	* ComputerControlInterface: add session id to user info

2020-08-07 10:35:06 +0200 Tobias Junghans (ce89a5e04) 

	* ComputerControlInterface: unify user info setters

2020-08-07 10:29:57 +0200 Tobias Junghans (cc3a16af0) 

	* ScreenLock: add internal InputDevicesLock feature

2020-08-07 10:29:07 +0200 Tobias Junghans (65d8e68eb) 

	* Add qthttpserver submodule

2020-08-05 10:38:45 +0200 Tobias Junghans (e7bf4fe2c) 

	* Update translations

2020-07-10 09:45:59 +0200 Tobias Junghans (dfc3e36a8) 

	* Core: add version defines

2019-10-07 08:13:41 +0200 Tobias Junghans (deb41d7bf) 

	* Core: add EnumHelper

2020-05-29 14:04:52 +0200 Tobias Junghans (b0d806c0a) 

	* NetworkObjectDirectory: add replaceObjects()

2020-05-29 14:01:38 +0200 Tobias Junghans (21cf268fa) 

	* NetworkObject: add DesktopGroup type

2020-06-24 09:56:53 +0200 Tobias Junghans (d1a84b045) 

	* UserGroupsBackendManager: add getters

2020-05-29 13:59:04 +0200 Tobias Junghans (8ee05a372) 

	* NetworkObjectDirectoryManager: extend API

2020-07-09 10:00:39 +0200 Tobias Junghans (51ee5a92c) 

	* CI: update FC 31 package name

2020-07-09 09:01:24 +0200 Tobias Junghans (47d2a5b87) 

	* Prepare 4.4.1 release

2020-06-24 09:11:40 +0200 Tobias Junghans (9f08843fa) 

	* 3rdparty: kldap: update submodule URL

2020-07-08 14:58:40 +0200 Tobias Junghans (2345ca3ee) 

	* Update submodule URLs

2020-07-09 08:57:05 +0200 Tobias Junghans (43969cdd8) 

	* BuiltinDirectory: write simple newline

2020-07-09 08:55:35 +0200 Tobias Junghans (61e866ec9) 

	* BuiltinDirectory: update objects on import

2020-07-09 08:54:34 +0200 Tobias Junghans (dd9a6b0dd) 

	* ObjectManager: optionally add object on update

2020-07-09 08:58:55 +0200 Tobias Junghans (2cebf4b6f) 

	* 3rdparty: libvncserver: update submodule

2020-06-19 08:19:33 +0200 Tobias Junghans (13b2bbd2e) 

	* CI: update build container names

2020-06-19 07:46:25 +0200 Tobias Junghans (131fbfcef) 

	* CI: add Ubuntu Focal builds

2020-06-19 07:44:58 +0200 Tobias Junghans (a7e22d2dd) 

	* CI: add openSUSE 15.2 builds

2020-06-19 07:42:33 +0200 Tobias Junghans (e61f20c92) 

	* CI: bump to CentOS 7.8 (20.03)

2020-06-19 07:41:38 +0200 Tobias Junghans (94f8907ba) 

	* CI: add CentOS 8.2 builds

2020-07-08 13:39:11 +0200 Tobias Junghans (6172bf3ff) 

	* Update translations

2020-07-08 13:09:35 +0200 Tobias Junghans (fafb93160) 

	* PlatformServiceCore: clean up unused functions

2020-07-08 13:08:59 +0200 Tobias Junghans (83c9732af) 

	* LinuxServiceCore: don't override session ID

2020-07-07 18:00:34 +0200 Tobias Junghans (98d6f22fe) 

	* FeatureWorkerManager: revise API

2020-07-07 17:37:05 +0200 Tobias Junghans (b33226ee2) 

	* WindowsServiceCore: call checkInterceptionInstallation() from main
          thread

2020-07-07 09:26:23 +0200 Tobias Junghans (4ecb87a62) 

	* WindowsServiceCore: decrease ServerWaitTime

2020-07-07 09:24:40 +0200 Tobias Junghans (5932e0297) 

	* LdapNetworkObjectDirectory: handle host lookup errors

2020-07-07 09:23:46 +0200 Tobias Junghans (f62611307) 

	* VncProxyServer: handle connection accept errors

2020-06-24 10:34:17 +0200 Tobias Junghans (63e510512) 

	* Windows: make interception driver usage configurable

2020-06-17 14:45:25 +0200 Tobias Junghans (0cae0bbda) 

	* Demo: add multi session support

2020-06-18 08:51:14 +0200 Tobias Junghans (e95c550e3) 

	* WindowsServiceCore: run server without session ID in env

2020-06-17 09:40:37 +0200 Tobias Junghans (c3ed300a3) 

	* 3rdparty: libvncserver: update submodule

2020-06-17 09:38:47 +0200 Tobias Junghans (8558c8944) 

	* FeatureWorkerManagerConnection: retry connection

2020-06-17 09:37:17 +0200 Tobias Junghans (4f33c18f6) 

	* WindowsSessionFunctions: return DefaultSession for console session

2020-06-17 09:34:32 +0200 Tobias Junghans (b004032e3) 

	* WindowsCoreFunctions: run program without session ID in env

2020-06-17 09:33:08 +0200 Tobias Junghans (9063288ab) 

	* WtsSessionManager: log error code on query failure

2020-06-17 09:28:21 +0200 Tobias Junghans (cda103572) 

	* LinuxSessionFunctions: drop redundant MaxSessions

2020-06-17 09:24:04 +0200 Tobias Junghans (ba301caac) 

	* Configurator: ignore failures on removing own log files

2020-06-17 13:54:22 +0200 Tobias Junghans (5504a1cb4) 

	* LDAP: fix Windows build when Cotire is not used

2020-06-16 15:27:13 +0200 Tobias Junghans (cb3b579a3) 

	* Core: remove hasSessionId()

2020-06-16 15:26:00 +0200 Tobias Junghans (a14a3882a) 

	* Core: fall back to platform-reported session ID

2020-06-16 15:17:55 +0200 Tobias Junghans (174d232ac) 

	* BuiltinUltraVncServer: always allow multiple instances

2020-06-16 15:23:25 +0200 Tobias Junghans (2573eba26) 

	* LinuxPlatformPlugin: use non-deprecated overloads

2020-06-16 15:22:43 +0200 Tobias Junghans (0577e9d8a) 

	* LinuxServiceCore: use LinuxSessionFunctions

2020-06-16 15:22:05 +0200 Tobias Junghans (7479263d4) 

	* LinuxPlatformPlugin: add LinuxSessionFunctions

2020-06-16 15:20:56 +0200 Tobias Junghans (933c91a43) 

	* WindowsPlatformPlugin: add WindowsSessionFunctions

2020-06-16 15:20:25 +0200 Tobias Junghans (63a6d6a13) 

	* Core: add PlatformSessionFunctions

2020-06-10 11:39:35 +0200 Tobias Junghans (4a1e3830e) 

	* Prepare 4.4.0 release

2020-06-10 11:38:32 +0200 Tobias Junghans (b69cb08c9) 

	* CI: update build image for 4.4 branch

2020-06-10 11:36:29 +0200 Tobias Junghans (8eae08024) 

	* Update translations

2020-06-10 11:27:35 +0200 Tobias Junghans (7b11f1dd2) 

	* WindowsFilesystemFunctions: improve openFileSafely()

2020-06-10 11:23:15 +0200 Tobias Junghans (e4caeddc1) 

	* RemoteAccess: honor feature configuration

2020-06-10 10:44:03 +0200 Tobias Junghans (70bbb9301) 

	* Logger: limit message size

2020-06-10 09:32:34 +0200 Tobias Junghans (486c073cd) 

	* VncConnection: cache default server port

2020-06-10 09:30:19 +0200 Tobias Junghans (8e7d888bc) 

	* VncConnection: make timeouts and intervals configurable

2020-06-09 17:10:40 +0200 Tobias Junghans (b9ee44369) 

	* DesktopServices: start URL handler from worker

2020-06-09 18:02:46 +0200 Tobias Junghans (6242f6695) 

	* FileTransfer: refuse writing to symlinks

2020-06-09 18:02:28 +0200 Tobias Junghans (98b915621) 

	* BuiltinDirectory: refuse writing to symlinks

2020-06-09 18:02:11 +0200 Tobias Junghans (74e61827f) 

	* ComputerManager: refuse writing to symlinks

2020-06-09 18:01:49 +0200 Tobias Junghans (b24904a79) 

	* Screenshot: refuse writing to symlinks

2020-06-09 18:01:30 +0200 Tobias Junghans (1fa36128c) 

	* Logger: refuse writing to symlinks

2020-06-09 18:01:18 +0200 Tobias Junghans (e47888799) 

	* WindowsFilesystemFunctions: implement openFileSafely()

2020-06-09 18:00:00 +0200 Tobias Junghans (f6908a9cd) 

	* LinuxFilesystemFunctions: implement openFileSafely()

2020-06-09 17:59:26 +0200 Tobias Junghans (aefe194b0) 

	* PlatformFilesystemFunctions: add openFileSafely()

2020-06-09 13:31:57 +0200 Tobias Junghans (421bc7628) 

	* CMake: WindowsInstaller: add libvncclient DLL

2020-06-09 08:58:48 +0200 Tobias Junghans (2bf5c08b7) 

	* CI: bump to Fedora 31

2020-06-09 08:42:27 +0200 Tobias Junghans (30b4dd6d4) 

	* Screenshot: check for output file being writable

2020-06-09 08:40:57 +0200 Tobias Junghans (ebf2319c4) 

	* Logger: only open log file for log levels above 0

2020-06-02 14:46:19 +0200 Tobias Junghans (cd92e3ccd) 

	* Core: update compile flags for libvncclient

2020-05-29 14:43:00 +0200 Tobias Junghans (624d80c58) 

	* Travis: use Ubuntu 18.04 build environment

2020-05-29 14:14:19 +0200 Tobias Junghans (3384eef98) 

	* cmake: build executables with -fPIC

2020-05-27 15:02:30 +0200 Tobias Junghans (bc513a607) 

	* CMake: build position independent executables

2020-04-25 10:14:54 +0200 Tobias Junghans (bb1801bed) 

	* VncConnection: set read and connect timeouts

2020-05-29 13:58:31 +0200 Tobias Junghans (52f8cd7d5) 

	* PluginManager: make all getters const

2020-05-29 14:05:38 +0200 Tobias Junghans (38d1e22b6) 

	* GeneralConfigurationPage: reuse global instance

2020-06-09 13:04:23 +0200 Tobias Junghans (58441a25c) 

	* 3rdparty: libvncserver: update submodule

2020-06-09 13:30:01 +0200 Tobias Junghans (e9f49fe06) 

	* CMake: clean up include dir handling

2020-06-09 11:55:25 +0200 Tobias Junghans (79882e223) 

	* BuiltinUltraVncServer: build without libvncserver sources

2020-06-09 11:21:46 +0200 Tobias Junghans (87b988fee) 

	* CMake: improve and clean up library imports

2020-04-24 16:00:43 +0200 Tobias Junghans (5d4b105cd) 

	* Use external LibVNC libraries if possible

2020-04-24 15:58:53 +0200 Tobias Junghans (e9c63f9e1) 

	* Core: import d3des implementation

2020-04-24 15:57:59 +0200 Tobias Junghans (321adbe10) 

	* CMake: add FindLibVNCClient/FindLibVNCServer

2020-04-22 15:55:36 +0200 Tobias Junghans (b1bb2275f) 

	* Prepare 4.3.5 release

2020-04-22 15:54:54 +0200 Tobias Junghans (a7161e82a) 

	* Update translations

2020-04-22 15:38:21 +0200 Tobias Junghans (5d9a38258) 

	* 3rdparty: ultravnc: update submodule

2020-04-22 14:33:44 +0200 Tobias Junghans (cfb74c657) 

	* MasterConfigurationPage: limit update interval to 10s

2020-04-22 12:15:08 +0200 Tobias Junghans (a7abe8964) 

	* 3rdparty: libvncserver: update submodule

2020-04-22 12:14:42 +0200 Tobias Junghans (d213bb22a) 

	* Core: use default visibility for libvncclient sources

2020-04-22 12:09:31 +0200 Tobias Junghans (d78b4dd09) 

	* WindowsFilesystemFunctions: pass folderId by value

2020-04-22 12:08:50 +0200 Tobias Junghans (891004aeb) 

	* Windows: add missing Q_OBJECT macros

2020-04-20 09:03:54 +0200 Tobias Junghans (4b4c55801) 

	* CMake: fix hex value for QT_DISABLE_DEPRECATED_BEFORE

2020-04-17 18:21:25 +0200 Tobias Junghans (0717aa09c) 

	* LdapClient: optionally enable LDAP library debug messages

2020-04-22 10:51:14 +0200 Tobias Junghans (af8410a6a) 

	* 3rdparty: kldap: update submodule

2020-04-17 13:29:27 +0200 Tobias Junghans (a58ed5b6e) 

	* Fix compilation with Qt 5.14

2020-04-17 12:28:28 +0200 Tobias Junghans (5f05aee5b) 

	* Build with QT_NO_KEYWORDS

2020-03-13 15:10:31 +0100 Tobias Junghans (8d3d686fa) 

	* Prepare 4.3.4 release

2020-03-13 14:24:10 +0100 Tobias Junghans (2c03fe27f) 

	* HostAddress: add lookupIpAddresses()

2020-03-13 12:07:56 +0100 Tobias Junghans (c45baf679) 

	* PlatformCoreFunctions: add stayOnTop flag to raiseWindow()

2020-03-13 11:56:53 +0100 Tobias Junghans (78e44d46b) 

	* Revert "PlatformCoreFunctions: drop raiseWindow()"

2020-03-13 11:56:34 +0100 Tobias Junghans (dc3e8d199) 

	* Revert "VeyonCore: add raiseWindow()"

2020-03-13 09:51:09 +0100 Tobias Junghans (d6659ebb1) 

	* Plugin: use QVector for PluginUidList

2020-03-13 09:50:56 +0100 Tobias Junghans (717e2925e) 

	* NetworkObject: use QVector for NetworkObjectList

2020-03-13 09:50:44 +0100 Tobias Junghans (dd68e1d43) 

	* NetworkObject: pass Uid by value

2020-03-11 08:56:10 +0100 Tobias Junghans (6ed3f24a8) 

	* Travis: update libseccomp2 download URL

2020-03-11 08:53:54 +0100 Tobias Junghans (b62e73a02) 

	* GeneralConfigurationPage: properly handle prefixed translation
          filenames

2020-03-11 08:51:43 +0100 Tobias Junghans (83cd6270a) 

	* translations: add filename prefix

2020-03-11 11:13:47 +0100 Tobias Junghans (74e8e0983) 

	* VeyonCore: integrate TranslationLoader

2020-03-10 14:21:02 +0100 Tobias Junghans (60de4eac5) 

	* Core: add TranslationLoader

2020-03-10 13:29:38 +0100 Tobias Junghans (29b67e91c) 

	* cmake: rename BuildApplication to BuildVeyonApplication

2020-03-10 13:27:20 +0100 Tobias Junghans (4d3cd8471) 

	* cmake: rename BuildPlugin to BuildVeyonPlugin

2020-03-10 10:02:41 +0100 Tobias Junghans (d4b09abd4) 

	* 3rdparty: libvncserver: update submodule

2020-03-10 10:02:29 +0100 Tobias Junghans (18441a31b) 

	* VeyonCore: drop QSL macro

2020-03-09 08:30:07 +0100 Tobias Junghans (6ace7f331) 

	* PlatformCoreFunctions: drop raiseWindow()

2020-03-08 13:36:11 +0100 Tobias Junghans (e1429a9d2) 

	* VeyonCore: add raiseWindow()

2020-02-20 08:50:19 +0100 Tobias Junghans (7e9eac891) 

	* Always use QT_VERSION_CHECK

2020-02-10 09:37:32 +0100 Tobias Junghans (9c9a9df00) 

	* CI: fix binary package names

2020-02-10 09:36:30 +0100 Tobias Junghans (3d06b8333) 

	* ComputerControlServer: show connections in tooltip

2020-02-10 09:33:38 +0100 Tobias Junghans (17c702ea5) 

	* VncProxyServer: add connectionClosed() signal

2020-02-10 09:33:24 +0100 Tobias Junghans (292f68176) 

	* VncProxyConnection: make socket getters const

2020-02-10 09:33:11 +0100 Tobias Junghans (584b30d26) 

	* VncProxyConnection: modernize map initialization

2020-02-06 09:14:27 +0100 Tobias Junghans (4f35324cf) 

	* Prepare 4.3.3 release

2020-02-06 08:49:22 +0100 Tobias Junghans (143923515) 

	* cmake: WindowsInstaller: add all Veyon executables

2020-02-06 08:47:47 +0100 Tobias Junghans (3d7a871a6) 

	* cmake: WindowsInstaller: fix duplicate vnchooks.dll

2020-02-06 08:39:08 +0100 Tobias Junghans (d29f08bca) 

	* 3rdparty: x11vnc: update submodule

2020-02-06 08:37:08 +0100 Tobias Junghans (b586c11d1) 

	* BuiltinUltraVncServer: adopt DPI awareness code

2020-02-06 08:37:01 +0100 Tobias Junghans (4be1f302a) 

	* 3rdparty: ultravnc: update submodule

2020-02-06 08:35:54 +0100 Tobias Junghans (3889ec617) 

	* 3rdparty: ddengine: update to 1.2.3.0 RC

2020-02-05 16:05:10 +0100 Tobias Junghans (7431ea23b) 

	* CI: fix wildcard pattern for windows binaries

2020-01-30 15:41:51 +0100 Tobias Junghans (f5e7e2076) 

	* CI: bump to CentOS 7.7 (19.08)

2020-01-29 10:35:33 +0100 Tobias Junghans (1eb2c26a1) 

	* CI: bump to Fedora 30

2020-01-29 10:25:10 +0100 Tobias Junghans (8f73c396c) 

	* CI: drop openSUSE 15.0 builds

2020-02-05 15:27:10 +0100 Tobias Junghans (8875191b7) 

	* AuthKeys: overwrite files when exporting via GUI

2020-02-05 15:25:58 +0100 Tobias Junghans (3a4d11f28) 

	* 3rdparty: libvncserver: update submodule

2020-02-05 15:04:47 +0100 Tobias Junghans (8496e93e5) 

	* CI: build windows binaries only

2020-02-05 11:49:08 +0100 Tobias Junghans (7dca5a1f7) 

	* Refactor Windows installer generation

2020-02-03 10:38:33 +0100 Tobias Junghans (f175d5715) 

	* Update translations

2020-01-31 17:12:10 +0100 Tobias Junghans (e43038d5a) 

	* Linux: various code modernizations

2020-01-29 15:04:55 +0100 Tobias Junghans (eedf24a6b) 

	* WtsSessionManager: cast sessionCount to param type

2020-01-29 15:04:41 +0100 Tobias Junghans (17220da26) 

	* WindowsServiceCore: use default initialization

2020-01-29 15:04:20 +0100 Tobias Junghans (68bb2d246) 

	* WindowsServiceCore: replace assert with log msg

2020-01-29 15:03:47 +0100 Tobias Junghans (c5801eebc) 

	* WindowsServiceControl: use default initialization

2020-01-29 15:03:13 +0100 Tobias Junghans (818666d5b) 

	* WindowsServiceControl: add misc constants

2020-01-29 15:02:38 +0100 Tobias Junghans (b91867978) 

	* WindowsNetworkFunctions: add constant for FW error

2020-01-29 15:02:10 +0100 Tobias Junghans (a46db6dc5) 

	* WindowsKeyboardShortcutTrapper: use default initializations

2020-01-29 15:01:53 +0100 Tobias Junghans (eac631f27) 

	* WindowsFilesystemFunctions: modernize code

2020-01-29 15:01:34 +0100 Tobias Junghans (a05e81aff) 

	* WindowsInputDeviceFunctions: use default initializations

2020-01-29 15:01:15 +0100 Tobias Junghans (1ba4d7a43) 

	* WindowsPlatformConfigurationPage: minor cleanups

2020-01-29 15:00:46 +0100 Tobias Junghans (456e56350) 

	* WindowsPlatformPlugin: use default initializations

2020-01-29 14:59:59 +0100 Tobias Junghans (dba99f3e4) 

	* WindowsCoreFunctions: add log messages

2020-01-29 14:59:08 +0100 Tobias Junghans (15d71a89b) 

	* Windows: use std::array instead of C arrays

2020-01-29 14:56:38 +0100 Tobias Junghans (2a3243a62) 

	* WindowsCoreFunctions: limit extra env to 1 MB

2020-01-29 14:55:28 +0100 Tobias Junghans (1eac6c582) 

	* WindowsCoreFunctions: use std::array for desktop name

2020-01-29 14:55:12 +0100 Tobias Junghans (e99b352af) 

	* WindowsCoreFunctions: various code modernizations

2020-01-29 14:54:02 +0100 Tobias Junghans (3a0ef5c79) 

	* WindowsCoreFunctions: modernize instance management

2020-01-29 14:52:06 +0100 Tobias Junghans (48d2037d7) 

	* WindowsCoreFunctions: refactor shutdown flags

2020-01-29 14:50:07 +0100 Tobias Junghans (fb99f434a) 

	* WindowsCoreFunctions: refactor screen saver settings management

2020-01-29 14:47:40 +0100 Tobias Junghans (844632c4b) 

	* Windows: XEventLog: minor code modernizations

2020-01-29 14:45:34 +0100 Tobias Junghans (6943bee1f) 

	* SasEventListener: use std::array

2020-01-29 14:42:24 +0100 Tobias Junghans (0a7b57b3a) 

	* PlatformServiceCore: add MaximumSessionCount

2020-01-29 14:42:11 +0100 Tobias Junghans (d322097f6) 

	* KeyboardShortcutTrapper: qualify signal arg type

2020-01-29 14:40:23 +0100 Tobias Junghans (c0678f980) 

	* PlatformServiceFunctions: add type for entry point

2020-01-27 13:04:59 +0100 Tobias Junghans (f8c4d0e2e) 

	* WindowsServiceControl: add network dependencies

2020-01-27 13:04:38 +0100 Tobias Junghans (cf389beaa) 

	* WindowsServiceControl: drop interactive flag

2020-01-27 09:46:44 +0100 Tobias Junghans (cde55bcb1) 

	* WindowsServiceCore: improve error logging

2020-01-27 09:46:25 +0100 Tobias Junghans (96598657d) 

	* WindowsServiceCore: eliminate anonymous value

2020-01-27 09:46:02 +0100 Tobias Junghans (0fff641c2) 

	* WindowsServiceCore: make dispatch table static

2020-01-27 09:45:08 +0100 Tobias Junghans (c14e040f6) 

	* WindowsServiceCore: do not share service process

2020-01-27 09:43:59 +0100 Tobias Junghans (6d504c403) 

	* WindowsServiceCore: omit interactive process flag

2020-01-22 14:01:29 +0100 Tobias Junghans (16ecb3747) 

	* CMake: add target for translations

2020-01-22 13:05:34 +0100 Tobias Junghans (a454ba966) 

	* Update translations

2020-01-22 13:02:21 +0100 Tobias Junghans (22d6642c1) 

	* Core: reuse code to find Qt's translations dir

2020-01-22 12:06:37 +0100 Tobias Junghans (25cee25d0) 

	* CMake: centralize translation file handling code

2020-01-22 10:32:56 +0100 Tobias Junghans (cbabf5045) 

	* LinuxServiceCore: shutdown x11vnc via SIGINT

2020-01-17 11:09:47 +0100 Tobias Junghans (9152b74bc) 

	* Prepare 4.3.2 release

2020-01-17 11:07:43 +0100 Tobias Junghans (d354d705c) 

	* Update copyright

2020-01-16 09:43:32 +0100 Tobias Junghans (5536d6e66) 

	* Master: update splash for 2020

2020-01-15 14:13:07 +0100 Tobias Junghans (4e92730ff) 

	* Windows: improve legal notice confirmation

2020-01-16 00:01:29 +1100 1JackBlack1 (4a47b0aa1) 

	* Allow remote log in when a logon message is displayed

2019-12-20 12:59:03 +0100 Tobias Junghans (26d2d0ebe) 

	* 3rdparty: ultravnc: update submodule

2020-01-15 09:19:11 +0100 Tobias Junghans (10e09dad4) 

	* LdapDirectory: always fall back to CN for computer display name
          attribute

2020-01-15 09:18:49 +0100 Tobias Junghans (697c47c7c) 

	* LdapConfigurationPage: fix coding style issues

2020-01-15 09:18:08 +0100 Tobias Junghans (591b650ab) 

	* LdapConfiguration: default to CN for location name attribute

2020-01-15 10:25:00 +0100 Tobias Junghans (facc7f942) 

	* Update translations

2020-01-15 10:19:09 +0100 Tobias Junghans (b515edf93) 

	* CI: update build image

2019-12-09 19:00:28 +0100 Tobias Junghans (33ba00d1b) 

	* Update translations

2019-12-09 18:56:40 +0100 Tobias Junghans (1f6cf8b7f) 

	* PowerControl: never skip safe feature execution

2019-12-09 18:57:19 +0100 Tobias Junghans (e18ab9acc) 

	* UserSessionControl: never skip safe feature execution

2019-11-26 09:53:57 +0100 Tobias Junghans (1876178a4) 

	* Prepare 4.3.1 release

2019-11-26 09:48:41 +0100 Tobias Junghans (2fbf5068d) 

	* 3rdparty: ultravnc: update submodule

2019-11-26 09:28:39 +0100 Tobias Junghans (75611d57a) 

	* LinuxCoreFunctions: fix invocation of sudo frontends

2019-11-25 18:27:50 +0100 Tobias Junghans (3d3cc219d) 

	* LockWidget: use QScreen::grabWindow()

2019-11-25 18:13:55 +0100 Tobias Junghans (78fdf692c) 

	* Update translations

2019-11-25 18:07:06 +0100 Tobias Junghans (2b46123ad) 

	* 3rdparty: x11vnc: update submodule

2019-11-25 18:06:59 +0100 Tobias Junghans (eab4a4d72) 

	* 3rdparty: ultravnc: update submodule

2019-11-25 18:06:50 +0100 Tobias Junghans (759a0422b) 

	* 3rdparty: libvncserver: update submodule

2019-11-25 18:06:38 +0100 Tobias Junghans (3ad035639) 

	* 3rdparty: kldap: update submodule

2019-11-25 18:06:01 +0100 Tobias Junghans (5d78a6911) 

	* 3rdparty: kitemmodels: update submodule

2019-11-25 18:00:47 +0100 Tobias Junghans (5768aed40) 

	* VncClientProtocol: limit message size to 64 MB

2019-09-18 10:37:46 +0200 Tobias Junghans (109091083) 

	* VeyonCore: require component for instantiation

2019-09-18 10:37:08 +0200 Tobias Junghans (52e92b637) 

	* VeyonCore: add Component enum

2019-10-22 08:40:57 +0200 Tobias Junghans (be49e9836) 

	* cmake: CPackDefinitions: update description

2019-10-21 21:37:16 +0200 Tobias Junghans (9d73c10c9) 

	* README.md: update general info section

2019-10-21 13:59:51 +0200 Tobias Junghans (d5f9f3af5) 

	* VncView: avoid blank cursor

2019-10-21 13:59:27 +0200 Tobias Junghans (84b21d64b) 

	* 3rdparty: kldap: update submodule

2019-10-21 13:59:16 +0200 Tobias Junghans (336c51338) 

	* 3rdparty: kitemmodels: update submodule

2019-10-21 13:58:40 +0200 Tobias Junghans (a029fcd6e) 

	* DocumentationFigureCreator: add createUserLoginDialogFigure()

2019-10-21 11:28:48 +0200 Tobias Junghans (55d8b40d4) 

	* CMake: disable Cotire for debug builds

2019-10-14 14:40:40 +0200 Tobias Junghans (af52c1879) 

	* WindowsServiceControl: improve error logging

2019-10-14 14:38:17 +0200 Tobias Junghans (ec7e68ac6) 

	* WindowsInputDeviceFunctions: also terminate tabtip

2019-10-14 14:38:01 +0200 Tobias Junghans (fd8ebafc7) 

	* WindowsInputDeviceFunctions: use terminateProcess()

2019-10-14 14:37:25 +0200 Tobias Junghans (317c2fabd) 

	* WindowsCoreFunctions: add terminateProcess()

2019-10-11 15:38:32 +0200 Tobias Junghans (9fb3cf2b6) 

	* Prepare 4.3.0 release

2019-10-11 15:38:13 +0200 Tobias Junghans (82b2852e6) 

	* CMake: disable LTO with GCC < 6.0

2019-10-11 15:09:44 +0200 Tobias Junghans (ca672ecea) 

	* 3rdparty: ultravnc: update submodule

2019-10-11 15:09:39 +0200 Tobias Junghans (ecc7e8a02) 

	* 3rdparty: kldap: update submodule

2019-10-11 15:09:32 +0200 Tobias Junghans (cbc71252b) 

	* 3rdparty: kitemmodels: update submodule

2019-10-11 15:05:28 +0200 Tobias Junghans (043a426a5) 

	* Update translations

2019-10-11 14:55:39 +0200 Tobias Junghans (478b1df32) 

	* CI: enable LTO on Linux

2019-10-11 14:53:28 +0200 Tobias Junghans (011fca035) 

	* CMake: disable -fvisibility=hidden for GCC < 6.0

2019-10-11 15:03:40 +0200 Tobias Junghans (4564e092c) 

	* CI: install libfakekey-dev on Ubuntu Xenial

2019-10-11 09:28:45 +0200 Tobias Junghans (d5eff37a9) 

	* WindowsUserFunctions: stop on-screen keyboard

2019-10-11 09:27:37 +0200 Tobias Junghans (38392dffa) 

	* WindowsInputDeviceFunctions: add stopOnScreenKeyboard()

2019-10-11 09:27:21 +0200 Tobias Junghans (dbc96fb4d) 

	* WtsSessionManager: add findProcessId()

2019-10-11 09:26:23 +0200 Tobias Junghans (e0cc21b77) 

	* WtsSessionManager: rename to findUserProcessId()

2019-10-10 13:10:12 +0200 Tobias Junghans (0e4a2d32b) 

	* CI: install dpkg-dev on Debian

2019-10-09 19:39:43 +0200 Tobias Junghans (3b4d57237) 

	* CI: install libfakekey development package

2019-10-09 19:22:10 +0200 Tobias Junghans (540f9e53b) 

	* CMake: bump deprecated API level

2019-10-09 19:20:37 +0200 Tobias Junghans (6d5fdf7bc) 

	* ToolButton: use non-deprecated QFontMetrics API

2019-10-09 19:19:45 +0200 Tobias Junghans (0dfd94e3f) 

	* ProgressWidget: use non-deprecated QFontMetrics API

2019-10-09 19:19:10 +0200 Tobias Junghans (3802cc53e) 

	* CMake: hide non-exported symbols globally

2019-10-09 19:18:39 +0200 Tobias Junghans (21dbfde4a) 

	* 3rdparty: libvncserver: update submodule

2019-10-09 19:18:34 +0200 Tobias Junghans (ec3aa2041) 

	* LDAP: make KLDAP_EXPORT macro functional

2019-10-09 16:20:08 +0200 Tobias Junghans (4d6cebd66) 

	* LDAP: Common: properly export library symbols

2019-10-09 15:52:08 +0200 Tobias Junghans (a2abb9d93) 

	* LinuxUserFunctions: fix coding style

2019-10-09 15:46:36 +0200 Tobias Junghans (fbeca8fab) 

	* LinuxUserFunctions: implement performLogon()

2019-10-09 15:44:20 +0200 Tobias Junghans (c6ba59aa1) 

	* Linux: add LinuxKeyboardInput

2019-10-09 15:08:12 +0200 Tobias Junghans (af7230958) 

	* Linux: link or build libfakekey

2019-10-09 15:05:15 +0200 Tobias Junghans (646919130) 

	* 3rdparty: libfakekey: import submodule

2019-10-07 08:22:14 +0200 Tobias Junghans (9ca817145) 

	* ServiceDataManager: use QProcessEnvironment

2019-10-07 08:13:17 +0200 Tobias Junghans (6c5a5202f) 

	* WindowsUserFunctions: fix code indentation

2019-10-07 07:54:04 +0200 Tobias Junghans (074f4ef94) 

	* PlatformUserFunctions: split logon()

2019-10-07 07:43:48 +0200 Tobias Junghans (30c4d033e) 

	* Linux: integrate LogonHelper

2019-10-07 07:43:30 +0200 Tobias Junghans (4c98181bf) 

	* Windows: integrate LogonHelper

2019-10-07 07:40:42 +0200 Tobias Junghans (2263a132a) 

	* Platform: add LogonHelper

2019-10-05 16:27:45 +0200 Tobias Junghans (784a72385) 

	* Platform: add PersistentLogonCredentials

2019-10-05 11:04:39 +0200 Tobias Junghans (8355aef01) 

	* LinuxServiceCore: integrate ServiceDataManager

2019-10-05 10:59:54 +0200 Tobias Junghans (214c7ac03) 

	* LinuxCoreFunctions: add restartDisplayManagers()

2019-10-05 10:59:21 +0200 Tobias Junghans (159e19260) 

	* LinuxServiceFunctions: move systemctl() to LinuxCoreFunctions

2019-10-05 10:56:58 +0200 Tobias Junghans (48e6af9bf) 

	* ServiceDataManager: prepare for common use

2019-10-07 07:50:34 +0200 Tobias Junghans (57a51ed86) 

	* Platform: move token methods to ServiceDataManager

2019-10-04 13:26:14 +0200 Tobias Junghans (88b265a3c) 

	* Update translations

2019-09-16 10:56:58 +0200 Tobias Junghans (77504cd7b) 

	* 3rdparty: ultravnc: update submodule

2019-09-16 10:56:52 +0200 Tobias Junghans (983adbab0) 

	* 3rdparty: kldap: update submodule

2019-09-16 09:16:55 +0200 Tobias Junghans (477764e90) 

	* cmake: drop extra newline in description

2019-09-13 16:34:36 +0200 Tobias Junghans (fe87eb822) 

	* Core: VncView: fix keycode for Windows key

2019-09-13 16:07:52 +0200 Tobias Junghans (fa8f015c5) 

	* WindowsCoreFunctions: set console CP + buffering

2019-09-13 16:05:00 +0200 Tobias Junghans (a3d763545) 

	* CommandLineIO: buffer and flush outputs

2019-09-13 14:28:32 +0200 Tobias Junghans (ddf73c21e) 

	* CLI: delete core instance right before app

2019-09-13 14:27:46 +0200 Tobias Junghans (66cb8070e) 

	* VeyonCore: fix member deletion order

2019-09-13 14:26:42 +0200 Tobias Junghans (554e81133) 

	* PluginManager: remember loaders and delete in dtor

2019-09-12 10:25:20 +0200 Tobias Junghans (b4261f710) 

	* Update translations

2019-09-12 10:03:47 +0200 Tobias Junghans (f91cc14f3) 

	* Start Veyon 4.3 branch

2019-09-12 09:57:15 +0200 Tobias Junghans (49187f99a) 

	* Platform: Linux: merge master

2019-09-12 09:55:20 +0200 Tobias Junghans (1ec0281ea) 

	* DesktopInputController: fix order of includes

2019-07-30 13:37:54 +0200 Tobias Junghans (dc1d8990a) 

	* CMake: define macros affecting PCH via ADD_DEFINITIONS

2019-07-30 10:39:37 +0200 Tobias Junghans (911fe2bf1) 

	* UltraVnc: prioritize RFB headers of libvncserver

2019-07-30 10:09:00 +0200 Tobias Junghans (1edc74ce2) 

	* UltraVnc: use target-specific include dirs

2019-07-29 16:18:39 +0200 Tobias Junghans (2e958c0e5) 

	* UltraVNC: distinguish compiler flags for C/C++

2019-09-12 09:42:44 +0200 Tobias Junghans (0218d879f) 

	* WindowsUserFunctions: add missing ctor declaration

2019-07-29 16:01:21 +0200 Tobias Junghans (37a9d202f) 

	* DemoServer: forward-declare VncClientProtocol

2019-07-24 13:40:40 +0200 Tobias Junghans (03f4fd65a) 

	* Use CryptoCore::SecureArray for passwords

2019-09-06 10:49:48 +0200 Tobias Junghans (e984a3b94) 

	* WindowsUserFunctions: implement logon via key input

2019-09-06 10:49:28 +0200 Tobias Junghans (ae4a9f510) 

	* WindowsUserFunctions: use anon config instance

2019-09-06 10:49:06 +0200 Tobias Junghans (288dd70e5) 

	* WindowsServiceCore: integrate ServiceDataManager

2019-09-06 10:48:35 +0200 Tobias Junghans (293cf5383) 

	* Platform: Windows: add ServiceDataManager

2019-09-06 10:36:09 +0200 Tobias Junghans (f06910f63) 

	* Platform: Windows: add DesktopInputController

2019-07-30 10:07:50 +0200 Tobias Junghans (01b3479d7) 

	* Platform: use target-specific include dirs

2019-09-06 10:35:46 +0200 Tobias Junghans (50d869fe6) 

	* WindowsPlatformConfiguration: add logon settings

2019-09-06 10:35:25 +0200 Tobias Junghans (d76bccf1f) 

	* Platform: Window: minor code modernizations

2019-09-06 10:30:22 +0200 Tobias Junghans (28b03e2e8) 

	* SasEventListener: modernize code

2019-09-06 10:50:06 +0200 Tobias Junghans (50d2c4b19) 

	* UserSessionControl: add plugin and login feature

2019-09-06 10:28:38 +0200 Tobias Junghans (f8a5604e0) 

	* PlatformUserFunctions: use Password type

2019-07-23 17:06:48 +0200 Tobias Junghans (bc4a9f503) 

	* PlatformUserFunctions: add retval for logon()

2019-09-06 09:56:05 +0200 Tobias Junghans (07a203d49) 

	* FeatureMessage: allow enum class-based arg index

2019-09-04 09:25:24 +0200 Tobias Junghans (3dd2951aa) 

	* Core: move user info query to MonitoringMode

2019-08-06 08:51:15 +0200 Tobias Junghans (ef34157cb) 

	* Config: add modes for listing config properties

2019-08-06 08:50:07 +0200 Tobias Junghans (74eeadea7) 

	* Config: improve string formatting of properties

2019-08-06 08:49:28 +0200 Tobias Junghans (1cb03a487) 

	* ConfigurationProxy: use object as parent for properties

2019-08-06 08:47:24 +0200 Tobias Junghans (46fe8f2a8) 

	* ConfigurationProperty: store as pointers in object

2019-07-25 08:31:19 +0200 Tobias Junghans (52e6cf938) 

	* Configuration: Property: store as const members

2019-07-25 08:30:27 +0200 Tobias Junghans (d77b5276e) 

	* Configuration: Property: make setter const

2019-07-25 08:29:29 +0200 Tobias Junghans (3b6862f78) 

	* Configuration: UiMapping: use Property throug const ref

2019-08-06 08:46:08 +0200 Tobias Junghans (407db360e) 

	* ConfigurationProperty: add Q_OBJECT macro

2019-08-05 11:08:11 +0200 Tobias Junghans (0d75aa87c) 

	* ConfigurationProperty: add getters

2019-07-25 08:42:01 +0200 Tobias Junghans (7f66e3cbf) 

	* CryptoCore, ConfigurationPassword: use SecureArray

2019-09-06 20:01:44 +0200 Tobias Junghans (e0897c8aa) 

	* WindowsCoreFunctions: use HWND_TOP in raiseWindow()

2019-09-02 09:36:39 +0200 Tobias Junghans (c42237d9c) 

	* 3rdparty: libvncserver: update submodule

2019-09-02 09:36:32 +0200 Tobias Junghans (5a7bb6f18) 

	* 3rdparty: kldap: update submodule

2019-09-02 09:31:52 +0200 Tobias Junghans (0f342398d) 

	* cmake: fix installation directory for data files

2019-08-13 17:12:54 +0200 Tobias Junghans (7bb25a171) 

	* Update translations

2019-08-08 07:31:56 +0200 Tobias Junghans (7bf224d87) 

	* ComputerControlListModel: fix config property for sort order

2019-08-01 10:10:42 +0200 Tobias Junghans (e84647f94) 

	* Prepare 4.2.4 release

2019-08-01 10:09:19 +0200 Tobias Junghans (ac44ef093) 

	* Update translations

2019-07-31 09:23:25 +0200 Tobias Junghans (ee58c1e3a) 

	* 3rdparty: libvncserver: update submodule

2019-07-30 10:02:17 +0200 Tobias Junghans (ea164d6b6) 

	* 3rdparty: libvncserver: update submodule

2019-07-29 15:49:49 +0200 Tobias Junghans (444edc3c7) 

	* 3rdparty: libvncserver: update submodule

2019-07-29 16:26:06 +0200 Tobias Junghans (ebf9394f9) 

	* 3rdparty: ultravnc: update submodule

2019-07-24 14:25:48 +0200 Tobias Junghans (1e81765f1) 

	* MainWindow: remove dead code

2019-07-24 14:56:03 +0200 Tobias Junghans (4fc894c5d) 

	* Config: determine default value through property

2019-07-24 14:54:51 +0200 Tobias Junghans (0b1d66681) 

	* ConfigurationProperty: add find()

2019-07-24 14:54:27 +0200 Tobias Junghans (e6513f76a) 

	* ConfigurationProperty: use object as parent

2019-07-24 13:42:53 +0200 Tobias Junghans (ea611aef4) 

	* Update translations

2019-07-24 13:39:19 +0200 Tobias Junghans (1d3632779) 

	* LinuxUserFunctions: make auth fail on timeout

2019-07-23 16:58:36 +0200 Tobias Junghans (e44667598) 

	* Replace QString() with {}

2019-07-23 16:38:08 +0200 Tobias Junghans (c0e7c8fc3) 

	* WindowsFilesystemFunctions: fix memory leak on failure

2019-07-23 16:37:53 +0200 Tobias Junghans (03dfd23b0) 

	* WindowsCoreFunctions: fix type cast issues

2019-07-23 16:36:25 +0200 Tobias Junghans (afdc6b285) 

	* WindowsCoreFunctions: return shared ptr in toWCharArray()

2019-07-23 14:48:05 +0200 Tobias Junghans (e464e4331) 

	* Update translations

2019-07-23 13:36:31 +0200 Tobias Junghans (229006332) 

	* FileTransfer: make files relative if in current dir

2019-07-23 10:50:11 +0200 Tobias Junghans (5e3b23740) 

	* DocumentationFigureCreator: add file transfer dialogs

2019-07-22 08:00:47 +0200 Tobias Junghans (54fd63544) 

	* 3rdparty: ddengine: update to 1.2.24

2019-07-22 08:00:24 +0200 Tobias Junghans (b3d368103) 

	* 3rdparty: kitemmodels: update submodule

2019-07-19 14:04:19 +0200 Tobias Junghans (ca7ad9536) 

	* Android: import package source files

2019-07-19 14:04:07 +0200 Tobias Junghans (0e3f308ff) 

	* CMake: add more libraries to ANDROID_EXTRA_LIBS

2019-07-19 11:31:30 +0200 Tobias Junghans (67a7c038e) 

	* LDAP: add missing dependencies

2019-07-19 11:28:34 +0200 Tobias Junghans (c5057bef2) 

	* CMake: package plugins via ANDROID_EXTRA_PLUGINS

2019-07-19 11:24:00 +0200 Tobias Junghans (5eaa7e999) 

	* cmake: AndroidDeployQt: pass ANDROID_EXTRA_PLUGINS

2019-07-19 11:22:28 +0200 Tobias Junghans (539d906c6) 

	* PluginManager: use plugins prefixed with libveyon

2019-07-19 11:21:54 +0200 Tobias Junghans (c7d37f03c) 

	* PluginManager: add plugin path to library path

2019-07-19 10:23:16 +0200 Tobias Junghans (06f2b4679) 

	* CI: add build scripts for Android

2019-07-19 10:23:03 +0200 Tobias Junghans (031ed578d) 

	* CMakeLists: add targets for APK creation

2019-07-19 10:22:53 +0200 Tobias Junghans (1609a84e9) 

	* CMakeLists: drop Android-specific compiler flags

2019-07-19 10:22:43 +0200 Tobias Junghans (f3dfd6618) 

	* CMakeLists: fix paths for Android

2019-07-19 10:22:30 +0200 Tobias Junghans (6e9dbc6de) 

	* cmake: AndroidToolchain: SDK/platform updates

2019-07-19 10:22:13 +0200 Tobias Junghans (78e5f62cf) 

	* cmake: add AndroidDeployQt

2019-07-19 10:21:41 +0200 Tobias Junghans (d1002f0ed) 

	* CMake: use BUILD_APPLICTION macro

2019-07-19 10:21:16 +0200 Tobias Junghans (fc0cbaa5d) 

	* cmake: add BuildApplication

2019-07-17 07:52:20 +0200 Tobias Junghans (2b127dffa) 

	* Core: drop additional compiler flags for libvncclient

2019-07-17 07:52:11 +0200 Tobias Junghans (1b8f5f44a) 

	* 3rdparty: libvncserver: update submodule

2019-07-16 15:30:29 +0200 Tobias Junghans (f1852f140) 

	* 3rdparty: kldap: update submodule

2019-07-16 15:29:33 +0200 Tobias Junghans (9538360ce) 

	* CMakeLists: find PAM for Linux auth-helper only

2019-07-16 15:27:29 +0200 Tobias Junghans (d839916c0) 

	* CMakeLists: don't treat Android as Linux

2019-07-16 15:27:07 +0200 Tobias Junghans (39c3d497d) 

	* PlatformServiceFunctions: add virtual default dtor

2019-07-16 15:26:47 +0200 Tobias Junghans (c880b9b22) 

	* PlatformServiceFunctions: make StartMode an enum class

2019-07-16 15:25:39 +0200 Tobias Junghans (fc1ec474d) 

	* LinuxServiceCore: use ProcessHelper::waitForProcess()

2019-07-16 15:25:16 +0200 Tobias Junghans (64cda7719) 

	* ProcessHelper: add waitForProcess()

2019-07-14 19:01:53 +0200 Tobias Junghans (caf831f3a) 

	* 3rdparty: ultravnc: update submodule

2019-07-11 08:38:31 +0200 Tobias Junghans (f066a734f) 

	* LdapClient: explicitely return empty containers

2019-07-11 08:36:46 +0200 Tobias Junghans (84b81c4ad) 

	* LdapClient: code style fixes

2019-07-11 08:34:47 +0200 Tobias Junghans (10dff3177) 

	* LdapClient: determine base DN on demand

2019-07-11 08:28:08 +0200 Tobias Junghans (19e3bf30a) 

	* LdapDirectory: do not cache invalid DNs

2019-07-11 08:26:20 +0200 Tobias Junghans (6f184118a) 

	* LdapClient: construct empty DN if base DN is empty

2019-07-10 14:25:18 +0200 Tobias Junghans (ce4fd0802) 

	* 3rdparty: kitemmodels: update submodule

2019-07-10 14:25:05 +0200 Tobias Junghans (dc46fe2a3) 

	* 3rdparty: x11vnc: update submodule

2019-07-10 14:24:56 +0200 Tobias Junghans (03f0eb0f4) 

	* 3rdparty: libvncserver: update submodule

2019-07-10 14:24:35 +0200 Tobias Junghans (62b73fd44) 

	* Update translations

2019-07-03 10:53:51 +0200 Tobias Junghans (a958e9f32) 

	* LdapDirectory: use location name attribute for computer groups

2019-07-02 17:12:50 +0200 Tobias Junghans (4b9041fcf) 

	* QtCompat: add missing include

2019-07-01 09:54:45 +0200 Tobias Junghans (915f443da) 

	* CI: add openSUSE 15.1 builds

2019-07-01 09:54:11 +0200 Tobias Junghans (5a9df53fc) 

	* CI: drop openSUSE 42.3 builds

2019-07-01 09:51:08 +0200 Tobias Junghans (77710e504) 

	* CI: bump to Fedora 29

2019-07-01 09:26:02 +0200 Tobias Junghans (cab68e583) 

	* Prepare 4.2.3 release

2019-07-01 09:25:41 +0200 Tobias Junghans (e8583e05e) 

	* HostAddress: fix Qt 5.5 compatibility

2019-07-01 09:06:05 +0200 Tobias Junghans (64757f8d9) 

	* CMakeLists: fix OS detection

2019-07-01 08:31:05 +0200 Tobias Junghans (93cba8d11) 

	* 3rdparty: libvncserver: update submodule

2019-07-01 08:29:41 +0200 Tobias Junghans (d898fbeb4) 

	* Update translations

2019-06-27 12:06:08 +0200 Tobias Junghans (58cbec813) 

	* ComputerControlServer: show FQDN in tray icon messages

2019-06-27 12:04:07 +0200 Tobias Junghans (6ea1b6d23) 

	* HostAddress: add tryConvert()

2019-06-27 11:51:49 +0200 Tobias Junghans (ed1c0c1fb) 

	* DesktopAccessDialog: use HostAddress for lookup

2019-06-27 11:51:27 +0200 Tobias Junghans (cd08ebd0d) 

	* AccessControlRulesTestDialog: use HostAddress

2019-06-27 11:48:19 +0200 Tobias Junghans (1524be2b1) 

	* ComputerControlServer: show FQDN in tooltip of system tray icon

2019-06-27 11:48:00 +0200 Tobias Junghans (692bf6c3f) 

	* AccessControlProvider: use HostAddress::isLocalHost()

2019-06-27 11:47:51 +0200 Tobias Junghans (7a22e13fb) 

	* HostAddress: add isLocalHost()

2019-06-27 11:33:18 +0200 Tobias Junghans (8c78e5ce6) 

	* NetworkObject: compare host addresses in the same format

2019-06-27 11:32:50 +0200 Tobias Junghans (a66503b3e) 

	* NetworkObject: fix value type comparison

2019-06-27 10:55:58 +0200 Tobias Junghans (c6d133537) 

	* AccessControlProvider: always use FQDNs for hosts

2019-06-27 10:55:04 +0200 Tobias Junghans (ed7dffc74) 

	* VeyonCore: log local FQDN via HostAddress

2019-06-27 10:54:52 +0200 Tobias Junghans (313bd73ff) 

	* LdapDirectory: use HostAddress in hostToLdapFormat()

2019-06-27 10:22:34 +0200 Tobias Junghans (8d35ea343) 

	* HostAddress: add initial implementation

2019-06-27 09:34:02 +0200 Tobias Junghans (a9855a0c0) 

	* LdapNetworkObjectDirectory: convert host address to LDAP format

2019-06-27 09:28:46 +0200 Tobias Junghans (db4c8e5bd) 

	* NetworkObjectDirectory: query objects by attribute

2019-06-27 09:27:53 +0200 Tobias Junghans (81c4b6600) 

	* NetworkObject: add isAttributeValueEqual()

2019-06-27 08:57:29 +0200 Tobias Junghans (4de757ada) 

	* NetworkObject: add attributeValue() method

2019-06-27 08:55:50 +0200 Tobias Junghans (3dfb6697c) 

	* NetworkObject: add Attribute enum class

2019-06-27 08:46:34 +0200 Tobias Junghans (9b2e0f331) 

	* 3rdparty: kldap: update submodule

2019-06-27 08:45:22 +0200 Tobias Junghans (22bc88e46) 

	* NetworkObject: make Type an enum class

2019-06-27 08:45:10 +0200 Tobias Junghans (96414bdaa) 

	* Update translations

2019-06-27 08:29:05 +0200 Tobias Junghans (5c38969d9) 

	* RfbVeyonAuth: prepare HostWhiteList for removal

2019-06-27 08:28:55 +0200 Tobias Junghans (e4a88ea54) 

	* ServerAccessControlManager: drop HostWhiteList auth support

2019-06-27 08:28:22 +0200 Tobias Junghans (46edffc0a) 

	* VeyonConnection: drop HostWhiteList auth support

2019-06-27 08:28:00 +0200 Tobias Junghans (d6ab95a8b) 

	* VncView: use token auth for demo mode

2019-06-27 08:27:20 +0200 Tobias Junghans (5ea47e160) 

	* ServerAuthenticationManager: drop host white list auth support

2019-06-27 08:26:47 +0200 Tobias Junghans (b75e0f580) 

	* ServerAccessControlManager: reject unknown auth type

2019-06-27 08:26:28 +0200 Tobias Junghans (63fecdefb) 

	* ComputerControlServer: drop unused declaration

2019-06-27 08:25:15 +0200 Tobias Junghans (ece18b385) 

	* VeyonConnection: use standard boolean values

2019-06-26 15:06:07 +0200 Tobias Junghans (2841a7876) 

	* ServiceConfigurationPage: improve description

2019-06-26 15:05:35 +0200 Tobias Junghans (414bad36d) 

	* ServerAuthenticationManager: simplify signal

2019-06-26 14:53:51 +0200 Tobias Junghans (74e6e18d4) 

	* ComputerControlServer: fix and improve messages

2019-06-26 14:53:25 +0200 Tobias Junghans (c4d34d944) 

	* ServerAccessControlManager: add finished() signal

2019-06-26 14:52:54 +0200 Tobias Junghans (bf018f57d) 

	* ServerAccessControlManager: use constexpr for enum

2019-06-26 14:37:53 +0200 Tobias Junghans (e8a83043e) 

	* VncServerClient: migrate to enum classes

2019-06-26 14:06:45 +0200 Tobias Junghans (5df20bafc) 

	* AccessControlProvider: add debug messages

2019-06-26 14:06:06 +0200 Tobias Junghans (456f39b4c) 

	* NetworkObjectDirectory: properly check for emptiness

2019-06-26 13:32:00 +0200 Tobias Junghans (b90d22cde) 

	* Update translations

2019-06-26 13:04:05 +0200 Tobias Junghans (be7f262ec) 

	* LdapNetworkObjectDirectory: skip invalid host objects

2019-06-26 13:03:55 +0200 Tobias Junghans (ea6196cbf) 

	* LdapDirectory: modernize code

2019-06-26 13:03:48 +0200 Tobias Junghans (f3847f01e) 

	* NetworkObjectDirectory: modernize code

2019-06-26 13:03:07 +0200 Tobias Junghans (3af2ca48e) 

	* LdapDirectory: add host address check

2019-06-26 12:24:33 +0200 Tobias Junghans (14c2d1e90) 

	* AccessControlProvider: perform reverse lookup

2019-06-26 12:23:45 +0200 Tobias Junghans (d5606b2cb) 

	* AccessControlProvider: also check local addresses

2019-06-24 14:11:37 +0200 Tobias Junghans (0b20f3740) 

	* Update translations

2019-06-24 13:53:25 +0200 Tobias Junghans (6c5e88369) 

	* CI: add Android build script

2019-06-21 15:03:18 +0200 Tobias Junghans (eec5087b7) 

	* Add Android build support

2019-06-21 13:34:21 +0200 Tobias Junghans (87c3e6189) 

	* Update gitignore

2019-06-19 16:52:05 +0200 Tobias Junghans (9f40954ae) 

	* Compare QString with QLatin1String for literals

2019-06-19 15:21:57 +0200 Tobias Junghans (645be0101) 

	* Config: allow setting string list properties

2019-06-19 15:20:33 +0200 Tobias Junghans (a9b5edba8) 

	* Config: use value type from variable

2019-06-19 14:36:08 +0200 Tobias Junghans (f5f40a441) 

	* Configurator: fix call recursion

2019-06-19 14:14:33 +0200 Tobias Junghans (85c93edec) 

	* Move internal testing functions to plugin

2019-06-19 14:14:14 +0200 Tobias Junghans (205cf8fba) 

	* Configurator: minor code style fixes

2019-06-19 14:06:21 +0200 Tobias Junghans (1a2ce8dc4) 

	* AccessControlProvider: make Access an enum class

2019-06-19 11:32:50 +0200 Tobias Junghans (7684aa1b7) 

	* 3rdparty: kitemmodels: update submodule

2019-06-19 11:32:43 +0200 Tobias Junghans (243d763cd) 

	* 3rdparty: kldap: update submodule

2019-06-19 11:31:42 +0200 Tobias Junghans (087d8ca47) 

	* 3rdparty: ultravnc: update submodule

2019-06-18 08:51:32 +0200 Tobias Junghans (53fc29b71) 

	* Update translations

2019-06-18 08:40:25 +0200 Tobias Junghans (f3d1111ac) 

	* VeyonAuthHelper: fix memory management

2019-05-24 12:15:33 +0200 Tobias Junghans (31e6744b0) 

	* Update translations

2019-05-24 09:20:46 +0200 Tobias Junghans (010fe41be) 

	* Plugin: add flag for licensing

2019-05-24 08:48:02 +0200 Tobias Junghans (163137d02) 

	* WtsSessionManager: drop unused SessionUpdateInterval

2019-05-24 08:45:40 +0200 Tobias Junghans (ee43b4fa7) 

	* WtsSessionManager: make SessionInfo an enum class

2019-05-24 08:41:15 +0200 Tobias Junghans (5e6add37f) 

	* WindowsServiceCore: always start server for console session

2019-05-24 08:40:33 +0200 Tobias Junghans (8ba02fa9f) 

	* WindowsCoreFunctions: omit session ID for console session

2019-05-24 08:24:14 +0200 Tobias Junghans (c6a64c7d7) 

	* WindowsServiceCore: use qDeleteAll()

2019-05-24 08:21:49 +0200 Tobias Junghans (4167ca79a) 

	* PlatformServiceCore: use constexpr for constants

2019-05-24 08:21:29 +0200 Tobias Junghans (e75468b30) 

	* VncConnection: simplify constexpr workaround

2019-05-24 08:09:27 +0200 Tobias Junghans (c5cbc17af) 

	* PlatformServiceCore: make multi session mode official

2019-05-23 19:56:05 +0200 Tobias Junghans (b4a1aa57b) 

	* WindowsServiceCore: fix multi session support

2019-05-23 19:55:42 +0200 Tobias Junghans (92641f32c) 

	* WindowsCoreFunctions: support extra environment vars

2019-05-23 19:54:00 +0200 Tobias Junghans (c222fdbdc) 

	* WindowsUserFunctions: use QString::clear()

2019-05-23 19:53:39 +0200 Tobias Junghans (644e4a81c) 

	* WindowsUserFunctions: query current session ID

2019-05-23 19:53:03 +0200 Tobias Junghans (9ac86a554) 

	* WindowsCoreFunctions: fall back to default desktop

2019-05-23 19:52:44 +0200 Tobias Junghans (8153f5d4e) 

	* WindowsCoreFunctions: enable SE_TCB_NAME privilege

2019-05-23 19:36:00 +0200 Tobias Junghans (19d490ac2) 

	* WindowsCoreFunctions: add sessionIdEnvironment()

2019-05-23 19:35:29 +0200 Tobias Junghans (02b5b193d) 

	* WindowsCoreFunctions: add appendToEnvironmentBlock()

2019-05-23 19:33:28 +0200 Tobias Junghans (b2b975b91) 

	* WindowsCoreFunctions: add more log messages

2019-05-23 19:31:23 +0200 Tobias Junghans (776f4ba89) 

	* WtsSessionManager: do not crash in EqualSid()

2019-05-23 19:31:06 +0200 Tobias Junghans (dd0d4dcef) 

	* WtsSessionManager: minor code modernizations

2019-05-23 19:30:36 +0200 Tobias Junghans (03c0ef11c) 

	* WtsSessionManager: drop unused SessionInfo entries

2019-05-23 19:29:47 +0200 Tobias Junghans (8b7cdca45) 

	* WtsSessionManager: add log messages

2019-05-23 19:29:10 +0200 Tobias Junghans (0589f11ee) 

	* WtsSessionManager: add currentSession()

2019-05-23 19:28:43 +0200 Tobias Junghans (ddcd9d136) 

	* WtsSessionManager: fix type for InvalidSession

2019-05-23 19:28:02 +0200 Tobias Junghans (8515246f9) 

	* WtsSessionManager: add ProcessId/InvalidProcess

2019-05-23 19:13:50 +0200 Tobias Junghans (03fddfae0) 

	* WindowsCoreFunctions: query thread desktop

2019-05-23 10:37:09 +0200 Tobias Junghans (fc9a555f0) 

	* VeyonCore: also log software version

2019-05-23 10:36:59 +0200 Tobias Junghans (4cd5d00ff) 

	* 3rdparty: ultravnc: update submodule

2019-05-22 12:37:07 +0200 Tobias Junghans (9abc2dd14) 

	* Prepare 4.2.2 release

2019-05-22 08:23:53 +0200 Tobias Junghans (e97b74440) 

	* CI: install bzip2 and drop dpkg flag

2019-05-22 07:59:29 +0200 Tobias Junghans (974d5793f) 

	* AccessControlRule: switch to enum classes

2019-05-22 07:48:23 +0200 Tobias Junghans (a1ebe0a3c) 

	* AccessControlRule: drop unused Count enum values

2019-05-22 07:43:39 +0200 Tobias Junghans (18bfd6257) 

	* AccessControlProvider: improve local computer access check

2019-05-21 19:08:42 +0200 Tobias Junghans (0a3277ad2) 

	* Add missing override declarations

2019-05-21 18:36:50 +0200 Tobias Junghans (a184dac1c) 

	* CI: unify dependencies of Debian-based systems

2019-05-21 16:07:08 +0200 Tobias Junghans (d8c4a766c) 

	* FeatureWorkerManager: retry starting workers

2019-05-21 16:06:31 +0200 Tobias Junghans (ecc714534) 

	* VeyonCore: add system information to log file

2019-05-21 16:05:21 +0200 Tobias Junghans (5207427af) 

	* WindowsCoreFunctions: check base process ID

2019-05-21 10:24:27 +0200 Tobias Junghans (0be70d1dc) 

	* BuiltinX11VncServer: specify IPv6 listen port

2019-05-21 09:30:57 +0200 Tobias Junghans (84f0af3a1) 

	* Update gitignore

2019-05-21 09:30:37 +0200 Tobias Junghans (f4a222608) 

	* Update translations

2019-05-21 08:51:53 +0200 Tobias Junghans (4e1706aa6) 

	* CI: update windows build script

2019-05-20 08:04:04 +0200 Tobias Junghans (5a3546fcc) 

	* VncConnection: use 32-bit-aligned framebuffer

2019-05-19 21:04:37 +0200 Tobias Junghans (0c307d6ca) 

	* Update translations

2019-05-17 18:21:35 +0200 Tobias Junghans (45f02b90d) 

	* PowerControlFeaturePlugin: hide close button

2019-05-17 17:50:19 +0200 Tobias Junghans (a42c97030) 

	* VeyonCore: set layout direction for graphical app instances only

2019-05-17 17:26:45 +0200 Tobias Junghans (11ac59325) 

	* WindowsServiceCore: optimize server instance management

2019-05-17 17:25:54 +0200 Tobias Junghans (5c3b6719b) 

	* RunProgramDialog: properly initialize input focus

2019-05-17 17:25:18 +0200 Tobias Junghans (444856a51) 

	* OpenWebsiteDialog: properly initialize input focus

2019-05-17 17:25:02 +0200 Tobias Junghans (e2420d96d) 

	* OpenWebsiteDialog: fix tabstop order

2019-05-17 14:47:49 +0200 Tobias Junghans (2ad0fac1e) 

	* Update translations

2019-05-17 14:44:12 +0200 Tobias Junghans (a8842a93c) 

	* LinuxServiceCore: improve server termination

2019-05-17 14:43:36 +0200 Tobias Junghans (5c89bcb8e) 

	* LinuxUserFunctions: report no user being logged on for display
          manager users

2019-05-17 14:42:02 +0200 Tobias Junghans (a8ad3ed9f) 

	* LinuxPlatformConfiguration: add displayManagerUsers

2019-05-17 14:39:12 +0200 Tobias Junghans (94ec6fbe5) 

	* LinuxServiceCore: use static constexpr for constants

2019-05-17 14:16:01 +0200 Tobias Junghans (a11a847e4) 

	* PlatformUserFunctions: only query if any user is logged on

2019-05-17 09:58:23 +0200 Tobias Junghans (993b5e0f3) 

	* AccessControlProvider: use modern object initialization

2019-05-17 09:56:17 +0200 Tobias Junghans (61c89ca24) 

	* AccessControlProvider: check for users being non-empty

2019-05-17 09:54:58 +0200 Tobias Junghans (4e6a9aeaf) 

	* ScreenshotManagementPanel: show without scrollbars

2019-05-16 08:23:10 +0200 Tobias Junghans (8c5ac98ec) 

	* 3rdparty: libvncserver: update submodule

2019-05-14 14:17:28 +0200 Tobias Junghans (5120a1af0) 

	* Reorganize CI files and scripts

2019-05-14 10:01:16 +0200 Tobias Junghans (c79760da4) 

	* Update translations

2019-05-08 10:49:15 +0200 Tobias Junghans (b2567f10c) 

	* Windows: fix wrong destructor declaration

2019-05-08 10:49:03 +0200 Tobias Junghans (3493c6b63) 

	* Windows: add missing headers

2019-05-08 10:08:00 +0200 Tobias Junghans (3d8c2017f) 

	* Mark more constructors explicit

2019-05-08 10:00:39 +0200 Tobias Junghans (67d815f4e) 

	* Use default destructors

2019-05-08 09:28:03 +0200 Tobias Junghans (3e6f2e727) 

	* Use 'using' instead of 'typedef'

2019-05-08 09:23:29 +0200 Tobias Junghans (96ba1e18b) 

	* FeatureProviderInterface: do not copy loop var

2019-05-08 09:23:21 +0200 Tobias Junghans (1212037d3) 

	* Screenshot: add missing header

2019-05-08 09:07:27 +0200 Tobias Junghans (e4ca32ac6) 

	* Mark single-arg constructors explicit

2019-05-08 09:06:28 +0200 Tobias Junghans (a2b423b63) 

	* AccessControlRule: init struct with default values

2019-05-08 08:40:22 +0200 Tobias Junghans (c50f9d552) 

	* Prepare 4.2.1 release

2019-05-08 08:37:43 +0200 Tobias Junghans (e0c550401) 

	* 3rdparty: kitemmodels: update submodule

2019-05-08 08:37:29 +0200 Tobias Junghans (bbbaf8fcf) 

	* 3rdparty: libvncserver: update submodule

2019-05-08 08:35:01 +0200 Tobias Junghans (6c6df6b3d) 

	* VeyonAuthHelper: create copy of service name

2019-05-06 13:31:46 +0200 Tobias Junghans (ef9976750) 

	* Update translations

2019-05-06 13:27:12 +0200 Tobias Junghans (bfcd642cc) 

	* LinuxUserFunctions: do not close write channel

2019-05-06 10:53:27 +0200 Tobias Junghans (dc8ef1c08) 

	* DocumentationFigureCreator: add metadata to example screenshot

2019-05-06 10:52:09 +0200 Tobias Junghans (4559f087a) 

	* Screenshot: use enum-based metadata fields

2019-05-03 11:12:00 +0200 Tobias Junghans (9373c325e) 

	* Master: create website and program menu figures

2019-05-02 16:38:15 +0200 Tobias Junghans (0b5886aab) 

	* Update translations

2019-05-02 16:30:07 +0200 Tobias Junghans (3731b42c8) 

	* Screenshot: support Qt < 5.11

2019-05-02 15:23:29 +0200 Tobias Junghans (c74c37a5c) 

	* Master: also exclude disabled subfeatures

2019-05-02 15:16:25 +0200 Tobias Junghans (4b4be3c16) 

	* Master: show error message for key file auth only

2019-05-02 15:10:10 +0200 Tobias Junghans (72a5e0357) 

	* WindowsUserFunctions: simplify variable types

2019-05-02 15:08:25 +0200 Tobias Junghans (f6b72605a) 

	* ScreenshotManagementPanel: allow keyboard navigation

2019-05-02 15:03:51 +0200 Tobias Junghans (f785a9fbb) 

	* ScreenshotManagementPanel: drop duplicate header

2019-05-02 15:02:23 +0200 Tobias Junghans (e2768f400) 

	* Screenshot: rewrite caption drawing

2019-05-02 10:56:55 +0200 Tobias Junghans (6ed8539fe) 

	* Screenshot: store properties in image metadata

2019-05-02 10:11:05 +0200 Tobias Junghans (38c8a7b46) 

	* Screenshot: use simplified username for filename

2019-04-30 16:56:26 +0200 Tobias Junghans (cf6443183) 

	* CMake: drop unused variable

2019-04-30 16:25:52 +0200 Tobias Junghans (d3b2f1eb5) 

	* ComputerSortFilterProxyModel: fetch correct role

2019-04-30 16:25:02 +0200 Tobias Junghans (ae05441d6) 

	* 3rdparty: kldap: update submodule

2019-04-30 09:47:55 +0200 Tobias Junghans (77f298428) 

	* Update translations

2019-04-30 09:34:44 +0200 Tobias Junghans (59bfcccd9) 

	* Add manifest files for Windows executables

2019-04-30 09:17:50 +0200 Tobias Junghans (adc772585) 

	* CMake: glob files to be configured

2019-04-30 04:45:45 +0200 Tobias Junghans (62646f8ed) 

	* Drop duplicate FileVersion values

2019-04-30 04:30:36 +0200 Tobias Junghans (8758f5568) 

	* WindowsCoreFunctions: fix SHELLEXECUTEINFO initialization

2019-04-26 16:17:30 +0200 Tobias Junghans (eac0d4c0e) 

	* Prepare 4.2.0 release

2019-04-26 16:17:11 +0200 Tobias Junghans (fa5b049e8) 

	* NSIS: remove styles directory when uninstalling

2019-04-26 16:16:13 +0200 Tobias Junghans (544a0727f) 

	* DesktopServices: initialize primary features list

2019-04-26 10:17:04 +0200 Tobias Junghans (c374b6d39) 

	* Core: prefix log messages with scope/class name

2019-04-26 10:16:47 +0200 Tobias Junghans (7b550e806) 

	* 3rdparty: kitemmodels: update submodule

2019-04-26 08:37:05 +0200 Tobias Junghans (8a8e83ec0) 

	* Update translations

2019-04-25 17:33:10 +0200 Tobias Junghans (9685809ec) 

	* RemoteAccess: clean up code

2019-04-25 17:32:23 +0200 Tobias Junghans (930a81ec3) 

	* PowerControl: make countdown dialog non-cancelable

2019-04-25 15:29:50 +0200 Tobias Junghans (d06200f8f) 

	* LdapConfigurationPage: improve computer containers filter test

2019-04-25 15:23:28 +0200 Tobias Junghans (51cb9ae6d) 

	* LdapConfigurationPage: improve attribute tests

2019-04-25 15:21:41 +0200 Tobias Junghans (842daf763) 

	* LdapConfigurationPage: disable computer containers filter if not
          applicable

2019-04-25 15:20:38 +0200 Tobias Junghans (c2f8ce625) 

	* LdapClient: return empty description if error string is empty

2019-04-25 14:52:46 +0200 Tobias Junghans (e74f93463) 

	* LdapBrowseModel: sort DNs and attributes

2019-04-25 14:13:11 +0200 Tobias Junghans (959ab8167) 

	* 3rdparty: ultravnc: update submodule

2019-04-25 14:03:33 +0200 Tobias Junghans (e74353459) 

	* VeyonCore: add logging macros and include funcinfo

2019-04-25 14:02:38 +0200 Tobias Junghans (60b50ee06) 

	* LDAP: KLdapIntegration: change logging category

2019-04-25 13:58:35 +0200 Tobias Junghans (e54c19abb) 

	* CommandLineIO: add warning()

2019-04-25 10:11:56 +0200 Tobias Junghans (971b0d71a) 

	* LdapDirectory: add computer search scope handling

2019-04-25 10:01:40 +0200 Tobias Junghans (43c5a7036) 

	* Update translations

2019-04-24 18:09:14 +0200 Tobias Junghans (9e4f89b53) 

	* LinuxPlatformConfigurationPage: fix groupbox title

2019-04-24 18:01:06 +0200 Tobias Junghans (1da66d204) 

	* WindowsPlatformConfigurationPage: improve UI

2019-04-24 17:47:12 +0200 Tobias Junghans (87ed57c12) 

	* VeyonConfiguration: drop obsolete auth mech setting

2019-04-24 17:39:42 +0200 Tobias Junghans (041ae07ba) 

	* Linux: add platform configuration page

2019-04-24 17:18:00 +0200 Tobias Junghans (6285189a4) 

	* Windows: add platform configuration page

2019-04-24 17:17:39 +0200 Tobias Junghans (119721853) 

	* LockWidget: disable system UI while active

2019-04-24 17:14:39 +0200 Tobias Junghans (1fd0a571a) 

	* PlatformCoreFunctions: add setSystemUiState()

2019-04-24 17:13:20 +0200 Tobias Junghans (72c4e2d72) 

	* WindowsUserFunctions: use platform-specific setting

2019-04-24 17:12:28 +0200 Tobias Junghans (8cdc9681c) 

	* WindowsCoreFunctions: do not set window pos twice

2019-04-24 17:11:57 +0200 Tobias Junghans (fcac68dae) 

	* VncConnection: add workaround for constexpr bug

2019-04-24 17:11:14 +0200 Tobias Junghans (f79134c9b) 

	* VncConnection: skip locking for FB update interval

2019-04-24 17:10:59 +0200 Tobias Junghans (087c566dd) 

	* Configuration: Password: fix header comment

2019-04-24 17:09:33 +0200 Tobias Junghans (04e59d35c) 

	* Move platform-specific setting to platform plugin

2019-04-24 17:07:02 +0200 Tobias Junghans (68e0e4264) 

	* Configuration: Proxy: include Property.h

2019-04-23 12:02:14 +0200 Tobias Junghans (3120cbeac) 

	* Update translations

2019-04-23 12:01:22 +0200 Tobias Junghans (6a1fd118a) 

	* 3rdparty: kldap: update submodule

2019-04-23 12:01:17 +0200 Tobias Junghans (708ed32a3) 

	* Core: drop obsolete header

2019-04-23 12:00:57 +0200 Tobias Junghans (d2cc81b57) 

	* Master: update figure generation of website dialog

2019-04-23 12:00:19 +0200 Tobias Junghans (cb19a276f) 

	* Demo: make thumbnail update slow down configurable

2019-04-23 11:57:49 +0200 Tobias Junghans (1064e939b) 

	* Demo: add debug messages for timing analysis

2019-04-23 11:52:59 +0200 Tobias Junghans (d41af1b29) 

	* Demo: cache configuration values + debug messages

2019-04-18 09:34:34 +0200 Tobias Junghans (d5bd8dccc) 

	* DesktopServicesFeaturePlugin: add support for user-defined objects

2019-04-17 17:43:33 +0200 Tobias Junghans (c911be1dc) 

	* DesktopServices: print warning on invalid URL

2019-04-17 13:21:26 +0200 Tobias Junghans (2ec8291bf) 

	* DesktopServices: add OpenWebsiteDialog

2019-04-17 13:21:07 +0200 Tobias Junghans (5806b5f1a) 

	* DesktopServices: advance and revise RunProgramDialog

2019-04-17 13:20:11 +0200 Tobias Junghans (19948c415) 

	* DesktopServices: make DesktopServiceObject::Type an enum class

2019-04-17 18:12:37 +0200 Tobias Junghans (5a9ef537a) 

	* Master: add and enable tooltips in subfeature menus

2019-04-17 17:42:39 +0200 Tobias Junghans (58d4b58a3) 

	* ObjectManager: pass object UID only to remove()

2019-04-17 17:42:13 +0200 Tobias Junghans (599422965) 

	* Master: set sub feature UID as object name for action

2019-04-17 17:42:03 +0200 Tobias Junghans (4dd78e8b9) 

	* Master: set object name for sub feature menu

2019-04-17 17:41:51 +0200 Tobias Junghans (af87bf910) 

	* Master: close toolbutton menu before removing

2019-04-17 17:41:09 +0200 Tobias Junghans (83634828c) 

	* Master: pass complete parent feature

2019-04-17 17:35:57 +0200 Tobias Junghans (4b45252b0) 

	* VeyonCore: centralize app execution and add signal

2019-04-17 17:35:22 +0200 Tobias Junghans (d2573e90a) 

	* Configurator: move document-edit resource to Core

2019-04-17 13:37:41 +0200 Tobias Junghans (ececec35f) 

	* VeyonMasterInterface: export interface

2019-04-17 13:19:18 +0200 Tobias Junghans (1dcee097c) 

	* VeyonMasterInterface: add reloadSubFeatures()

2019-04-17 13:18:38 +0200 Tobias Junghans (a28f0a0c2) 

	* MainWindow: allow populating subfeatures multiple times

2019-04-17 13:17:38 +0200 Tobias Junghans (8457b5668) 

	* VeyonMaster: initialize UserConfig first

2019-04-17 13:16:07 +0200 Tobias Junghans (9bc4defa4) 

	* Master: create VeyonMaster als child of VeyonCore

2019-04-17 13:15:31 +0200 Tobias Junghans (4be824c00) 

	* VeyonMasterInterface: inherit from QObject

2019-04-17 13:09:36 +0200 Tobias Junghans (971a930cd) 

	* Configuration: Proxy: init proxied object individually

2019-04-17 13:07:46 +0200 Tobias Junghans (b5123e3c4) 

	* Configuration: Proxy: add flushStore()

2019-04-17 08:27:09 +0200 Tobias Junghans (adbaa34ed) 

	* Update translations

2019-04-15 11:10:29 +0200 Tobias Junghans (820f0b035) 

	* UserSessionControl: use QtConcurrent for async op

2019-04-15 10:49:38 +0200 Tobias Junghans (6dfbc7cf0) 

	* FeatureWorkerManager: drop Q_INVOKABLE

2019-04-15 10:47:51 +0200 Tobias Junghans (5e19f83ef) 

	* FeatureWorkerManager: invoke method through functor

2019-04-15 10:47:30 +0200 Tobias Junghans (42c7733ae) 

	* FeatureWorkerManager: add missing argument for method invocation

2019-04-15 08:40:43 +0200 Tobias Junghans (dca51a5fe) 

	* VncConnection: drain event queue before waiting for messages

2019-04-15 08:39:29 +0200 Tobias Junghans (7091944fa) 

	* ComputerControlInterface: use common update interval

2019-04-15 08:39:12 +0200 Tobias Junghans (d22b80db1) 

	* ComputerControlInterface: emit stateChanged() last

2019-04-15 08:38:31 +0200 Tobias Junghans (51793c2c2) 

	* ComputerControlInterface: drop screen update flag

2019-04-15 08:34:11 +0200 Tobias Junghans (3ce70fcba) 

	* VncConnection: add FB update watchdog

2019-04-15 08:31:27 +0200 Tobias Junghans (ac71ea96b) 

	* Core: do not wake VNC connection loop for user/feature info events

2019-04-14 18:41:50 +0200 Tobias Junghans (0616de4cc) 

	* 3rdparty: x11vnc: update submodule

2019-04-14 18:41:28 +0200 Tobias Junghans (198a334f8) 

	* 3rdparty: ultravnc: update submodule

2019-04-12 19:32:42 +0200 Tobias Junghans (80aa99df6) 

	* Update translations

2019-04-12 19:31:47 +0200 Tobias Junghans (6f4e07591) 

	* DocumentationFigureCreator: fixes + new figures

2019-04-12 18:40:19 +0200 Tobias Junghans (002123e67) 

	* PowerControl: skip confirmation if no user is logged on

2019-04-12 18:40:03 +0200 Tobias Junghans (05a8c3e05) 

	* RemoteAccessWidget: set parent of QTimeLine

2019-04-12 18:39:30 +0200 Tobias Junghans (6636b6bd9) 

	* Screenshot: pass optional date and time

2019-04-12 17:02:18 +0200 Tobias Junghans (1940c0c9f) 

	* DemoFeaturePlugin: reduce updates while demo is running

2019-04-12 17:01:32 +0200 Tobias Junghans (4a422b4eb) 

	* ComputerControlInterface: allow enabling/disabling updates

2019-04-12 16:59:47 +0200 Tobias Junghans (9f7ca1d39) 

	* ComputerControlInterface: make weakPointer() private

2019-04-12 16:55:59 +0200 Tobias Junghans (b24411c8d) 

	* ComputerControlListModel: emit dataChanged() role-specific

2019-04-12 16:49:32 +0200 Tobias Junghans (9fa5aba4d) 

	* ComputerControlInterface: forward stateChanged signal

2019-04-12 16:48:00 +0200 Tobias Junghans (30aadaece) 

	* VncConnection: improve locking

2019-04-12 16:47:12 +0200 Tobias Junghans (be6d1f217) 

	* VncConnection: make framebufferUpdateInterval atomic

2019-04-12 16:46:42 +0200 Tobias Junghans (224a3270d) 

	* VncConnection: reset scaled screen after reconnect

2019-04-12 14:24:04 +0200 Tobias Junghans (e5f1e59d7) 

	* PowerDownTimeInputDialog: add missing QtCompat header

2019-04-12 14:23:17 +0200 Tobias Junghans (16b584a1e) 

	* Core, Master: replace compat macros with QVariantHelper

2019-04-12 14:22:34 +0200 Tobias Junghans (f83d63cb1) 

	* ComputerSortFilterProxyModel: use QVariantHelper

2019-04-12 14:19:49 +0200 Tobias Junghans (a29d756c4) 

	* DesktopAccessDialog: use QVariantHelper

2019-04-12 14:18:43 +0200 Tobias Junghans (48124254d) 

	* Configuration: Property: use QVariantHelper

2019-04-12 14:13:57 +0200 Tobias Junghans (5daf53ac5) 

	* QtCompat: add QVariantHelper

2019-04-12 12:29:45 +0200 Tobias Junghans (4d8f282ca) 

	* VncConnection: do not lock global mutex for events

2019-04-12 12:29:28 +0200 Tobias Junghans (f0082605b) 

	* VncConnection: move setters out of class + locking

2019-04-12 12:28:47 +0200 Tobias Junghans (c14d2b662) 

	* VncConnection: drop unused getters

2019-04-12 12:18:15 +0200 Tobias Junghans (90723d93d) 

	* ComputerControlInterface: use constexpr for constants

2019-04-12 12:17:04 +0200 Tobias Junghans (8dc91993d) 

	* VncConnection: use constexpr for constants

2019-04-12 12:16:29 +0200 Tobias Junghans (1fef0918e) 

	* VncConnection: make image lock non-mutable

2019-04-11 16:54:36 +0200 Tobias Junghans (cb6498939) 

	* PowerControl: add advanced power down options

2019-04-11 15:52:58 +0200 Tobias Junghans (02728fa20) 

	* PlatformCoreFunctions: support installing updates on power down

2019-04-11 15:52:29 +0200 Tobias Junghans (823ab5f4e) 

	* PlatformCoreFunctions: add virtual default dtor

2019-04-11 15:51:52 +0200 Tobias Junghans (c852fb32e) 

	* NSIS: remove old translations when upgrading

2019-04-11 10:49:55 +0200 Tobias Junghans (acea95cfe) 

	* WindowsCoreFunctions: improve SHELLEXECUTEINFO initialization

2019-04-11 10:49:37 +0200 Tobias Junghans (7d0b0e708) 

	* WindowsCoreFunctions: fix data types and casts

2019-04-11 10:49:19 +0200 Tobias Junghans (9c518b4d9) 

	* WindowsCoreFunctions: add missing headers

2019-04-05 15:08:08 +0200 Tobias Junghans (5046345f5) 

	* Prepare 4.1.92 release

2019-04-05 09:28:04 +0200 Tobias Junghans (1fd154e1c) 

	* Update translations

2019-04-04 11:53:19 +0200 Tobias Junghans (3a3bfdaa2) 

	* 3rdparty: kitemmodels: update submodule

2019-04-04 11:52:15 +0200 Tobias Junghans (1be31048a) 

	* 3rdparty: kldap: update submodule

2019-04-04 11:50:27 +0200 Tobias Junghans (ec05fda7f) 

	* DesktopAccessDialog: do not quit automatically

2019-04-04 11:50:03 +0200 Tobias Junghans (1ea5ef2df) 

	* VeyonCore: fall back to language name when loading translations

2019-04-04 11:49:50 +0200 Tobias Junghans (256e99dff) 

	* Transifex: update config

2019-04-04 09:56:38 +0200 Tobias Junghans (697aa9a5c) 

	* Update translations

2019-04-04 09:55:22 +0200 Tobias Junghans (5b62fceaa) 

	* DocumentationFigureCreator: refactor + new figures

2019-04-04 09:54:20 +0200 Tobias Junghans (c7d9dfd4d) 

	* CMake: rename DEBUG to VEYON_DEBUG

2019-04-04 09:52:36 +0200 Tobias Junghans (63ed70638) 

	* Screenshot: refactor filename construction

2019-04-04 09:50:49 +0200 Tobias Junghans (224a7d2a6) 

	* ScreenshotManagementPanel: split screenshot update

2019-04-04 09:50:08 +0200 Tobias Junghans (b13c5b236) 

	* VncServerProtocol: use auto keyword

2019-04-04 09:45:43 +0200 Tobias Junghans (d65cf4a3e) 

	* VncClientProtocol: more const/auto improvements

2019-04-04 09:45:15 +0200 Tobias Junghans (09ec8c48c) 

	* RemoteAccess: set button object name

2019-04-04 09:44:49 +0200 Tobias Junghans (5aa2ae4fb) 

	* RemoteAccess: set computer name used in title bar

2019-03-29 17:02:59 +0100 Tobias Junghans (ca812c317) 

	* Feature: use name for debug messages

2019-03-29 17:02:32 +0100 Tobias Junghans (e96d931ec) 

	* Update translations

2019-03-29 11:24:51 +0100 Tobias Junghans (4636e05c3) 

	* DocumentationFigureCreator: create dialog figures

2019-03-28 17:25:58 +0100 Tobias Junghans (a8ba1324e) 

	* DocumentationFigureCreator: create context menu figure

2019-03-28 17:25:45 +0100 Tobias Junghans (ca68f74c6) 

	* ComputerMonitoringWidget: fix function order

2019-03-28 09:19:43 +0100 Tobias Junghans (450678534) 

	* Master: add DocumentationFigureCreator

2019-03-28 09:00:35 +0100 Tobias Junghans (4143187ce) 

	* VeyonCore: reuse local variable

2019-03-28 08:19:47 +0100 Tobias Junghans (86d115f92) 

	* Feature: add name property

2019-03-26 13:17:32 +0100 Tobias Junghans (2cc89f323) 

	* 3rdparty: ultravnc: update submodule

2019-03-25 19:12:22 +0100 Tobias Junghans (11167227a) 

	* Update translations

2019-03-25 19:11:32 +0100 Tobias Junghans (3658f7409) 

	* PlatformUserFunctions: rename logout() to logoff()

2019-03-25 18:57:36 +0100 Tobias Junghans (825ecabfb) 

	* WindowsCoreFunctions: use InitiateShutdown

2019-03-25 18:56:25 +0100 Tobias Junghans (f6827bc78) 

	* WindowsCoreFunctions: add flag to shutdown reason

2019-03-21 14:33:47 +0100 Tobias Junghans (856c9c196) 

	* Update translations

2019-03-21 14:32:23 +0100 Tobias Junghans (0e759641c) 

	* Drop target for manually downloading translations

2019-03-21 14:32:05 +0100 Tobias Junghans (fdd0b3db5) 

	* Transifex: update config file

2019-03-21 14:26:53 +0100 Tobias Junghans (d21d97316) 

	* RemoteAccess: rename quit to exit

2019-03-21 14:26:31 +0100 Tobias Junghans (6607bb76c) 

	* Core: rename logout to logoff

2019-03-21 14:25:54 +0100 Tobias Junghans (5d3cd4212) 

	* 3rdparty: ultravnc: update submodule

2019-03-19 09:04:06 +0100 Tobias Junghans (9e88d7d19) 

	* Master: UserConfig: include QJsonArray header

2019-03-19 09:03:17 +0100 Tobias Junghans (1b952336c) 

	* Master: MainWindow: update button name and tooltip

2019-03-18 08:50:47 +0100 Tobias Junghans (43a0fc714) 

	* Master: adjust names of UI components

2019-03-17 17:55:36 +0100 Tobias Junghans (a7d7dd3de) 

	* 3rdparty: ultravnc: update submodule

2019-03-17 17:55:23 +0100 Tobias Junghans (a3a99e1bf) 

	* 3rdparty: kldap: update submodule

2019-03-17 17:55:17 +0100 Tobias Junghans (16c72c943) 

	* Update translations

2019-03-17 17:51:04 +0100 Tobias Junghans (52b966422) 

	* CI: fix whitespaces

2019-03-17 17:48:11 +0100 Tobias Junghans (c53eb9703) 

	* Drop more slot declarations

2019-03-15 11:28:39 +0100 Tobias Junghans (c128a7bee) 

	* Update translations

2019-03-14 19:57:24 +0100 Tobias Junghans (caab94b79) 

	* GeneralConfigurationPage: fix code indentation

2019-03-14 19:57:06 +0100 Tobias Junghans (040192fcc) 

	* GeneralConfigurationPage: add authentication test

2019-03-14 19:55:30 +0100 Tobias Junghans (0d1f23144) 

	* Core: refactor initialization of auth credentials

2019-03-14 19:51:39 +0100 Tobias Junghans (adb8d4340) 

	* Platform: Linux: use alternative PAM service name

2019-03-14 19:50:15 +0100 Tobias Junghans (6fe2cde5d) 

	* LDAP: rename user login to user login name

2019-03-10 12:24:06 +0100 Tobias Junghans (000e15f6f) 

	* Update translations

2019-03-10 12:22:19 +0100 Tobias Junghans (3ecaaccd7) 

	* 3rdparty: kitemmodels: update submodule

2019-03-10 12:21:43 +0100 Tobias Junghans (16bb68d57) 

	* 3rdparty: ultravnc: update submodule

2019-03-10 12:17:45 +0100 Tobias Junghans (5608c20bb) 

	* 3rdparty: kldap: update submodule

2019-03-10 12:17:10 +0100 Tobias Junghans (75d6cd99c) 

	* AuthKeysPlugin: reorder and improve help texts

2019-03-10 12:16:10 +0100 Tobias Junghans (e79ec06d0) 

	* Use consistent spelling for hostname and username

2019-03-08 14:11:48 +0100 Tobias Junghans (87c25db67) 

	* Update translations

2019-03-08 14:10:57 +0100 Tobias Junghans (7849efb4c) 

	* AuthKeysConfigurationPage: hide directories in standard view

2019-03-08 13:18:47 +0100 Tobias Junghans (c833a0299) 

	* AccessControlPage: improve mode description

2019-03-07 23:46:03 +0100 Tobias Junghans (8a76c6653) 

	* Update translations

2019-03-07 23:45:39 +0100 Tobias Junghans (e9fb303ee) 

	* AccessControlRuleEditDialog: fix grammar

2019-03-07 23:35:26 +0100 Tobias Junghans (026a66d7e) 

	* MasterConfigurationPage: shorten checkbox titles

2019-03-07 23:02:43 +0100 Tobias Junghans (ada11748f) 

	* Configuration: set app version after upgrade

2019-03-07 22:53:19 +0100 Tobias Junghans (2909e4b93) 

	* MasterConfiguration: rename dangerous to unsafe

2019-03-07 22:43:36 +0100 Tobias Junghans (d3c59bcec) 

	* LdapNetworkObjectDirectory: use const ref for DN

2019-03-07 22:43:20 +0100 Tobias Junghans (6182db017) 

	* LocationSelectionDialog: drop superfluous override

2019-03-07 22:42:57 +0100 Tobias Junghans (da7862b50) 

	* Configuration: make service autostart an advanced property

2019-03-07 22:42:25 +0100 Tobias Junghans (bb199df54) 

	* Logger: only log warnings and errors per default

2019-03-07 18:03:36 +0100 Tobias Junghans (0d0cb890a) 

	* Master: fix remaining occurrences of rooms

2019-03-07 18:02:42 +0100 Tobias Junghans (49f5d7f48) 

	* Computer: rename room property to location

2019-03-07 18:00:21 +0100 Tobias Junghans (fd6050367) 

	* AccessControl: further improve location handling

2019-03-07 10:51:47 +0100 Tobias Junghans (2e495ae87) 

	* MonitoringMode: improve description

2019-03-07 10:51:27 +0100 Tobias Junghans (9f3fc1e85) 

	* Feature: make constructor explicit

2019-03-07 10:50:21 +0100 Tobias Junghans (4db3017aa) 

	* Configuration: add upgrade()

2019-03-07 10:46:49 +0100 Tobias Junghans (075b6a7e6) 

	* Master: replace rooms with locations

2019-03-07 10:45:09 +0100 Tobias Junghans (8264731e0) 

	* Core, Config: add ApplicationVersion

2019-03-01 10:53:54 +0100 Tobias Junghans (7986b8d06) 

	* Travis: Win32/Win64: support multiple targets

2019-03-01 10:42:55 +0100 Tobias Junghans (ae4360526) 

	* Travis: build all specified targets

2019-03-01 10:23:00 +0100 Tobias Junghans (3fb2fda41) 

	* CI: initial import

2019-03-01 10:22:23 +0100 Tobias Junghans (92ab53c07) 

	* Travis: Win32/Win64: allow specifying build target

2019-03-01 08:00:50 +0100 Tobias Junghans (e8a80c2d1) 

	* Travis: Common: allow specifying build target

2019-02-27 09:52:24 +0100 Tobias Junghans (dc51e686b) 

	* Prepare 4.1.91 release

2019-02-27 09:35:53 +0100 Tobias Junghans (97e1511fd) 

	* VncServer: X11Vnc: fix Flawfinder issue

2019-02-27 09:35:39 +0100 Tobias Junghans (2f3e9a85f) 

	* Platform: Windows: fix Flawfinder issue

2019-02-27 09:35:21 +0100 Tobias Junghans (59967211a) 

	* VncConnection: use constexpr for constant

2019-02-27 09:27:26 +0100 Tobias Junghans (7160b812b) 

	* Travis: sort targets alphabetically

2019-02-27 09:27:03 +0100 Tobias Junghans (513d3d001) 

	* Travis: fix renaming of RPM packages

2019-02-27 08:48:11 +0100 Tobias Junghans (66a80d1f0) 

	* 3rdparty: kitemmodels: update submodule

2019-02-26 12:55:49 +0100 Tobias Junghans (749aa92ff) 

	* Update translations

2019-02-26 09:38:19 +0100 Tobias Junghans (c49a468bd) 

	* Configuration: Password: define default ctor

2019-02-26 09:35:50 +0100 Tobias Junghans (31215bf72) 

	* VeyonCore: make AuthenticationMethod an enum class

2019-02-26 09:31:56 +0100 Tobias Junghans (988d85599) 

	* Logger: make LogLevel an enum class

2019-02-26 09:27:22 +0100 Tobias Junghans (e76fcc163) 

	* Configuration: save enum class QVariant as int

2019-02-26 09:26:41 +0100 Tobias Junghans (65cb4ea65) 

	* Configuration: UiMapping: specialize for enum classes

2019-02-25 18:49:57 +0100 Tobias Junghans (c1cf36563) 

	* Configuration: UiMapping: refactor with properties

2019-02-25 18:47:39 +0100 Tobias Junghans (c5fb2821f) 

	* Configuration: Property: add non-const getter

2019-02-25 18:47:29 +0100 Tobias Junghans (2f22b3690) 

	* Configuration: Property: add lambdaContext()

2019-02-25 15:29:57 +0100 Tobias Junghans (6f82ff794) 

	* Configuration: replace most macro magic with templates

2019-02-25 11:17:38 +0100 Tobias Junghans (ae1989c4f) 

	* Platform: Windows: implement alternative auth mech

2019-02-25 11:17:18 +0100 Tobias Junghans (e6c5c09e3) 

	* Configurator: Service: add checkbox for
          AlternativeAuthenticationMechanism

2019-02-25 11:16:51 +0100 Tobias Junghans (8993ad5cd) 

	* VeyonConfiguration: add AlternativeAuthenticationMechanism

2019-02-25 11:16:11 +0100 Tobias Junghans (30fe5143d) 

	* PlatformUserFunctions: add default virtual dtor

2019-02-20 18:35:44 +0100 Tobias Junghans (a90187452) 

	* BuiltinDirectory: flag legacy config property

2019-02-20 18:35:24 +0100 Tobias Junghans (eeeca3deb) 

	* DesktopServices: fix config property flags

2019-02-20 18:32:40 +0100 Tobias Junghans (2fe966e17) 

	* LDAP: properly set directory address from DN

2019-02-20 18:00:53 +0100 Tobias Junghans (40dd9e052) 

	* Platform: Windows: remove unnecessary checks

2019-02-20 17:59:10 +0100 Tobias Junghans (2bcb5b085) 

	* Platform: Windows: fix datatype for message type

2019-02-20 17:55:26 +0100 Tobias Junghans (2b5639d87) 

	* Platform: Windows: fix retval eval for firewall configuration

2019-02-20 17:54:37 +0100 Tobias Junghans (e3c43d7b2) 

	* CMakeLists: always export compile commands

2019-02-20 13:54:21 +0100 Tobias Junghans (eb6113c26) 

	* LdapBrowseModel: delete root node in dtor

2019-02-20 13:53:44 +0100 Tobias Junghans (3b7e38650) 

	* VncClientProtocol: force alignment of buffer

2019-02-20 13:53:24 +0100 Tobias Junghans (4b95ff118) 

	* Core: delete BuiltinFeatures in dtor

2019-02-20 13:53:04 +0100 Tobias Junghans (e484bca70) 

	* Configuration: check for self-assignment in Object

2019-02-20 09:53:03 +0100 Tobias Junghans (b836cf6a1) 

	* CMakeLists: fix syntax for cmake_policy

2019-02-20 09:30:03 +0100 Tobias Junghans (aa67585cc) 

	* Configuration: refactor UiMapping + flags getter

2019-02-19 16:17:36 +0100 Tobias Junghans (b51d5f214) 

	* Configuration: fix MOC with enum class flags

2019-02-19 09:51:24 +0100 Tobias Junghans (96a83beb5) 

	* Translations: update from Transifex

2019-02-19 09:49:08 +0100 Tobias Junghans (8e10e2c9a) 

	* Translations: update source

2019-02-19 09:48:55 +0100 Tobias Junghans (055b6e617) 

	* LDAP: shorten test button tooltip

2019-02-19 09:46:23 +0100 Tobias Junghans (4a7498ff0) 

	* Configurator: reorder groupboxes

2019-02-19 09:43:46 +0100 Tobias Junghans (6df02f7df) 

	* Configurator: properly show/hide advanced pages

2019-02-19 09:31:54 +0100 Tobias Junghans (fd76e6de1) 

	* Configurator: honor Hidden property flag

2019-02-19 09:31:35 +0100 Tobias Junghans (422de9b21) 

	* Demo: add missing override declaration for dtor

2019-02-19 09:24:30 +0100 Tobias Junghans (85250d64d) 

	* Configuration: make Object::PropertyFlag an enum class

2019-02-19 09:23:52 +0100 Tobias Junghans (5df20afaa) 

	* Configuration: drop unused macro in UiMapping

2019-02-19 09:13:24 +0100 Tobias Junghans (b2a3047fe) 

	* LDAP: upgrade legacy configuration properties

2019-02-19 09:13:13 +0100 Tobias Junghans (5d1ce5e8a) 

	* LDAP: bump plugin version number

2019-02-19 09:12:27 +0100 Tobias Junghans (af37ff612) 

	* LDAP: add legacy configuration properties

2019-02-19 09:11:31 +0100 Tobias Junghans (85349f672) 

	* Configuration: add LegacyProperty flag to Object

2019-02-19 08:45:10 +0100 Tobias Junghans (e54ce7094) 

	* CMake: explicitely set CMP0075 to NEW

2019-02-19 08:30:07 +0100 Tobias Junghans (8cfa2bbde) 

	* LDAP: call reserve() on parameter string list

2019-02-19 08:29:52 +0100 Tobias Junghans (a4c6ae0e8) 

	* NetworkObjectDirectory: fix clazy warning

2019-02-19 08:29:36 +0100 Tobias Junghans (278135e63) 

	* ToolButton: do not call virtual method in ctor

2019-02-19 08:29:04 +0100 Tobias Junghans (6f113023f) 

	* Travis: add Debian Buster build

2019-02-19 08:08:43 +0100 Tobias Junghans (f9796c594) 

	* Travis: centralize package finishing

2019-02-18 08:20:03 +0100 Tobias Junghans (ba2b0d96b) 

	* AccessControlProvider: fix grammar in function name

2019-02-18 08:18:38 +0100 Tobias Junghans (2401f0456) 

	* Configuration: UiMapping: clean up old code

2019-02-17 18:26:52 +0100 Tobias Junghans (c79f9b75b) 

	* VeyonCore: include header for std::atomic

2019-02-17 18:25:34 +0100 Tobias Junghans (2091e98bc) 

	* LDAP: add tooltips to browse and test buttons

2019-02-17 14:15:15 +0100 Tobias Junghans (a39d117f1) 

	* VncConnection: implement State as enum class

2019-02-17 14:04:09 +0100 Tobias Junghans (1112895ee) 

	* VncView: improve readability+use const ref in loop

2019-02-17 14:01:40 +0100 Tobias Junghans (2a3e6cb32) 

	* Core: fix code indentations

2019-02-17 14:00:28 +0100 Tobias Junghans (4f8ffd90f) 

	* VncConnection: cast type for socket handle

2019-02-17 13:59:48 +0100 Tobias Junghans (8e9a1fbcc) 

	* VncConnection: implement quality as enum class

2019-02-17 13:53:52 +0100 Tobias Junghans (5f482535c) 

	* VncConnection: make FB state an atomic enum class

2019-02-17 13:48:49 +0100 Tobias Junghans (5f1db7bc3) 

	* VncConnection: implement control flags as atomic int

2019-02-17 12:31:16 +0100 Tobias Junghans (4eb4c4355) 

	* VncConnection: use std::atomic instead of volatile

2019-02-12 19:37:35 +0100 Tobias Junghans (786a9fbeb) 

	* 3rdparty: kldap: update submodule

2019-02-12 19:37:28 +0100 Tobias Junghans (fb8b7e2cd) 

	* 3rdparty: kitemmodels: update submodule

2019-02-12 12:27:25 +0100 Tobias Junghans (df9a8d1c5) 

	* BuiltinDirectory: fix typo

2019-02-12 09:55:37 +0100 Tobias Junghans (dffe0566d) 

	* Translations: update source

2019-02-12 09:54:13 +0100 Tobias Junghans (2a83c2f8d) 

	* BuiltinDirectory: use centralized strings

2019-02-12 09:53:25 +0100 Tobias Junghans (5f67336d2) 

	* BuiltinDirectoryPlugin: refactor command line help

2019-02-12 09:49:46 +0100 Tobias Junghans (4f3525ba6) 

	* BuiltinDirectory: use CommandLineIO as base class

2019-02-12 09:48:14 +0100 Tobias Junghans (bb12bcbc6) 

	* AuthKeysPlugin: fix string construction

2019-02-12 09:48:00 +0100 Tobias Junghans (2169d9110) 

	* AuthKeys: fix destructor declaration

2019-02-12 09:47:01 +0100 Tobias Junghans (51c7e2a39) 

	* CommandLineIO: add command help formatting methods

2019-02-11 12:29:34 +0100 Tobias Junghans (c2b9b647a) 

	* Travis: use additional PPA with mingw-w64 udpates

2019-02-11 12:27:59 +0100 Tobias Junghans (b2e144ed3) 

	* NSIS: include Qt style plugins in installer

2019-02-11 12:10:06 +0100 Tobias Junghans (f81b86326) 

	* NSIS: move non-plugin DLLs to root directory

2019-02-11 12:09:22 +0100 Tobias Junghans (a34da90d5) 

	* NSIS: remove all EXE files before installing

2019-02-11 11:51:36 +0100 Tobias Junghans (21f130cf0) 

	* NSIS: fix compat call for service unregistering

2019-02-11 11:18:35 +0100 Tobias Junghans (10591f939) 

	* 3rdparty: ultravnc: update submodule

2019-02-11 11:14:17 +0100 Tobias Junghans (22fe5a26c) 

	* NetworkObject: drop unused setter

2019-02-11 10:57:53 +0100 Tobias Junghans (16cb64946) 

	* LDAP: properly query computer display name

2019-02-11 09:50:46 +0100 Tobias Junghans (09f8dd1be) 

	* LDAP: re-use plugin name for component names

2019-02-11 09:50:16 +0100 Tobias Junghans (910b5fb39) 

	* LDAP: do not translate config page window title

2019-02-11 09:49:27 +0100 Tobias Junghans (ebfc6619a) 

	* LDAP: report up to 3 results in test dialogs

2019-02-08 10:26:29 +0100 Tobias Junghans (0becea827) 

	* CMakeLists: download translations for Veyon 4.2

2019-02-08 09:16:43 +0100 Tobias Junghans (0072932c7) 

	* Translations: update translation source

2019-02-08 08:44:40 +0100 Tobias Junghans (9c085d166) 

	* LDAP: improve tree test result reporting

2019-02-07 17:21:10 +0100 Tobias Junghans (84fff1e41) 

	* LDAP: improve test result messages

2019-02-07 13:34:05 +0100 Tobias Junghans (327aae12c) 

	* LDAP: rename computers() to computersByHostName()

2019-02-07 13:33:34 +0100 Tobias Junghans (85b97a8fe) 

	* LDAP: add computer display name attribute

2019-02-07 11:32:41 +0100 Tobias Junghans (75c0f9286) 

	* LDAP: update variable and member names

2019-02-07 11:29:24 +0100 Tobias Junghans (366433013) 

	* LDAP: refactor computerToObject()

2019-02-07 11:26:59 +0100 Tobias Junghans (ae7258330) 

	* LDAP: drop unused LdapDirectory::groupName()

2019-02-06 08:53:50 +0100 Tobias Junghans (843db86ac) 

	* LDAP: add getters to LdapDirectory

2019-02-06 08:53:32 +0100 Tobias Junghans (883d8f459) 

	* LDAP: rename internal filter variable

2019-02-06 08:52:58 +0100 Tobias Junghans (e3a8fa21a) 

	* LDAP: replace config getter with configInstanceId

2019-02-05 16:11:37 +0100 Tobias Junghans (276b78982) 

	* LDAP: add getter for computer tree DN

2019-02-05 16:11:13 +0100 Tobias Junghans (e8924e9e5) 

	* LDAP: fix parentDn() for DNs containing commas

2019-02-05 15:47:56 +0100 Tobias Junghans (67eb089cd) 

	* AccessControlProvider: match locations exactly

2019-02-05 15:47:26 +0100 Tobias Junghans (40e434f23) 

	* AccessControlProvider: reserve more location items

2019-02-05 15:45:14 +0100 Tobias Junghans (d9b0d82a5) 

	* AccessControlProvider: sort locations

2019-02-05 15:43:08 +0100 Tobias Junghans (ba8447e2e) 

	* AccessControlProvider: rename function

2019-02-02 10:25:59 +0100 Tobias Junghans (e52a1fb22) 

	* Use generic "location" instead of "room"

2019-02-02 10:24:50 +0100 Tobias Junghans (8a8fac90e) 

	* Cotire: add QRegularExpression

2019-02-01 14:49:26 +0100 Tobias Junghans (8f20a71a0) 

	* AccessControlProvider: migrate to QRegularExpression

2019-02-01 13:46:15 +0100 Tobias Junghans (946acebdd) 

	* NetworkObjectDirectory: update() to fetch root

2019-02-01 13:29:28 +0100 Tobias Junghans (f908e71a4) 

	* NetworkObjectTreeModel: fix root ID handling and dynamic population

2019-02-01 13:21:35 +0100 Tobias Junghans (638ce9ccd) 

	* Core: NetworkObjectDirectory: add setObjectPopulated()

2019-02-01 13:21:02 +0100 Tobias Junghans (83c460627) 

	* Core: NetworkObjectDirectory: use rootId() everywhere

2019-02-01 11:10:35 +0100 Tobias Junghans (e66282ca2) 

	* Master: CheckableItemProxyModel: fetch children

2019-01-31 19:45:11 +0100 Tobias Junghans (6b384b274) 

	* Core: return 0 for model ID of root node

2019-01-31 19:44:49 +0100 Tobias Junghans (9771e658f) 

	* Configurator: fix layout margins in master config page

2019-01-31 19:44:28 +0100 Tobias Junghans (b75a55d05) 

	* DesktopServices: fix layout margins in config page

2019-01-31 19:44:10 +0100 Tobias Junghans (55aa8169f) 

	* BuiltinDirectory: add hint to ConfigurationPage

2019-01-31 19:43:49 +0100 Tobias Junghans (7e87229f7) 

	* LDAP: add non-const version for client getter

2019-01-31 19:43:31 +0100 Tobias Junghans (864190c84) 

	* LDAP: add queryObjects() to LdapClient

2019-01-31 09:47:30 +0100 Tobias Junghans (ef4d15647) 

	* BuiltinDirectory: update icon

2019-01-30 16:56:56 +0100 Tobias Junghans (a82ad273a) 

	* NetworkObjectTreeModel: add dynamic data fetching

2019-01-30 16:56:33 +0100 Tobias Junghans (8f727b2ed) 

	* NetworkObjectTreeModel: refactor object retrieval

2019-01-30 16:54:19 +0100 Tobias Junghans (56abbdd0d) 

	* NetworkObjectDirectory: add fetchObjects()

2019-01-24 09:13:18 +0100 Tobias Junghans (e4ccd8e5d) 

	* 3rdparty: ultravnc: update submodule

2019-01-24 08:25:54 +0100 Tobias Junghans (c2162f605) 

	* Translations: update from Transifex

2019-01-23 19:54:23 +0100 Tobias Junghans (508b2cb07) 

	* Translations: update from Transifex

2019-01-21 20:54:51 +0100 Tobias Junghans (c7fbf436b) 

	* Master: NetworkObjectTreeModel: drop slot decl

2019-01-21 19:35:04 +0100 Tobias Junghans (31cc858bd) 

	* Core: NetworkObject: add property populated

2019-01-21 15:44:49 +0100 Tobias Junghans (3ca33ab7b) 

	* Core: Configuration: Proxy: add removeInstance()

2019-01-21 15:43:45 +0100 Tobias Junghans (c33abc1c4) 

	* Core: Configuration: Proxy: fix instance delimiter

2019-01-21 13:54:28 +0100 Tobias Junghans (64f9eb2ee) 

	* CMakeLists: include plugins from all subdirs

2019-01-21 10:25:29 +0100 Tobias Junghans (7f38dbe6f) 

	* Update gitignore

2019-01-17 14:50:58 +0100 Tobias Junghans (ab986a41d) 

	* 3rdparty: ultravnc: update submodule

2019-01-17 14:49:20 +0100 Tobias Junghans (21e6898a0) 

	* 3rdparty: x11vnc: update submodule

2019-01-17 12:02:44 +0100 Tobias Junghans (1bb44df33) 

	* LDAP: avoid unnecessary conversion to lower chars

2019-01-17 12:02:15 +0100 Tobias Junghans (87da6403d) 

	* Master: RoomSelectionDialog: mark unused variable

2019-01-17 12:00:31 +0100 Tobias Junghans (413d938c2) 

	* CLI: fix QString::arg() with QLatin1String

